commit 728e6e1e9ffdd5f763068eb0b0ffc8d678cbc2b5
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat May 21 15:16:21 2016 +0200

    sync with transiflex

 po/ca.po  |    2 +-
 po/el.po  |  103 ++--
 po/es.po  |    6 +-
 po/frp.po |    4 +-
 po/hi.po  |    2 +-
 po/hu.po  |    2 +-
 po/ja.po  |    4 +-
 po/ko.po  |    4 +-
 po/nb.po  |    4 +-
 po/pms.po | 1740 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ru.po  |    4 +-
 po/uz.po  |   44 +-
 12 files changed, 1830 insertions(+), 89 deletions(-)

commit f9b37020767638898f0cd0d036f864fe40b2ec92
Author: rootavish <rootavish@gmail.com>
Date:   Sat May 14 12:19:24 2016 -0700

    Remove the check for a parent, more intuitive conditions

 shell/ev-window.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit e9ff838f4de64653799c8a8b79610ad073e8a52c
Author: monsta <monsta@inbox.ru>
Date:   Tue Apr 26 15:32:19 2016 +0300

    window: fix another random webview-related crash

 shell/ev-window.c | 1 +
 1 file changed, 1 insertion(+)

commit dff8d6db8acd371b45f6ee2831121af769dcf52c
Author: monsta <monsta@inbox.ru>
Date:   Thu Apr 7 11:50:17 2016 +0300

    po: add missing languages to LINGUAS

 po/LINGUAS | 4 ++++
 1 file changed, 4 insertions(+)

commit ce19135c2ff6820e788d0982a7e3ba7add4f5738
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Apr 6 19:46:50 2016 +0200

    release 1.14.0

 NEWS         | 1 +
 configure.ac | 4 ++--
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 21fd7e4318b51d8839214d67fe81c8c8f142c6eb
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Apr 6 19:44:52 2016 +0200

    Fix Changelog generation

 Makefile.am | 22 +++++++++-------------
 1 file changed, 9 insertions(+), 13 deletions(-)

commit 325389d950fc4b5aa02734a92c6e37ad90eb39ca
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Apr 6 19:43:17 2016 +0200

    add new languages and sync with transiflex

 po/LINGUAS        |    4 +
 po/af.po          |    2 +-
 po/am.po          |    2 +-
 po/ar.po          |    2 +-
 po/as.po          |    2 +-
 po/ast.po         |    2 +-
 po/be.po          |    4 +-
 po/bg.po          |    7 +-
 po/bn.po          |    2 +-
 po/bn_IN.po       |    2 +-
 po/br.po          |    2 +-
 po/ca.po          |    4 +-
 po/ca@valencia.po |    2 +-
 po/cmn.po         |    2 +-
 po/cs.po          |    2 +-
 po/cy.po          |    2 +-
 po/da.po          |    2 +-
 po/de.po          |   37 +-
 po/dz.po          |    2 +-
 po/en_CA.po       |    2 +-
 po/eo.po          |    2 +-
 po/es.po          |    2 +-
 po/es_CO.po       |    2 +-
 po/es_MX.po       | 1739 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_VE.po       |    2 +-
 po/eu.po          |    2 +-
 po/fa.po          |   41 +-
 po/fi.po          |    2 +-
 po/fr.po          |    9 +-
 po/fr_CA.po       |    2 +-
 po/frp.po         | 1740 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ga.po          |    2 +-
 po/gl.po          |    2 +-
 po/gu.po          |    2 +-
 po/he.po          |    2 +-
 po/hi.po          |    2 +-
 po/hr.po          |    4 +-
 po/id.po          |    8 +-
 po/is.po          | 1739 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/it.po          |    2 +-
 po/ja.po          |    7 +-
 po/jv.po          |    2 +-
 po/ka.po          |    2 +-
 po/kk.po          |    2 +-
 po/kn.po          |    2 +-
 po/ko.po          |   23 +-
 po/ks.po          |    2 +-
 po/ku.po          |    2 +-
 po/ky.po          |    2 +-
 po/lt.po          |   30 +-
 po/lv.po          |    2 +-
 po/mai.po         |    2 +-
 po/mg.po          |    2 +-
 po/mk.po          |    2 +-
 po/ml.po          |    2 +-
 po/mn.po          |   23 +-
 po/mr.po          |    2 +-
 po/nb.po          |   27 +-
 po/nds.po         |    2 +-
 po/nn.po          |    2 +-
 po/oc.po          |   12 +-
 po/or.po          |    2 +-
 po/pa.po          |    2 +-
 po/pl.po          |    9 +-
 po/ps.po          |    2 +-
 po/pt.po          |    2 +-
 po/pt_BR.po       |    7 +-
 po/ro.po          |   16 +-
 po/ru.po          |    4 +-
 po/rw.po          |    2 +-
 po/sc.po          |    2 +-
 po/si.po          |    2 +-
 po/sk.po          |    4 +-
 po/sl.po          |    4 +-
 po/sq.po          |   14 +-
 po/sr@latin.po    |    2 +-
 po/ta.po          |    2 +-
 po/te.po          |    2 +-
 po/th.po          |    2 +-
 po/tr.po          |    2 +-
 po/uk.po          |   58 +-
 po/uz.po          | 1739 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/vi.po          |    2 +-
 po/wa.po          |    2 +-
 po/zh_CN.po       |    6 +-
 po/zh_HK.po       |    2 +-
 86 files changed, 7203 insertions(+), 232 deletions(-)

commit 5b2176cc28badd7ba2ade7dbd2bbfd517bee35bc
Author: monsta <monsta@inbox.ru>
Date:   Tue Apr 5 13:19:32 2016 +0300

    update NEWS and pack 1.13.x changes into single 1.14.0 entry

 NEWS | 18 +++++++-----------
 1 file changed, 7 insertions(+), 11 deletions(-)

commit 69ccd97dc83bef09c73cfbc9c1ae1ecd7ca2e2f6
Author: monsta <monsta@inbox.ru>
Date:   Tue Apr 5 13:19:23 2016 +0300

    check for GTK+3 stable release, not development one

 cut-n-paste/toolbar-editor/egg-toolbar-editor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a218f22298cd15f5e94bd717189876d6bdfcfd1f
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Feb 25 23:51:42 2016 +0100

    add css name EggToolbarEditor

 cut-n-paste/toolbar-editor/egg-toolbar-editor.c | 5 +++++
 1 file changed, 5 insertions(+)

commit a222f839a2eee5463283066c02258f7236915624
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Feb 21 16:36:00 2016 +0100

    release 1.13.1

 NEWS         | 9 +++++++++
 configure.ac | 2 +-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 9d100df008fa54ea3155de9dfd91602808abac97
Author: Martin Wimpress <code@flexion.org>
Date:   Fri Feb 19 14:05:41 2016 +0000

    Sync with Transifex.

 po/af.po          | 147 +++++++++--------
 po/am.po          | 151 +++++++++--------
 po/ar.po          | 149 +++++++++--------
 po/as.po          | 147 +++++++++--------
 po/ast.po         | 147 +++++++++--------
 po/be.po          | 149 +++++++++--------
 po/bg.po          | 149 +++++++++--------
 po/bn.po          | 147 +++++++++--------
 po/bn_IN.po       | 147 +++++++++--------
 po/br.po          | 151 +++++++++--------
 po/ca.po          | 319 ++++++++++++++++++------------------
 po/ca@valencia.po | 147 +++++++++--------
 po/cmn.po         | 147 +++++++++--------
 po/cs.po          | 150 ++++++++---------
 po/cy.po          | 480 +++++++++++++++++++++++++++---------------------------
 po/da.po          | 183 +++++++++++----------
 po/de.po          | 149 +++++++++--------
 po/dz.po          | 147 +++++++++--------
 po/el.po          | 155 +++++++++---------
 po/en_AU.po       | 148 ++++++++---------
 po/en_CA.po       | 147 +++++++++--------
 po/en_GB.po       | 151 +++++++++--------
 po/eo.po          | 147 +++++++++--------
 po/es.po          | 150 ++++++++---------
 po/es_CO.po       | 147 +++++++++--------
 po/es_VE.po       | 147 +++++++++--------
 po/et.po          | 149 +++++++++--------
 po/eu.po          | 164 +++++++++----------
 po/fa.po          | 147 +++++++++--------
 po/fi.po          | 149 +++++++++--------
 po/fr.po          | 150 ++++++++---------
 po/fr_CA.po       | 147 +++++++++--------
 po/ga.po          | 147 +++++++++--------
 po/gl.po          | 149 +++++++++--------
 po/gu.po          | 147 +++++++++--------
 po/he.po          | 250 ++++++++++++++--------------
 po/hi.po          | 147 +++++++++--------
 po/hr.po          | 149 +++++++++--------
 po/hu.po          | 174 ++++++++++----------
 po/hy.po          | 169 ++++++++++---------
 po/id.po          | 149 +++++++++--------
 po/it.po          | 155 +++++++++---------
 po/ja.po          | 149 +++++++++--------
 po/jv.po          | 147 +++++++++--------
 po/ka.po          | 147 +++++++++--------
 po/kk.po          | 149 +++++++++--------
 po/kn.po          | 147 +++++++++--------
 po/ko.po          | 149 +++++++++--------
 po/ks.po          | 147 +++++++++--------
 po/ku.po          | 147 +++++++++--------
 po/ky.po          | 147 +++++++++--------
 po/lt.po          | 161 +++++++++---------
 po/lv.po          | 147 +++++++++--------
 po/mai.po         | 147 +++++++++--------
 po/mg.po          | 147 +++++++++--------
 po/mk.po          | 147 +++++++++--------
 po/ml.po          | 147 +++++++++--------
 po/mn.po          | 147 +++++++++--------
 po/mr.po          | 149 +++++++++--------
 po/ms.po          | 149 +++++++++--------
 po/nb.po          | 155 +++++++++---------
 po/nds.po         | 147 +++++++++--------
 po/ne.po          | 164 +++++++++----------
 po/nl.po          | 150 ++++++++---------
 po/nn.po          | 147 +++++++++--------
 po/oc.po          | 153 +++++++++--------
 po/or.po          | 147 +++++++++--------
 po/pa.po          | 147 +++++++++--------
 po/pl.po          | 150 ++++++++---------
 po/ps.po          | 147 +++++++++--------
 po/pt.po          | 149 +++++++++--------
 po/pt_BR.po       | 149 +++++++++--------
 po/ro.po          | 151 +++++++++--------
 po/ru.po          | 160 +++++++++---------
 po/rw.po          | 147 +++++++++--------
 po/sc.po          | 147 +++++++++--------
 po/si.po          | 147 +++++++++--------
 po/sk.po          | 162 +++++++++---------
 po/sl.po          | 149 +++++++++--------
 po/sq.po          | 147 +++++++++--------
 po/sr.po          | 147 +++++++++--------
 po/sr@latin.po    | 147 +++++++++--------
 po/sv.po          | 151 +++++++++--------
 po/ta.po          | 147 +++++++++--------
 po/te.po          | 147 +++++++++--------
 po/th.po          | 157 +++++++++---------
 po/tr.po          | 151 +++++++++--------
 po/uk.po          | 205 ++++++++++++-----------
 po/vi.po          | 147 +++++++++--------
 po/wa.po          | 147 +++++++++--------
 po/zh_CN.po       | 150 ++++++++---------
 po/zh_HK.po       | 147 +++++++++--------
 po/zh_TW.po       | 149 +++++++++--------
 93 files changed, 7272 insertions(+), 7345 deletions(-)

commit 28189711b615ff79bc359759b8f4278d74ee9bf5
Author: monsta <monsta@inbox.ru>
Date:   Tue Feb 9 15:58:39 2016 +0300

    totem-screensaver: use org.gnome.SessionManager to inhibit screensaver
    
    adapted from:
    https://git.gnome.org/browse/totem/commit/?id=c6fc9c4785904cda4b648dbdbd24958d1010c4a1
    https://github.com/linuxmint/xreader/commit/feca69fe519d4c24457d17c0287704aa47688e22
    https://github.com/linuxmint/xreader/commit/af897180ec8fb30afb2f96dab23a2f2ae022f087

 cut-n-paste/totem-screensaver/totem-scrsaver.c | 27 ++++++++++++++------------
 1 file changed, 15 insertions(+), 12 deletions(-)

commit 7c3a52425cad15ed67816164f0f58c8d406edb33
Author: monsta <monsta@inbox.ru>
Date:   Tue Feb 9 15:48:29 2016 +0300

    totem-screensaver: don't use old API and add ref to TotemScrsaver
    
    taken from:
    https://git.gnome.org/browse/totem/commit/?id=07e11de11a9f84209b31ebffdeec4983f91b9dae
    https://git.gnome.org/browse/totem/commit/?id=f4eed1f68d3b4ca37c2e7440be37aeaef882a0d5

 cut-n-paste/totem-screensaver/totem-scrsaver.c | 42 +++++---------------------
 1 file changed, 8 insertions(+), 34 deletions(-)

commit 38218ebe8252b144316aa140492a7c3353a6eaed
Author: monsta <monsta@inbox.ru>
Date:   Tue Feb 9 15:40:35 2016 +0300

    totem-screensaver: fix assertions on entry to TotemScrsaver methods
    
    from
    https://git.gnome.org/browse/totem/commit/?id=3b33d7bd88e9e69c7d45238f7f7e1027aa59ee88

 cut-n-paste/totem-screensaver/totem-scrsaver.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ba01c808a298b201f71a82e3cc5a4f2b188c60e4
Author: monsta <monsta@inbox.ru>
Date:   Tue Feb 9 15:06:09 2016 +0300

    totem-screensaver: fix indent and typos

 cut-n-paste/totem-screensaver/totem-scrsaver.c | 31 +++++++++++++-------------
 1 file changed, 16 insertions(+), 15 deletions(-)

commit 4a4cbf2227955312acbf4a531fd27bd97b3ec06f
Author: monsta <monsta@inbox.ru>
Date:   Tue Feb 9 16:52:00 2016 +0300

    totem-screensaver: copy from eom to use the same base for patches
    
    as of https://github.com/mate-desktop/eom/commit/8615744bde57e487ab2a662811929b889499f4fd

 cut-n-paste/totem-screensaver/totem-scrsaver.c | 60 +++++++++++++-------------
 1 file changed, 30 insertions(+), 30 deletions(-)

commit a1e6e6fa9876f78f291a24073af1a7e64916e33c
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Feb 6 06:33:14 2016 +0100

    GTK+3: add atril-window style class to top level

 shell/ev-window.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 4190ce2680b339c9bfc3d51008811f0b1abb1b9d
Author: monsta <monsta@inbox.ru>
Date:   Mon Feb 1 18:28:19 2016 +0300

    fix some build warnings

 libview/ev-view.c                       | 2 --
 shell/eggfindbar.c                      | 2 +-
 shell/ev-annotation-properties-dialog.c | 3 ---
 shell/ev-password-view.c                | 2 --
 shell/ev-sidebar-links.c                | 2 --
 shell/ev-window.c                       | 2 --
 6 files changed, 1 insertion(+), 12 deletions(-)

commit 3d33cb3373eaba1615165b8830a19458cd6a7df2
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Jan 25 18:00:53 2016 +0100

    release 1.13.0

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit e8f3230056ba066e33b8c1dff9536e78bcab35ae
Author: monsta <monsta@inbox.ru>
Date:   Thu Jan 7 23:32:49 2016 +0300

    update copyrights, mention MATE team in caja extension
    
    it can be made more detailed of course, but for now it will do.
    
    closes https://github.com/mate-desktop/atril/issues/120

 properties/libatril-properties-page.caja-extension.in.in | 2 +-
 shell/ev-window.c                                        | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 6ef7d7cb893cea2d1cff8eb4736430193f17dc25
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Tue Jan 5 01:21:10 2016 +0100

    pre-bump version to 1.13.0

 NEWS         | 3 +++
 configure.ac | 4 ++--
 2 files changed, 5 insertions(+), 2 deletions(-)

commit a6c56bcd8a6d9ba3fd2bfcaa586bd6a394661b07
Author: Monsta <monsta@inbox.ru>
Date:   Sat Jan 2 21:25:30 2016 +0300

    drop some win32-specific leftovers

 data/Makefile.am    |   1 -
 data/atril.ico      | Bin 24998 -> 0 bytes
 shell/Makefile.am   |   3 +--
 shell/atril-icon.rc |   1 -
 4 files changed, 1 insertion(+), 4 deletions(-)

commit 5ba971fa02d20502f4c1bee455ff8ace4c2d57f2
Author: Monsta <monsta@inbox.ru>
Date:   Sat Jan 2 21:12:25 2016 +0300

    drop MateConf migration script

 data/Makefile.am   | 5 -----
 data/atril.convert | 2 --
 2 files changed, 7 deletions(-)

commit 8d2a2ab4c12ac5619754390fc8b6c4a30ec6157e
Author: Monsta <monsta@inbox.ru>
Date:   Sat Jan 2 15:18:46 2016 +0300

    libdocument: fix typo
    
    closes https://github.com/mate-desktop/atril/issues/182

 libdocument/ev-link-dest.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6df5440a3db80d51469858ccc1f6728f4079a66b
Author: monsta <monsta@inbox.ru>
Date:   Fri Dec 18 10:40:59 2015 +0300

    Release 1.12.2

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 5a804cf0b43d5b852581534bec21317450b6a866
Author: Andrey Gursky <andrey.gursky@e-mail.ua>
Date:   Thu Dec 17 02:47:17 2015 +0100

    Fix crash for epubs when accessibility is enabled
    
    Once epub support has been implemented, atril crashes with all epubs.
    Backtrace for 1.10.2+repack1-1 (Debian Stretch):
    
    Program received signal SIGSEGV, Segmentation fault.
    [Switching to Thread 0x7fffd26d2700 (LWP 22276)]
    0x0000000000000000 in ?? ()
    (gdb) bt
    #0  0x0000000000000000 in  ()
    #1  0x00007ffff755914e in ev_job_page_data_run (job=0x9e3850 [EvJobPageData]) at ev-jobs.c:762
    #2  0x00007ffff755a85a in ev_job_thread_proxy (job=0x9e3850 [EvJobPageData]) at ev-job-scheduler.c:184
    #3  0x00007ffff755a85a in ev_job_thread_proxy (data=<optimized out>) at ev-job-scheduler.c:217
    #4  0x00007ffff14e1955 in g_thread_proxy (data=0x7fff84002280) at /build/glib2.0-VKSJTv/glib2.0-2.46.1/./glib/gthread.c:778
    #5  0x00007ffff08690a4 in start_thread (arg=0x7fffd26d2700) at pthread_create.c:309
    #6  0x00007ffff059e06d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
    (gdb)
    
    It turns out it couldn't really work since one function pointer is
    uninitialized. But nobody complained. Thus I investigated it further,
    why it fails only for me. First, I tried a gtk3 version. And it works
    properly, but the broken code is not hit at all. Due to the threaded
    design, it was harder to figure out, why. Here is the code path:
    
    -->
    ev_window_load_job_cb          (shell/ev-window.c) -->
    ev_document_model_set_document (libview/ev-document-model.c) -->
    ev_view_document_changed_cb    (libview/ev-view.c) -->
    setup_caches                   (libview/ev-view.c) -->
    
            if (ev_view_is_a11y_enabled (view)) {
                    ev_page_cache_set_flags();
            }
    
    ev_page_cache_set_flags        (libview/ev-page-cache.c) -->
    ev_page_cache_set_page_range   (libview/ev-page-cache.c) -->
    
            data->job = ev_job_page_data_new (cache->document, i, flags);
            ...
            ev_job_scheduler_push_job (data->job, EV_JOB_PRIORITY_NONE);
    
    ...
    
    -->
    ev_job_thread_proxy            (libview/ev-job-scheduler.c) -->
    ev_job_page_data_run           (libview/ev-jobs.c) -->
    ev_document_links_get_links    (libdocument/ev-document-links.c) -->
    
            EvDocumentLinksInterface *iface = EV_DOCUMENT_LINKS_GET_IFACE (document_links);
            return iface->get_links (document_links, page);
    
    (get_links == NULL) --> crash
    
    As one can see it depends on the accessibility. And it is enabled on my
    box.
    
    It can be reproduced with
    gsettings set org.mate.interface accessibility true
    (mate logout and login)
    
    Why the enabled accessibility is not discovered by the gtk3 version is
    another story. My question [1] was motivated by this.
    
    [1] https://github.com/mate-desktop/atril/issues/171

 backend/epub/epub-document.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 1ce107771b1cdc77ffe80a61d63a509d42c70e1a
Author: monsta <monsta@inbox.ru>
Date:   Fri Dec 4 14:46:01 2015 +0300

    shell: Use GTK_STOCK_GO_BACK for the history button
    
    from
    https://git.gnome.org/browse/evince/commit/?id=b736348acea926817f25273cf94001a7ef5d547f

 shell/ev-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f751b7701703f2a1c77e0eeb3935f9ffe4619f23
Author: monsta <monsta@inbox.ru>
Date:   Fri Dec 4 12:18:54 2015 +0300

    properties page: unescape location URI
    
    from
    https://git.gnome.org/browse/evince/commit?id=397f67d960dc516619ab11be88455de91695eb5c

 properties/ev-properties-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 65acb33f3f77a769b83d8aa770eb727c0403c71c
Author: monsta <monsta@inbox.ru>
Date:   Thu Dec 3 16:52:37 2015 +0300

    shell: support the launch of multiple URI arguments
    
    from
    https://git.gnome.org/browse/evince/commit/?id=28f8be70a6a8c941ef8326cf831238365eae4689

 shell/ev-application.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d7b74656ab63c43c975b3a1bb2bac1ee9bcbbe01
Author: Monsta <monsta@inbox.ru>
Date:   Sun Nov 29 20:35:03 2015 +0300

    Bump version to 1.12.1

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 63b03e5ed6aac992bafed75c725b24c5bb991769
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Fri Nov 20 12:36:52 2015 +0000

    Updated translations

 po/am.po    |    4 +-
 po/be.po    |   12 +-
 po/br.po    |   78 +-
 po/ca.po    |   63 +-
 po/cs.po    |    2 +-
 po/da.po    |   16 +-
 po/es_CO.po | 1740 +++++++++++++++++++++++++++++++++++++++++++++
 po/es_VE.po | 1741 +++++++++++++++++++++++++++++++++++++++++++++
 po/fr.po    |    2 +-
 po/fr_CA.po | 1740 +++++++++++++++++++++++++++++++++++++++++++++
 po/hy.po    |   22 +-
 po/jv.po    | 1740 +++++++++++++++++++++++++++++++++++++++++++++
 po/kk.po    |   42 +-
 po/lv.po    |   15 +-
 po/oc.po    |   14 +-
 po/pt_BR.po |    2 +-
 po/ro.po    |    4 +-
 po/rw.po    | 2280 +++++++++++++++++++++++++++++++++++++++++------------------
 po/sv.po    |   43 +-
 po/tr.po    |    2 +-
 po/uk.po    |    2 +-
 po/zh_CN.po |    8 +-
 22 files changed, 8722 insertions(+), 850 deletions(-)

commit d5e103f32ad976522449cb14db9fb4ec58b73493
Merge: e36f62a aa97fdc
Author: Martin Wimpress <code@flexion.org>
Date:   Thu Nov 5 17:53:15 2015 +0000

    Merge pull request #169 from mate-desktop/oops
    
    dvi: fix crash due to regression

commit aa97fdc1e1dc9ca08e70cbba9038da03f14d6261
Author: monsta <monsta@inbox.ru>
Date:   Thu Nov 5 14:42:20 2015 +0300

    dvi: fix crash due to regression
    
    fixes https://github.com/mate-desktop/atril/issues/164
    
    regression has been introduced in https://github.com/mate-desktop/atril/commit/94dcb761b95ee54ef1f1512d59721932d75ffb7f

 backend/dvi/dvi-document.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e36f62aae535f3548e23da5f16733c24165b2e8a
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Nov 2 02:27:36 2015 +0100

    release 1.12.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fd3fefe3dc95804f8fab82809764586ea14cad49
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sun Nov 1 16:44:55 2015 +0100

    Sync translations with transifex

 po/LINGUAS        |    2 +
 po/af.po          |  330 +++++-----
 po/am.po          |  424 ++++++-------
 po/ar.po          |  326 +++++-----
 po/as.po          |  330 +++++-----
 po/ast.po         |  330 +++++-----
 po/be.po          |  328 +++++-----
 po/bg.po          |  384 ++++++------
 po/bn.po          |  330 +++++-----
 po/bn_IN.po       |  330 +++++-----
 po/br.po          |  328 +++++-----
 po/ca.po          |  337 +++++------
 po/ca@valencia.po |  332 +++++-----
 po/cmn.po         |  330 +++++-----
 po/cs.po          |  334 +++++-----
 po/cy.po          |  330 +++++-----
 po/da.po          |  347 +++++------
 po/de.po          |  347 +++++------
 po/dz.po          |  330 +++++-----
 po/el.po          |  326 +++++-----
 po/en_AU.po       |  346 +++++------
 po/en_CA.po       |  330 +++++-----
 po/en_GB.po       |  346 +++++------
 po/eo.po          |  330 +++++-----
 po/es.po          |  336 ++++++-----
 po/et.po          |  384 ++++++------
 po/eu.po          |  326 +++++-----
 po/fa.po          |  340 +++++------
 po/fi.po          |  452 +++++++-------
 po/fr.po          |  380 ++++++------
 po/ga.po          |  326 +++++-----
 po/gl.po          |  330 +++++-----
 po/gu.po          |  335 ++++++-----
 po/he.po          |  330 +++++-----
 po/hi.po          |  330 +++++-----
 po/hr.po          |  328 +++++-----
 po/hu.po          |  336 ++++++-----
 po/hy.po          | 1741 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/id.po          |  410 ++++++-------
 po/it.po          |  346 +++++------
 po/ja.po          |  340 ++++++-----
 po/ka.po          |  330 +++++-----
 po/kk.po          |  330 +++++-----
 po/kn.po          |  330 +++++-----
 po/ko.po          |  354 +++++------
 po/ks.po          |  330 +++++-----
 po/ku.po          |  330 +++++-----
 po/ky.po          |  326 +++++-----
 po/lt.po          |  364 +++++------
 po/lv.po          |  330 +++++-----
 po/mai.po         |  330 +++++-----
 po/mg.po          |  330 +++++-----
 po/mk.po          |  330 +++++-----
 po/ml.po          |  332 +++++-----
 po/mn.po          |  330 +++++-----
 po/mr.po          |  330 +++++-----
 po/ms.po          |  346 +++++------
 po/nb.po          |  326 +++++-----
 po/nds.po         |  326 +++++-----
 po/ne.po          |  330 +++++-----
 po/nl.po          |  328 +++++-----
 po/nn.po          |  330 +++++-----
 po/oc.po          |  326 +++++-----
 po/or.po          |  328 +++++-----
 po/pa.po          |  330 +++++-----
 po/pl.po          |  327 +++++-----
 po/ps.po          |  326 +++++-----
 po/pt.po          |  330 +++++-----
 po/pt_BR.po       |  382 ++++++------
 po/ro.po          |  400 ++++++------
 po/ru.po          |  327 +++++-----
 po/sc.po          | 1741 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/si.po          |  326 +++++-----
 po/sk.po          |  389 ++++++------
 po/sl.po          |  340 ++++++-----
 po/sq.po          |  330 +++++-----
 po/sr.po          |  355 +++++------
 po/sr@latin.po    |  330 +++++-----
 po/sv.po          |  356 +++++------
 po/ta.po          |  330 +++++-----
 po/te.po          |  330 +++++-----
 po/th.po          |  330 +++++-----
 po/tr.po          |  346 +++++------
 po/uk.po          |  409 ++++++-------
 po/vi.po          |  330 +++++-----
 po/wa.po          |  326 +++++-----
 po/zh_CN.po       |  324 +++++-----
 po/zh_HK.po       |  330 +++++-----
 po/zh_TW.po       |  348 +++++------
 89 files changed, 18236 insertions(+), 14579 deletions(-)

commit 9faeac13b46d7863582791604d6b02d862ab86b8
Author: monsta <monsta@inbox.ru>
Date:   Fri Oct 30 14:28:59 2015 +0300

    update NEWS for 1.12

 NEWS | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2dac32fd6012ef634f2a37f370e2be48ac2444cf
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Oct 14 18:47:54 2015 +0200

    release 1.11.0

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 331bedc16c89ebe8cf77590a0337de810945ba55
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Sep 30 23:33:03 2015 +0200

    Drop dependency to mate-icon-theme
    
    The dependency is not really needed; depending on GTK+ should be enough
    to guarantee the presence of a spec-compliant icon theme.
    Atril ships all needed icons as a fallback if another theme is used.

 configure.ac | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 437593ca1eae00a87c47c50bae2ae64b897131d8
Author: Monsta <monsta@inbox.ru>
Date:   Mon Sep 28 15:03:32 2015 +0300

    update NEWS for 1.11.0

 NEWS | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 5a7b9cf60bb4e2368ac6ecf8c16a097180cf6bd4
Author: Monsta <monsta@inbox.ru>
Date:   Mon Sep 28 14:44:10 2015 +0300

    configure.ac: bump version to 1.11.0

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 78582859d0e2d9bc8fa2818dcd9ac9ab2bd482fd
Merge: feb98c4 d2f1cf6
Author: Martin Wimpress <code@flexion.org>
Date:   Wed Sep 23 16:05:46 2015 +0100

    Merge pull request #160 from monsta/mathjax
    
    epub: drop embedded MathJax in favor of using distro-packaged one

commit d2f1cf64a6c026e79955966b85f9141e69a3404a
Author: monsta <monsta@inbox.ru>
Date:   Thu Sep 10 14:08:14 2015 +0300

    epub: drop embedded MathJax in favor of using distro-packaged one
    
    closes https://github.com/mate-desktop/atril/issues/158

 backend/epub/Makefile.am                           |   2 +-
 backend/epub/MathJax/Makefile.am                   |  10 ---
 backend/epub/MathJax/MathJax.js                    |  19 ------
 backend/epub/MathJax/config/Accessible-full.js     |  76 ---------------------
 backend/epub/MathJax/config/Accessible.js          |  70 -------------------
 backend/epub/MathJax/config/Makefile.am            |  10 ---
 backend/epub/MathJax/config/Safe.js                |  19 ------
 .../epub/MathJax/config/TeX-AMS-MML_SVG-full.js    |  56 ---------------
 backend/epub/MathJax/config/TeX-AMS-MML_SVG.js     |  52 --------------
 backend/epub/MathJax/config/local/Makefile.am      |   7 --
 backend/epub/MathJax/config/local/local.js         |  40 -----------
 backend/epub/MathJax/extensions/FontWarnings.js    |  19 ------
 backend/epub/MathJax/extensions/HelpDialog.js      |  19 ------
 backend/epub/MathJax/extensions/Makefile.am        |   9 ---
 backend/epub/MathJax/extensions/MatchWebFonts.js   |  19 ------
 backend/epub/MathJax/extensions/MathEvents.js      |  19 ------
 backend/epub/MathJax/extensions/MathML/Makefile.am |   7 --
 .../MathJax/extensions/MathML/content-mathml.js    |  19 ------
 backend/epub/MathJax/extensions/MathMenu.js        |  19 ------
 backend/epub/MathJax/extensions/MathZoom.js        |  19 ------
 backend/epub/MathJax/extensions/Safe.js            |  19 ------
 backend/epub/MathJax/extensions/TeX/AMScd.js       |  19 ------
 backend/epub/MathJax/extensions/TeX/AMSmath.js     |  19 ------
 backend/epub/MathJax/extensions/TeX/AMSsymbols.js  |  19 ------
 backend/epub/MathJax/extensions/TeX/HTML.js        |  19 ------
 backend/epub/MathJax/extensions/TeX/Makefile.am    |   7 --
 backend/epub/MathJax/extensions/TeX/action.js      |  19 ------
 backend/epub/MathJax/extensions/TeX/autobold.js    |  19 ------
 .../epub/MathJax/extensions/TeX/autoload-all.js    |  19 ------
 backend/epub/MathJax/extensions/TeX/bbox.js        |  19 ------
 backend/epub/MathJax/extensions/TeX/begingroup.js  |  19 ------
 backend/epub/MathJax/extensions/TeX/boldsymbol.js  |  19 ------
 backend/epub/MathJax/extensions/TeX/cancel.js      |  19 ------
 backend/epub/MathJax/extensions/TeX/color.js       |  19 ------
 backend/epub/MathJax/extensions/TeX/enclose.js     |  19 ------
 backend/epub/MathJax/extensions/TeX/extpfeil.js    |  19 ------
 backend/epub/MathJax/extensions/TeX/mathchoice.js  |  19 ------
 backend/epub/MathJax/extensions/TeX/mhchem.js      |  19 ------
 backend/epub/MathJax/extensions/TeX/newcommand.js  |  19 ------
 backend/epub/MathJax/extensions/TeX/noErrors.js    |  19 ------
 backend/epub/MathJax/extensions/TeX/noUndefined.js |  19 ------
 backend/epub/MathJax/extensions/TeX/unicode.js     |  19 ------
 backend/epub/MathJax/extensions/TeX/verb.js        |  19 ------
 backend/epub/MathJax/extensions/asciimath2jax.js   |  19 ------
 backend/epub/MathJax/extensions/jsMath2jax.js      |  19 ------
 backend/epub/MathJax/extensions/mml2jax.js         |  19 ------
 backend/epub/MathJax/extensions/tex2jax.js         |  19 ------
 backend/epub/MathJax/extensions/toMathML.js        |  19 ------
 backend/epub/MathJax/images/CloseX-31.png          | Bin 1267 -> 0 bytes
 backend/epub/MathJax/images/Makefile.am            |   7 --
 backend/epub/MathJax/images/MenuArrow-15.png       | Bin 469 -> 0 bytes
 backend/epub/MathJax/jax/Makefile.am               |   6 --
 backend/epub/MathJax/jax/element/Makefile.am       |   5 --
 backend/epub/MathJax/jax/element/mml/Makefile.am   |   8 ---
 backend/epub/MathJax/jax/element/mml/jax.js        |  19 ------
 .../epub/MathJax/jax/element/mml/optable/Arrows.js |  19 ------
 .../MathJax/jax/element/mml/optable/BasicLatin.js  |  19 ------
 .../jax/element/mml/optable/CombDiacritMarks.js    |  19 ------
 .../jax/element/mml/optable/CombDiactForSymbols.js |  19 ------
 .../MathJax/jax/element/mml/optable/Dingbats.js    |  19 ------
 .../jax/element/mml/optable/GeneralPunctuation.js  |  19 ------
 .../jax/element/mml/optable/GeometricShapes.js     |  19 ------
 .../jax/element/mml/optable/GreekAndCoptic.js      |  19 ------
 .../jax/element/mml/optable/Latin1Supplement.js    |  19 ------
 .../jax/element/mml/optable/LetterlikeSymbols.js   |  19 ------
 .../MathJax/jax/element/mml/optable/Makefile.am    |   7 --
 .../jax/element/mml/optable/MathOperators.js       |  19 ------
 .../jax/element/mml/optable/MiscMathSymbolsA.js    |  19 ------
 .../jax/element/mml/optable/MiscMathSymbolsB.js    |  19 ------
 .../element/mml/optable/MiscSymbolsAndArrows.js    |  19 ------
 .../jax/element/mml/optable/MiscTechnical.js       |  19 ------
 .../jax/element/mml/optable/SpacingModLetters.js   |  19 ------
 .../jax/element/mml/optable/SuppMathOperators.js   |  19 ------
 .../jax/element/mml/optable/SupplementalArrowsA.js |  19 ------
 .../jax/element/mml/optable/SupplementalArrowsB.js |  19 ------
 .../epub/MathJax/jax/input/AsciiMath/Makefile.am   |   8 ---
 backend/epub/MathJax/jax/input/AsciiMath/config.js |  19 ------
 backend/epub/MathJax/jax/input/AsciiMath/jax.js    |  19 ------
 backend/epub/MathJax/jax/input/Makefile.am         |   6 --
 backend/epub/MathJax/jax/input/MathML/Makefile.am  |  10 ---
 backend/epub/MathJax/jax/input/MathML/config.js    |  19 ------
 .../MathJax/jax/input/MathML/entities/Makefile.am  |  35 ----------
 .../epub/MathJax/jax/input/MathML/entities/a.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/b.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/c.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/d.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/e.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/f.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/fr.js   |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/g.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/h.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/i.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/j.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/k.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/l.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/m.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/n.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/o.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/opf.js  |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/p.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/q.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/r.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/s.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/scr.js  |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/t.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/u.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/v.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/w.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/x.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/y.js    |  19 ------
 .../epub/MathJax/jax/input/MathML/entities/z.js    |  19 ------
 backend/epub/MathJax/jax/input/MathML/jax.js       |  19 ------
 backend/epub/MathJax/jax/input/TeX/Makefile.am     |   8 ---
 backend/epub/MathJax/jax/input/TeX/config.js       |  19 ------
 backend/epub/MathJax/jax/input/TeX/jax.js          |  19 ------
 backend/epub/MathJax/jax/output/Makefile.am        |   6 --
 backend/epub/MathJax/jax/output/SVG/Makefile.am    |   9 ---
 .../MathJax/jax/output/SVG/autoload/Makefile.am    |  14 ----
 .../jax/output/SVG/autoload/annotation-xml.js      |  19 ------
 .../MathJax/jax/output/SVG/autoload/maction.js     |  19 ------
 .../MathJax/jax/output/SVG/autoload/menclose.js    |  19 ------
 .../epub/MathJax/jax/output/SVG/autoload/mglyph.js |  19 ------
 .../jax/output/SVG/autoload/mmultiscripts.js       |  19 ------
 backend/epub/MathJax/jax/output/SVG/autoload/ms.js |  19 ------
 .../epub/MathJax/jax/output/SVG/autoload/mtable.js |  19 ------
 .../MathJax/jax/output/SVG/autoload/multiline.js   |  19 ------
 backend/epub/MathJax/jax/output/SVG/config.js      |  19 ------
 .../epub/MathJax/jax/output/SVG/fonts/Makefile.am  |   6 --
 .../jax/output/SVG/fonts/TeX/AMS/Makefile.am       |   6 --
 .../jax/output/SVG/fonts/TeX/AMS/Regular/Arrows.js |  19 ------
 .../output/SVG/fonts/TeX/AMS/Regular/BoxDrawing.js |  19 ------
 .../SVG/fonts/TeX/AMS/Regular/CombDiacritMarks.js  |  19 ------
 .../output/SVG/fonts/TeX/AMS/Regular/Dingbats.js   |  19 ------
 .../SVG/fonts/TeX/AMS/Regular/EnclosedAlphanum.js  |  19 ------
 .../fonts/TeX/AMS/Regular/GeneralPunctuation.js    |  19 ------
 .../SVG/fonts/TeX/AMS/Regular/GeometricShapes.js   |  19 ------
 .../SVG/fonts/TeX/AMS/Regular/GreekAndCoptic.js    |  19 ------
 .../SVG/fonts/TeX/AMS/Regular/Latin1Supplement.js  |  19 ------
 .../SVG/fonts/TeX/AMS/Regular/LatinExtendedA.js    |  19 ------
 .../SVG/fonts/TeX/AMS/Regular/LetterlikeSymbols.js |  19 ------
 .../jax/output/SVG/fonts/TeX/AMS/Regular/Main.js   |  19 ------
 .../output/SVG/fonts/TeX/AMS/Regular/Makefile.am   |  26 -------
 .../SVG/fonts/TeX/AMS/Regular/MathOperators.js     |  19 ------
 .../SVG/fonts/TeX/AMS/Regular/MiscMathSymbolsB.js  |  19 ------
 .../SVG/fonts/TeX/AMS/Regular/MiscSymbols.js       |  19 ------
 .../SVG/fonts/TeX/AMS/Regular/MiscTechnical.js     |  19 ------
 .../jax/output/SVG/fonts/TeX/AMS/Regular/PUA.js    |  19 ------
 .../SVG/fonts/TeX/AMS/Regular/SpacingModLetters.js |  19 ------
 .../SVG/fonts/TeX/AMS/Regular/SuppMathOperators.js |  19 ------
 .../output/SVG/fonts/TeX/Caligraphic/Bold/Main.js  |  19 ------
 .../SVG/fonts/TeX/Caligraphic/Bold/Makefile.am     |   8 ---
 .../output/SVG/fonts/TeX/Caligraphic/Makefile.am   |   6 --
 .../SVG/fonts/TeX/Caligraphic/Regular/Main.js      |  19 ------
 .../SVG/fonts/TeX/Caligraphic/Regular/Makefile.am  |   7 --
 .../SVG/fonts/TeX/Fraktur/Bold/BasicLatin.js       |  19 ------
 .../jax/output/SVG/fonts/TeX/Fraktur/Bold/Main.js  |  19 ------
 .../output/SVG/fonts/TeX/Fraktur/Bold/Makefile.am  |   7 --
 .../jax/output/SVG/fonts/TeX/Fraktur/Bold/Other.js |  19 ------
 .../jax/output/SVG/fonts/TeX/Fraktur/Bold/PUA.js   |  19 ------
 .../jax/output/SVG/fonts/TeX/Fraktur/Makefile.am   |   6 --
 .../SVG/fonts/TeX/Fraktur/Regular/BasicLatin.js    |  19 ------
 .../output/SVG/fonts/TeX/Fraktur/Regular/Main.js   |  19 ------
 .../SVG/fonts/TeX/Fraktur/Regular/Makefile.am      |   7 --
 .../output/SVG/fonts/TeX/Fraktur/Regular/Other.js  |  19 ------
 .../output/SVG/fonts/TeX/Fraktur/Regular/PUA.js    |  19 ------
 .../jax/output/SVG/fonts/TeX/Main/Bold/Arrows.js   |  19 ------
 .../output/SVG/fonts/TeX/Main/Bold/BasicLatin.js   |  19 ------
 .../SVG/fonts/TeX/Main/Bold/CombDiacritMarks.js    |  19 ------
 .../SVG/fonts/TeX/Main/Bold/CombDiactForSymbols.js |  19 ------
 .../SVG/fonts/TeX/Main/Bold/GeneralPunctuation.js  |  19 ------
 .../SVG/fonts/TeX/Main/Bold/GeometricShapes.js     |  19 ------
 .../SVG/fonts/TeX/Main/Bold/GreekAndCoptic.js      |  19 ------
 .../SVG/fonts/TeX/Main/Bold/Latin1Supplement.js    |  19 ------
 .../SVG/fonts/TeX/Main/Bold/LatinExtendedA.js      |  19 ------
 .../SVG/fonts/TeX/Main/Bold/LatinExtendedB.js      |  19 ------
 .../SVG/fonts/TeX/Main/Bold/LetterlikeSymbols.js   |  19 ------
 .../jax/output/SVG/fonts/TeX/Main/Bold/Main.js     |  19 ------
 .../jax/output/SVG/fonts/TeX/Main/Bold/Makefile.am |  26 -------
 .../SVG/fonts/TeX/Main/Bold/MathOperators.js       |  19 ------
 .../SVG/fonts/TeX/Main/Bold/MiscMathSymbolsA.js    |  19 ------
 .../output/SVG/fonts/TeX/Main/Bold/MiscSymbols.js  |  19 ------
 .../SVG/fonts/TeX/Main/Bold/MiscTechnical.js       |  19 ------
 .../SVG/fonts/TeX/Main/Bold/SpacingModLetters.js   |  19 ------
 .../SVG/fonts/TeX/Main/Bold/SuppMathOperators.js   |  19 ------
 .../SVG/fonts/TeX/Main/Bold/SupplementalArrowsA.js |  19 ------
 .../output/SVG/fonts/TeX/Main/Italic/BasicLatin.js |  19 ------
 .../SVG/fonts/TeX/Main/Italic/CombDiacritMarks.js  |  19 ------
 .../fonts/TeX/Main/Italic/GeneralPunctuation.js    |  19 ------
 .../SVG/fonts/TeX/Main/Italic/GreekAndCoptic.js    |  19 ------
 .../SVG/fonts/TeX/Main/Italic/LatinExtendedA.js    |  19 ------
 .../SVG/fonts/TeX/Main/Italic/LatinExtendedB.js    |  19 ------
 .../SVG/fonts/TeX/Main/Italic/LetterlikeSymbols.js |  19 ------
 .../jax/output/SVG/fonts/TeX/Main/Italic/Main.js   |  19 ------
 .../output/SVG/fonts/TeX/Main/Italic/Makefile.am   |  15 ----
 .../SVG/fonts/TeX/Main/Italic/MathOperators.js     |  19 ------
 .../jax/output/SVG/fonts/TeX/Main/Makefile.am      |   6 --
 .../SVG/fonts/TeX/Main/Regular/BasicLatin.js       |  19 ------
 .../SVG/fonts/TeX/Main/Regular/CombDiacritMarks.js |  19 ------
 .../SVG/fonts/TeX/Main/Regular/GeometricShapes.js  |  19 ------
 .../SVG/fonts/TeX/Main/Regular/GreekAndCoptic.js   |  19 ------
 .../SVG/fonts/TeX/Main/Regular/LatinExtendedA.js   |  19 ------
 .../SVG/fonts/TeX/Main/Regular/LatinExtendedB.js   |  19 ------
 .../fonts/TeX/Main/Regular/LetterlikeSymbols.js    |  19 ------
 .../jax/output/SVG/fonts/TeX/Main/Regular/Main.js  |  19 ------
 .../output/SVG/fonts/TeX/Main/Regular/Makefile.am  |  19 ------
 .../SVG/fonts/TeX/Main/Regular/MathOperators.js    |  19 ------
 .../SVG/fonts/TeX/Main/Regular/MiscSymbols.js      |  19 ------
 .../fonts/TeX/Main/Regular/SpacingModLetters.js    |  19 ------
 .../fonts/TeX/Main/Regular/SuppMathOperators.js    |  19 ------
 .../MathJax/jax/output/SVG/fonts/TeX/Makefile.am   |   9 ---
 .../output/SVG/fonts/TeX/Math/BoldItalic/Main.js   |  19 ------
 .../SVG/fonts/TeX/Math/BoldItalic/Makefile.am      |   7 --
 .../jax/output/SVG/fonts/TeX/Math/Italic/Main.js   |  19 ------
 .../output/SVG/fonts/TeX/Math/Italic/Makefile.am   |   7 --
 .../jax/output/SVG/fonts/TeX/Math/Makefile.am      |   5 --
 .../SVG/fonts/TeX/SansSerif/Bold/BasicLatin.js     |  19 ------
 .../fonts/TeX/SansSerif/Bold/CombDiacritMarks.js   |  19 ------
 .../output/SVG/fonts/TeX/SansSerif/Bold/Main.js    |  19 ------
 .../SVG/fonts/TeX/SansSerif/Bold/Makefile.am       |   7 --
 .../output/SVG/fonts/TeX/SansSerif/Bold/Other.js   |  19 ------
 .../SVG/fonts/TeX/SansSerif/Italic/BasicLatin.js   |  19 ------
 .../fonts/TeX/SansSerif/Italic/CombDiacritMarks.js |  19 ------
 .../output/SVG/fonts/TeX/SansSerif/Italic/Main.js  |  19 ------
 .../SVG/fonts/TeX/SansSerif/Italic/Makefile.am     |   7 --
 .../output/SVG/fonts/TeX/SansSerif/Italic/Other.js |  19 ------
 .../jax/output/SVG/fonts/TeX/SansSerif/Makefile.am |   5 --
 .../SVG/fonts/TeX/SansSerif/Regular/BasicLatin.js  |  19 ------
 .../TeX/SansSerif/Regular/CombDiacritMarks.js      |  19 ------
 .../output/SVG/fonts/TeX/SansSerif/Regular/Main.js |  19 ------
 .../SVG/fonts/TeX/SansSerif/Regular/Makefile.am    |   7 --
 .../SVG/fonts/TeX/SansSerif/Regular/Other.js       |  19 ------
 .../jax/output/SVG/fonts/TeX/Script/Makefile.am    |   5 --
 .../SVG/fonts/TeX/Script/Regular/BasicLatin.js     |  19 ------
 .../output/SVG/fonts/TeX/Script/Regular/Main.js    |  19 ------
 .../SVG/fonts/TeX/Script/Regular/Makefile.am       |   7 --
 .../jax/output/SVG/fonts/TeX/Size1/Makefile.am     |   6 --
 .../jax/output/SVG/fonts/TeX/Size1/Regular/Main.js |  19 ------
 .../output/SVG/fonts/TeX/Size1/Regular/Makefile.am |   7 --
 .../jax/output/SVG/fonts/TeX/Size2/Makefile.am     |   5 --
 .../jax/output/SVG/fonts/TeX/Size2/Regular/Main.js |  19 ------
 .../output/SVG/fonts/TeX/Size2/Regular/Makefile.am |   7 --
 .../jax/output/SVG/fonts/TeX/Size3/Makefile.am     |   5 --
 .../jax/output/SVG/fonts/TeX/Size3/Regular/Main.js |  19 ------
 .../output/SVG/fonts/TeX/Size3/Regular/Makefile.am |   7 --
 .../jax/output/SVG/fonts/TeX/Size4/Makefile.am     |   5 --
 .../jax/output/SVG/fonts/TeX/Size4/Regular/Main.js |  19 ------
 .../output/SVG/fonts/TeX/Size4/Regular/Makefile.am |   7 --
 .../output/SVG/fonts/TeX/Typewriter/Makefile.am    |   5 --
 .../SVG/fonts/TeX/Typewriter/Regular/BasicLatin.js |  19 ------
 .../TeX/Typewriter/Regular/CombDiacritMarks.js     |  19 ------
 .../SVG/fonts/TeX/Typewriter/Regular/Main.js       |  19 ------
 .../SVG/fonts/TeX/Typewriter/Regular/Makefile.am   |   7 --
 .../SVG/fonts/TeX/Typewriter/Regular/Other.js      |  19 ------
 .../jax/output/SVG/fonts/TeX/fontdata-extra.js     |  19 ------
 .../MathJax/jax/output/SVG/fonts/TeX/fontdata.js   |  19 ------
 backend/epub/MathJax/jax/output/SVG/jax.js         |  19 ------
 backend/epub/epub-document.c                       |   3 +-
 configure.ac                                       |  52 --------------
 258 files changed, 2 insertions(+), 4524 deletions(-)

commit feb98c4c3e21e34b1aeffc287531ff97a9d0616c
Author: infirit <infirit@gmail.com>
Date:   Sun Sep 6 13:01:50 2015 +0200

    Retrieve strings directly from gschema
    
    intltool 0.5.1 has support for gsettings schemas.

 configure.ac                       |  2 +-
 data/Makefile.am                   |  7 ++---
 data/org.mate.Atril.gschema.xml    | 54 ++++++++++++++++++++++++++++++++++++++
 data/org.mate.Atril.gschema.xml.in | 54 --------------------------------------
 4 files changed, 57 insertions(+), 60 deletions(-)

commit d951346243735878fe430d32ca10076fcb3300f2
Author: infirit <infirit@gmail.com>
Date:   Sat Sep 5 22:53:28 2015 +0200

    Fix POTFILES for gsettings schema

 po/POTFILES.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ae166272bb8a52e08fc8750069a1c273177d48ea
Merge: de87cfc 03f942a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Sep 4 11:08:48 2015 +0200

    Merge pull request #156 from monsta/stuff
    
    some minor cleanup (mostly from upstream)

commit 03f942ae10a7b210dda3e1d9989868ca48d6688d
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Jul 26 22:03:54 2013 +0200

    comics: Fix -Wold-style-declaration warning

 backend/comics/comics-document.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f6c65751e90adaad60d0df20b9cdae690aa5690a
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Feb 17 18:46:35 2013 +0100

    xps: Remove extra call to gxps_link_get_area()

 backend/xps/xps-document.c | 1 -
 1 file changed, 1 deletion(-)

commit c6204545589077af1fe6be939a5db3e619c5fde1
Author: Hib Eris <hib@hiberis.nl>
Date:   Sun Feb 19 13:10:09 2012 +0100

    pdf: remove unused variables

 backend/pdf/ev-poppler.cc | 14 ++------------
 1 file changed, 2 insertions(+), 12 deletions(-)

commit ef5184fdf9b2c4db6a1496c98c291ef0245bb461
Author: Hib Eris <hib@hiberis.nl>
Date:   Mon Feb 20 21:37:37 2012 +0100

    pdf: remove unused variable

 backend/pdf/ev-poppler.cc | 1 -
 1 file changed, 1 deletion(-)

commit 76bc1b06283335481d7826e5eac8238e3547e6dc
Author: Hib Eris <hib@hiberis.nl>
Date:   Mon Dec 19 14:03:10 2011 +0100

    Remove unused variables from mdvi-lib

 backend/dvi/mdvi-lib/bitmap.c  | 2 --
 backend/dvi/mdvi-lib/sp-epsf.c | 2 --
 backend/dvi/mdvi-lib/tfmfile.c | 3 +--
 3 files changed, 1 insertion(+), 6 deletions(-)

commit fd91bcc72741c6c11befcf81724639f8f3e40e4b
Author: monsta <monsta@inbox.ru>
Date:   Wed Sep 2 11:30:21 2015 +0300

    libview: removed 'x' attribute from a header file

 libview/ev-view.h | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit de87cfc36812298c0d8ad76079cc09e4b7f80aa9
Author: monsta <monsta@inbox.ru>
Date:   Wed Aug 19 10:53:14 2015 +0300

    configure.ac: drop obsolete macro
    
    It's been a no-op for a long time.
    See https://mail.gnome.org/archives/commits-list/2011-December/msg00681.html for example.

 configure.ac | 3 ---
 1 file changed, 3 deletions(-)

commit 5a88b90d367fe89c31eba4f87f1e5fc367a5130f
Author: infirit <infirit@gmail.com>
Date:   Mon Aug 31 14:46:09 2015 +0200

    configure: properly show "epub backend: no" in summary if it's off
    
    Thanks to @monsta for reporting the problem.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c0d3a0601a68039e565194655ee9e719d29466c7
Author: monsta <monsta@inbox.ru>
Date:   Thu Aug 27 11:19:47 2015 +0300

    made --page-index command line option actually work
    
    that logic error was completely ridiculous

 shell/ev-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ceeaa290add4b6023cc61454a1c4c08b3e09e6bc
Author: monsta <monsta@inbox.ru>
Date:   Wed Aug 26 17:30:17 2015 +0300

    corrected code for --page-index and --page-label command line options
    
    partially taken from
    https://git.gnome.org/browse/evince/commit/?id=26c0109e67aa02fb0e58b2580a6df41363c78bd5

 shell/ev-application.c | 80 ++++++++++++++++++++++++++++++--------------------
 1 file changed, 48 insertions(+), 32 deletions(-)

commit 37f48ea5fcb08871d32813f3986fec349ebad912
Author: monsta <monsta@inbox.ru>
Date:   Wed Aug 26 17:04:43 2015 +0300

    make sure findbar is visible when using --find command line option
    
    from
    https://git.gnome.org/browse/evince/commit/?id=a11159d1b8ea994271b26b5c60083c0b07c1722d

 shell/ev-window.c | 23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

commit 46100f0deb15e2acf100ac7b4f5e2cd27b27e33d
Author: monsta <monsta@inbox.ru>
Date:   Wed Aug 26 16:08:20 2015 +0300

    don't show findbar in presentation mode (search doesn't work there)
    
    from
    https://git.gnome.org/browse/evince/commit/?id=79b9e1e0d6efa05a875e0db5407c9b760f3939d4

 shell/ev-window.c | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

commit ded8f8ac9dc2aaaa24e40a8b9b55907ecf87b105
Author: Monsta <monsta@inbox.ru>
Date:   Wed Aug 26 16:02:17 2015 +0300

    when findbar is invoked, don't jump straight to result
    
    from
    https://git.gnome.org/browse/evince/commit/?id=1c1fe3110118254e3e6ab4661517697d91e99ff8

 shell/ev-window.c | 43 ++++++++++++++++++++++++-------------------
 1 file changed, 24 insertions(+), 19 deletions(-)

commit 34eeb56a0121eb970400889f26a9bdff2ffefb5b
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Dec 4 13:24:33 2011 +0100

    pdf: Fix compile warning

 backend/pdf/ev-poppler.cc | 3 +++
 1 file changed, 3 insertions(+)

commit abbcdb540fc7b9b96b793be0620386ba0247300b
Author: Daniel Glöckner <daniel-gl@gmx.net>
Date:   Mon Aug 29 16:41:29 2011 +0200

    pdf: Fix saving annotations added to different pages
    
    Fixes bug #628378.

 backend/pdf/ev-poppler.cc | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit e5e2b894e070fd0509c0016e7285d78c6ff543c3
Author: Monsta <monsta@inbox.ru>
Date:   Mon Aug 24 22:25:31 2015 +0300

    drop support for win32/osx/hildon, make smclient mandatory

 Makefile.am                                |   5 -
 configure.ac                               | 136 ++---------
 cut-n-paste/smclient/Makefile.am           |  24 +-
 cut-n-paste/smclient/eggsmclient-osx.c     | 235 -------------------
 cut-n-paste/smclient/eggsmclient-private.h |  14 --
 cut-n-paste/smclient/eggsmclient-win32.c   | 353 -----------------------------
 cut-n-paste/smclient/eggsmclient.c         |  18 --
 libdocument/ev-backends-manager.c          |  10 -
 libdocument/ev-file-helpers.c              |   8 -
 libdocument/ev-init.c                      |  61 -----
 libview/ev-stock-icons.c                   |   7 -
 previewer/Makefile.am                      |   4 -
 previewer/ev-previewer-window.c            |  13 +-
 previewer/ev-previewer.c                   |  33 ---
 shell/Makefile.am                          |  11 -
 shell/ev-application.c                     |  49 ----
 shell/main.c                               |  47 ----
 thumbnailer/Makefile.am                    |   4 -
 thumbnailer/atril-thumbnailer.c            |  15 --
 19 files changed, 18 insertions(+), 1029 deletions(-)

commit 0f060b5170016a28cf742edbc623dea906fa7f15
Merge: 3de4956 b1c2baa
Author: Martin Wimpress <code@flexion.org>
Date:   Wed Aug 26 17:45:33 2015 +0100

    Merge pull request #152 from monsta/patch-2
    
    require libgxps >= 0.2.0

commit b1c2baaeec89967daab033a088ea0db227c57d2f
Author: monsta <monsta@inbox.ru>
Date:   Wed Aug 26 14:27:05 2015 +0300

    require libgxps >= 0.2.0
    
    code changes from https://github.com/GNOME/evince/commit/740263e84f812e069c25d32e6fbf40bec4c061e2
    are already in, but the version bump isn't. fixed that.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3de4956ee790ad32f268134a25474b63e64a4682
Author: Monsta <monsta@inbox.ru>
Date:   Sat Aug 8 16:43:34 2015 +0300

    use GObject instead of deprecated GtkObject in GTK+2 as well

 libview/ev-view-presentation.c | 25 +------------------------
 libview/ev-view.c              | 26 --------------------------
 shell/ev-sidebar-attachments.c | 20 +-------------------
 shell/ev-sidebar.c             | 23 ++---------------------
 4 files changed, 4 insertions(+), 90 deletions(-)

commit d3280a6e90640adab91d94577ae96e3d8cbee29f
Author: infirit <infirit@gmail.com>
Date:   Wed Aug 5 09:55:56 2015 +0200

    Fix gtk-doc build

 help/reference/shell/Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 37abef2d6b86de04b6ae54a79e89b58304ae4762
Author: infirit <infirit@gmail.com>
Date:   Tue Jul 28 12:37:53 2015 +0200

    Fix build with optional mate-desktop.

 configure.ac      | 5 ++++-
 shell/Makefile.am | 4 +++-
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 2dc3ae141afe190aa646b8062ea561416120d080
Author: Geert Braekmans <brakarov@outlook.com>
Date:   Mon Apr 20 14:15:40 2015 +0200

    Made the dependancy on mate-desktop optional

 configure.ac      | 66 +++++++++++++++++++++++++++++++++++--------------------
 shell/ev-window.c | 12 ++++++++++
 2 files changed, 54 insertions(+), 24 deletions(-)

commit 380b232a6fe2a8871a2fe44bd196ae32b6a4d3e5
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Jul 24 09:32:31 2015 +0200

    Save always settings that can bse saved as default in metadata
    
    We relided on default values to store settings in metadata, so that
    settings that don't change are not saved in metdata. Now that default
    settings can change, that approach doesn't work, so we need o save all
    settings in metadata.
    
    evince commit: 720eebf9f0dd2e6a2765f6117f3bce9d7c74fcfa
    evince bug: https://bugzilla.gnome.org/show_bug.cgi?id=639003

 shell/ev-metadata.c |   7 ++
 shell/ev-metadata.h |   2 +
 shell/ev-window.c   | 250 +++++++++++++++++++++++++---------------------------
 3 files changed, 131 insertions(+), 128 deletions(-)

commit 1d28040885192ecf832c655d955e9e65d6ef0249
Author: Monsta <monsta@inbox.ru>
Date:   Mon Jul 13 15:22:47 2015 +0300

    Bump version to 1.10.1

 NEWS         | 7 +++++++
 configure.ac | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 979ead1a66371a8f7005afebb6ef7618337e58e7
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Jul 10 13:45:26 2015 +0200

    help: fix legal page

 help/C/index.docbook | 38 +++++++++++++++++++++++++++++---------
 1 file changed, 29 insertions(+), 9 deletions(-)

commit 67d846c7ea70bae109489d94fb984638b5c6ef2b
Author: Monsta <monsta@inbox.ru>
Date:   Fri Jul 10 13:29:27 2015 +0300

    fix crash when pressing Esc
    
    fixes https://github.com/mate-desktop/atril/issues/136

 shell/ev-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 84eab85dc4dfdeb31a06068f712ba64f6e2741f5
Author: infirit <infirit@gmail.com>
Date:   Fri Jul 10 12:34:57 2015 +0200

    Gtk3: Add webkit2gtk-4.0 and prefer it over 3.0
    
    A lot of distro's are dropping webkit2gtk-3.0 and 4.0 works
    just as well.
    
    Also use have_webkit variable in the PKG_CONFIG checks.

 configure.ac | 23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

commit e426bfaf784a1350cb76ee96655003310a4a42e2
Author: Monsta <monsta@inbox.ru>
Date:   Fri Jul 10 12:05:25 2015 +0300

    gtk3 build: use webkit2gtk-4.0 if 3.0 isn't available
    
    "thanks" to debian guys for removing 3.0 from testing repo

 configure.ac | 5 +++++
 1 file changed, 5 insertions(+)

commit 22a3fc12065d0be034d19dfb0c8707695f514914
Author: Monsta <monsta@inbox.ru>
Date:   Thu Jul 9 12:24:44 2015 +0300

    help: fix merge conflict in slovenian translation

 help/sl/sl.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5256b11c8a7163070bceef8e7553241580526dd5
Author: Monsta <monsta@inbox.ru>
Date:   Thu Jul 9 11:56:06 2015 +0300

    help: fix broken link to feedback page

 help/C/index.docbook | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2987cfb3f31eab560bbc95459836d1e07fe37616
Author: infirit <infirit@gmail.com>
Date:   Thu Jul 2 23:37:34 2015 +0200

    help: fix boken NL atril_start_window.png image

 help/nl/figures/atril_start_window.png | Bin 10972 -> 10973 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 83f8693d6fc2fcae2a11ffb8ba6422ad67a96202
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue May 5 10:33:55 2015 +0200

    Bump version to 1.10.0

 NEWS         | 4 ++--
 configure.ac | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit b560c0b49f12538cf897ef2974449fc91e3fc92c
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Tue May 5 10:32:19 2015 +0200

    Sync translations with transifex

 po/ar.po    |  91 ++++++++++++++++-----------------
 po/cs.po    |  78 ++++++++++++++---------------
 po/el.po    |  78 ++++++++++++++---------------
 po/es.po    | 163 +++++++++++++++++++++++++++++-------------------------------
 po/ja.po    |  34 +++++--------
 po/nb.po    |  69 ++++++++++++-------------
 po/nl.po    |  78 ++++++++++++++---------------
 po/pl.po    |  33 +++++-------
 po/ru.po    |  42 +++++++---------
 po/sl.po    |  21 +++-----
 po/zh_CN.po |  36 ++++++--------
 11 files changed, 327 insertions(+), 396 deletions(-)

commit dfdb0d70d307ea6c1cb4b9471c71a918b01d1ff6
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Apr 4 19:58:58 2015 +0200

    Bump version to 1.9.90

 NEWS         | 10 +---------
 configure.ac |  2 +-
 2 files changed, 2 insertions(+), 10 deletions(-)

commit eb1349a339e9c66d4149d4ed62db36729f09cbb4
Author: Justin Willmert <justin@jdjlab.com>
Date:   Wed Jul 4 11:34:12 2012 +0200

    libdocument: Fix saving attachments when the name contains a path
    
    Use the basename for the temp file template instead of using the
    attachment name directly.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679354
    
    (cherry picked from commit ff8a330756f in Evince)
    
    Closes https://github.com/mate-desktop/atril/pull/131

 libdocument/ev-attachment.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit c819a6050cd3800176fb26e4a20919d135b56902
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sat Apr 4 19:23:29 2015 +0200

    Sync translations with transifex

 po/be.po | 84 +++++++++++++++++++++++++++++-----------------------------------
 po/bg.po | 23 +++++++-----------
 po/eu.po | 73 +++++++++++++++++++++++++------------------------------
 po/hr.po | 46 +++++++++++++++--------------------
 po/hu.po | 55 +++++++++++++++++++-----------------------
 po/pt.po | 63 ++++++++++++++++++++++--------------------------
 po/ro.po | 23 +++++++-----------
 7 files changed, 158 insertions(+), 209 deletions(-)

commit 65c27ac69a8a51da67bcca591e1933815a1032b3
Author: Monsta <monsta@inbox.ru>
Date:   Tue Mar 17 16:47:26 2015 +0300

    corrected bug tracker links everywhere
    
    Closes https://github.com/mate-desktop/atril/pull/132

 NEWS.gnome                        |  2 +-
 TODO                              |  4 ++--
 backend/pdf/ev-poppler.cc         | 10 +++++-----
 libdocument/ev-file-helpers.c     |  2 +-
 libview/ev-transition-animation.c |  4 ++--
 shell/ev-window.c                 |  4 ++--
 6 files changed, 13 insertions(+), 13 deletions(-)

commit 4dae1332476f20b157a5bb753bb8a52c3dfb09cd
Author: Monsta <monsta@inbox.ru>
Date:   Thu Jan 29 17:37:07 2015 +0300

    webkit: indicate that job failed when the thumbnail loading fails
    
    in GTK+3 build as well

 libview/ev-jobs.c | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit d13d6da8614a33a13989196f450b360528e110f5
Author: Monsta <monsta@inbox.ru>
Date:   Thu Jan 29 16:44:10 2015 +0300

    webkit changes
    
    - GTK+2 build: use signals to get notifications about load finish
      and errors (instead of polling in idle function)
    - GTK+2 build: indicate that job failed when the thumbnail loading
      fails - it doesn't seem to change anything though, but gotta
      figure out how to do the same in GTK+3 build for consistency
    - changed lock/unlock logic so that there's no locking in a function
      and unlocking in a callback

 libview/ev-jobs.c | 58 ++++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 42 insertions(+), 16 deletions(-)

commit a8538a8fe5575139923d8058f14f5219264a5ed9
Author: Monsta <monsta@inbox.ru>
Date:   Thu Jan 29 12:47:53 2015 +0300

    webkit: don't connect signal handlers more than once
    
    avoids calling the callback twice and crashing in GTK+3 build
    (because that callback unlocks the mutex, and glib gets angry
    when you unlock a mutex twice)
    
    Closes https://github.com/mate-desktop/atril/pull/128

 libview/ev-jobs.c | 45 +++++++++++++++++++++++++++++++++------------
 1 file changed, 33 insertions(+), 12 deletions(-)

commit 86591d555b92e4b84db96ec46c07009812e35bd1
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jan 22 09:12:35 2015 +0100

    Bump version to 1.9.2

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit e2f5dc440589e1c29e5ceae59ea785ff0e512dc7
Author: Monsta <monsta@inbox.ru>
Date:   Wed Jan 21 15:25:20 2015 +0300

    fix careless hack: don't do double-free, avoid weird crashes
    
    because backends manager frees that var already.
    
    actually, adding ev_backends_manager_get_backends_dir to the public
    API was still careless. backends manager and epub document jobs seem
    to be in the different threads, and there's no mutex seen anywhere
    around. luckily, what we have here is just a reading of a variable
    that has been assigned only once (in backends_dir function), so it's
    not as catastrophic as it would be if it was e.g. concurrent writing
    without a mutex.
    
    Closes https://github.com/mate-desktop/atril/pull/124

 backend/epub/epub-document.c      |  3 +--
 libdocument/ev-backends-manager.c | 11 ++---------
 libdocument/ev-backends-manager.h |  2 +-
 3 files changed, 4 insertions(+), 12 deletions(-)

commit 11f582cafc8abca5990135a0fe786a4bfe6f7a2a
Author: Monsta <monsta@inbox.ru>
Date:   Wed Jan 21 14:11:43 2015 +0300

    fix crash when pressing Enter on "unable to open document" screen
    
    Closes https://github.com/mate-desktop/atril/pull/124

 shell/ev-window.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit d8d4fcd1182e4295cb4307333a4af4ea3e3c75db
Author: Balló György <ballogyor@gmail.com>
Date:   Sat Jan 10 20:42:49 2015 +0100

    comics backend: add support for bsdtar
    
    bsdtar is able to extract all supported comics archive format.

 backend/comics/comics-document.c | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit e0782e058b729553335cfe76f96ba556e54b7f58
Author: Monsta <monsta@inbox.ru>
Date:   Mon Jan 5 18:34:01 2015 +0300

    safer access to list element's data
    
    g_list_nth_data just returns NULL if either list or element is NULL

 shell/ev-history.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit 54da6f16ad644abc7771d568679a12b79a890e01
Author: Monsta <monsta@inbox.ru>
Date:   Sat Jan 10 12:09:35 2015 +0300

    shell: drop ancient code with support for Glib < 2.6.0

 shell/ev-application.c | 6 +-----
 shell/ev-daemon.c      | 6 +-----
 2 files changed, 2 insertions(+), 10 deletions(-)

commit c330e38212140a008e77a58bba46af73635e706c
Author: infirit <infirit@gmail.com>
Date:   Mon Dec 29 13:37:46 2014 +0100

    epub: Fix some typos
    
    Thanks to tibbi <tibbbi2@gmail.com> for spotting them.

 backend/epub/epub-document.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4599ff1d32a8c0a9633b9d4a3636166c5d060508
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 16 13:10:41 2014 +0100

    Revert "Add back Glib 2.32 support"
    
    This reverts commit 7a72f6eb6a4cfcf636760c6a6efb24ab2fb278c9.

 configure.ac                    | 2 +-
 shell/ev-daemon.c               | 5 -----
 thumbnailer/atril-thumbnailer.c | 4 ----
 3 files changed, 1 insertion(+), 10 deletions(-)

commit 7a72f6eb6a4cfcf636760c6a6efb24ab2fb278c9
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 16 12:17:49 2014 +0100

    Add back Glib 2.32 support

 configure.ac                    | 2 +-
 shell/ev-daemon.c               | 5 +++++
 thumbnailer/atril-thumbnailer.c | 4 ++++
 3 files changed, 10 insertions(+), 1 deletion(-)

commit 1ec64aab9b6eb86e002b9e5bc8883e08c6159035
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 18:14:05 2014 +0100

    Use the NOMERGE rule for now
    
    It causes problems in the gsettings schema.

 data/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 921a0c368f10d7e850364a3a39b82bfff6f738cd
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 18:13:22 2014 +0100

    Add gsettings gettext type

 po/POTFILES.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b506423a269923eac2ca6504c2bb8149b29674b3
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Wed Dec 10 15:30:04 2014 +0100

    Sync translations with transifex

 po/af.po          | 623 ++++++++++++++++++++--------------
 po/am.po          | 623 ++++++++++++++++++++--------------
 po/ar.po          | 625 ++++++++++++++++++++--------------
 po/as.po          | 623 ++++++++++++++++++++--------------
 po/ast.po         | 623 ++++++++++++++++++++--------------
 po/be.po          | 828 +++++++++++++++++++++++++-------------------
 po/bg.po          | 625 ++++++++++++++++++++--------------
 po/bn.po          | 623 ++++++++++++++++++++--------------
 po/bn_IN.po       | 623 ++++++++++++++++++++--------------
 po/br.po          | 623 ++++++++++++++++++++--------------
 po/ca.po          | 625 ++++++++++++++++++++--------------
 po/ca@valencia.po | 623 ++++++++++++++++++++--------------
 po/cmn.po         | 625 ++++++++++++++++++++--------------
 po/cs.po          | 627 ++++++++++++++++++++--------------
 po/cy.po          | 621 +++++++++++++++++++--------------
 po/da.po          | 623 ++++++++++++++++++++--------------
 po/de.po          | 671 +++++++++++++++++++++---------------
 po/dz.po          | 623 ++++++++++++++++++++--------------
 po/el.po          | 625 ++++++++++++++++++++--------------
 po/en_AU.po       | 623 ++++++++++++++++++++--------------
 po/en_CA.po       | 623 ++++++++++++++++++++--------------
 po/en_GB.po       | 629 ++++++++++++++++++++--------------
 po/eo.po          | 625 ++++++++++++++++++++--------------
 po/es.po          | 702 ++++++++++++++++++++++----------------
 po/et.po          | 623 ++++++++++++++++++++--------------
 po/eu.po          | 623 ++++++++++++++++++++--------------
 po/fa.po          | 621 +++++++++++++++++++--------------
 po/fi.po          | 623 ++++++++++++++++++++--------------
 po/fr.po          | 623 ++++++++++++++++++++--------------
 po/ga.po          | 623 ++++++++++++++++++++--------------
 po/gl.po          | 627 ++++++++++++++++++++--------------
 po/gu.po          | 623 ++++++++++++++++++++--------------
 po/he.po          | 623 ++++++++++++++++++++--------------
 po/hi.po          | 623 ++++++++++++++++++++--------------
 po/hr.po          | 627 ++++++++++++++++++++--------------
 po/hu.po          | 623 ++++++++++++++++++++--------------
 po/id.po          | 625 ++++++++++++++++++++--------------
 po/it.po          | 624 ++++++++++++++++++++--------------
 po/ja.po          | 677 +++++++++++++++++++++---------------
 po/ka.po          | 621 +++++++++++++++++++--------------
 po/kk.po          | 623 ++++++++++++++++++++--------------
 po/kn.po          | 623 ++++++++++++++++++++--------------
 po/ko.po          | 641 +++++++++++++++++++++--------------
 po/ks.po          | 621 +++++++++++++++++++--------------
 po/ku.po          | 623 ++++++++++++++++++++--------------
 po/ky.po          | 623 ++++++++++++++++++++--------------
 po/lt.po          | 625 ++++++++++++++++++++--------------
 po/lv.po          | 623 ++++++++++++++++++++--------------
 po/mai.po         | 621 +++++++++++++++++++--------------
 po/mg.po          | 621 +++++++++++++++++++--------------
 po/mk.po          | 623 ++++++++++++++++++++--------------
 po/ml.po          | 623 ++++++++++++++++++++--------------
 po/mn.po          | 623 ++++++++++++++++++++--------------
 po/mr.po          | 625 ++++++++++++++++++++--------------
 po/ms.po          | 623 ++++++++++++++++++++--------------
 po/nb.po          | 623 ++++++++++++++++++++--------------
 po/nds.po         | 623 ++++++++++++++++++++--------------
 po/ne.po          | 623 ++++++++++++++++++++--------------
 po/nl.po          | 623 ++++++++++++++++++++--------------
 po/nn.po          | 623 ++++++++++++++++++++--------------
 po/oc.po          | 623 ++++++++++++++++++++--------------
 po/or.po          | 623 ++++++++++++++++++++--------------
 po/pa.po          | 623 ++++++++++++++++++++--------------
 po/pl.po          | 627 ++++++++++++++++++++--------------
 po/ps.po          | 623 ++++++++++++++++++++--------------
 po/pt.po          | 637 ++++++++++++++++++++--------------
 po/pt_BR.po       | 623 ++++++++++++++++++++--------------
 po/ro.po          | 623 ++++++++++++++++++++--------------
 po/ru.po          | 623 ++++++++++++++++++++--------------
 po/si.po          | 623 ++++++++++++++++++++--------------
 po/sk.po          | 623 ++++++++++++++++++++--------------
 po/sl.po          | 625 ++++++++++++++++++++--------------
 po/sq.po          | 625 ++++++++++++++++++++--------------
 po/sr.po          | 998 +++++++++++++++++++++++++++++++-----------------------
 po/sr@latin.po    | 623 ++++++++++++++++++++--------------
 po/sv.po          | 625 ++++++++++++++++++++--------------
 po/ta.po          | 623 ++++++++++++++++++++--------------
 po/te.po          | 623 ++++++++++++++++++++--------------
 po/th.po          | 623 ++++++++++++++++++++--------------
 po/tr.po          | 623 ++++++++++++++++++++--------------
 po/uk.po          | 635 ++++++++++++++++++++--------------
 po/vi.po          | 623 ++++++++++++++++++++--------------
 po/wa.po          | 621 +++++++++++++++++++--------------
 po/zh_CN.po       | 624 ++++++++++++++++++++--------------
 po/zh_HK.po       | 623 ++++++++++++++++++++--------------
 po/zh_TW.po       | 628 ++++++++++++++++++++--------------
 86 files changed, 32850 insertions(+), 21572 deletions(-)

commit f00e7acb42d3f098579b21f9898bcbe9bc706bee
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 15:19:04 2014 +0100

    We are at version 1.9.1

 NEWS         | 10 +++++++---
 configure.ac |  2 +-
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 5d4bebc045f2266443aaccb55678d23e4559d853
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 15:10:27 2014 +0100

    Update NEWS

 NEWS | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

commit c962f562da3c73c32dbff619711339c54a277dc7
Author: Monsta <monsta@inbox.ru>
Date:   Tue Dec 9 18:24:43 2014 +0300

    fix GI build again...
    
    https://git.gnome.org/browse/evince/commit/?id=0da73daa6993026466a8f817975c7bd5dd2d6737

 libdocument/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit de5565a08db58d9ce48a3a3c74e21120965dd5f0
Author: Monsta <monsta@inbox.ru>
Date:   Tue Dec 9 11:54:06 2014 +0300

    fix some more leaks and stuff

 backend/epub/epub-document.c               | 4 ++--
 cut-n-paste/synctex/synctex_parser_utils.c | 2 ++
 2 files changed, 4 insertions(+), 2 deletions(-)

commit cf55d726548132dc05115cd4accf0a4d5f1bf5ee
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 02:27:51 2014 +0100

    tiff: Set stopOnError to zero on TIFFReadRGBAImageOriented() calls
    
    This allows overlooking errors and processing malformed tiff files.
    
    Taken from evince commit: 2f2b0dbbf86b3b0def86c78e27f7e530e4041308
    From: Juanjo Marín <juanj.marin@juntadeandalucia.es>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=644806

 backend/tiff/tiff-document.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 07363a38f4f9524b5ff5cae474fff36598d4608a
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 02:24:12 2014 +0100

    libview: clear caches after destroying child widgets.
    
    Taken from evince commit: 4de037ccccb4d836db43bf97fdaacf7c02ffb1f1
    From: Marek Kašík <mkasik@redhat.com>

 libview/ev-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 28c29d72f5c4a8eb4469f84b82e6698ceb9721a2
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 02:23:09 2014 +0100

    [win32] Fix ev_win32_get_locale_dir()
    
    Taken from evince commit: 22ad42615bbcc20c191ed8b2b75eac152c62f257
    From: Hib Eris <hib@hiberis.nl>

 libdocument/ev-init.c | 2 ++
 1 file changed, 2 insertions(+)

commit a2bd784cca80111f4f59c81d9d86a20aec784952
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 02:20:36 2014 +0100

    a11: using ATK_ROLE_DOCUMENT_FRAME it's more correct
    
    Taken from evince commit: dae88237d66fd49588cc27136c59376c443f9e9f
    From: danigm <danigm@wadobo.com>

 libview/ev-view-accessible.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e8b35c2524490173ba03f2bd816981b065ab9b07
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 02:19:48 2014 +0100

    a11y: fixed offset index error
    
    Taken from evince commit: af0c0f056f8e2f64244df3b7cf1132347f4a9716
    From: danigm <danigm@wadobo.com>

 libview/ev-view-accessible.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f8e8685f067bae57ed3ca1bd462086c0e9dbae7d
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 02:18:57 2014 +0100

    a11y: checking null before setting text_buffer text
    
    Taken from evince commit: 88aee427ed3c45f7d84216f5512fbb07ce164edd
    From: danigm <danigm@wadobo.com>

 libview/ev-view-accessible.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 0e54ba33b487090b5befeb55ea6a6526bf207e35
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 02:18:04 2014 +0100

    libview: Save contents of FormTextFields when they loss focus.
    
    Taken from evince commit: c8104d3426a7bd7ce6570a87363e4edeea472fce
    From: José Aliste <jaliste@src.gnome.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=624921

 libview/ev-view.c | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

commit 1a09942161a051ffda7a88083428dee076b813c4
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 02:16:35 2014 +0100

    sidebar: align page numbers to the right in sidebar-links
    
    Taken from evince commit: 200d6798c462e3669c01020dc5a7e2ee22e1b039
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 shell/ev-sidebar-links.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit ba532efcd35e1adb0e84e774418787c32c590b19
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 02:15:43 2014 +0100

    presentation: Enable screensaver again when window loses the focus
    
    Taken from evince commit: c935a25cdd0c9791158b1252835142472152d6cc
    From: Carlos Garcia Campos <carlosgc@gnome.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=644133

 shell/ev-window.c | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit 49ec363e5cd53042368bbc5056f6d5aa57e0b0b5
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 02:14:02 2014 +0100

    Give the keyboard focus to the view when sidebar is closed
    
    Taken from evince commit: 2bbc796272c012031832232eda2517e4517c85cd
    From: Carlos Garcia Campos <carlosgc@gnome.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=645109

 shell/ev-window.c | 2 ++
 1 file changed, 2 insertions(+)

commit bf6e3391b82844e8b6aec0f26332b9e2df41edf8
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 02:11:02 2014 +0100

    dvi: Another fix for buffer overwrite in dvi-backend
    
    Taken from evince commit: efadec4ffcdde3373f6f4ca0eaac98dc963c4fd5
    From: Scott Reeves <sreeves@novell.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=643882

 backend/dvi/mdvi-lib/afmparse.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8d384f7cfcb9a6f1692c81c703c0d9e636683e13
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 02:10:16 2014 +0100

    tiff: Use TIFFOpenW on windows
    
    Taken from evince commit: 019c902c1e873aa465e877ae700f36eb94d04c45
    From: Hib Eris <hib@hiberis.nl>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=644928

 backend/tiff/tiff-document.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 308782586222c4ba4ccc1585f6b0c636f521fddb
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 02:07:51 2014 +0100

    libview: remove all widgets from the View when reloading the doc
    
    Taken from evince commit: 8434736a712f5b93d1f3909221abe0b88096f78a
    From: José Aliste <jaliste@src.gnome.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=632087

 libview/ev-view.c | 1 +
 1 file changed, 1 insertion(+)

commit 00c3f80c246c9197464091dc47b7bf681d0e9ced
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 02:05:23 2014 +0100

    Add .png extension when saving images using DnD
    
    Taken from evince commit: 7069b43e9a64be2d4e4509dffd0384dfcce59de4
    From: Wouter Bolsterlee <wbolster@gnome.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=643709

 libdocument/ev-image.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit db3f169a3b9aaced264a5cec39e41430e4b8040f
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 01:51:45 2014 +0100

    libview: Only accept focus on annot windows when pointer is on the window
    
    It prevents focus stealing when scrolling with keyboard.
    
    Taken from evince commit: 8a635b0b7d54cecc864299c8decbcc51b3c068a9
    From: Carlos Garcia Campos <carlosgc@gnome.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=623829

 libview/ev-annotation-window.c | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

commit 3b65cb19ec88d6263c5d20f5332bedf102ce77ef
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 01:50:14 2014 +0100

    libview: Use a popup window instead of a toplevel for loading window
    
    Taken from evince commit: 464ec9077f4bc709e50c83372c9d4e1703533efa
    From: Carlos Garcia Campos <carlosgc@gnome.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=633475

 libview/ev-loading-window.c | 1 +
 1 file changed, 1 insertion(+)

commit 4df03e6ebcf0443429d17027026532336e4b0aca
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 01:48:23 2014 +0100

    backends: Fix another security issue in the dvi-backend
    
    Taken from evince commit: 439c5070022eab6cef7266aab47f978058012c72
    From: Vincent Untz <vuntz@gnome.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=640923

 backend/dvi/mdvi-lib/afmparse.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 792b694b94965150f845fc3a940ee7c72b1d5b94
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 01:46:40 2014 +0100

    Rotate with CTRL+Left/Right in presentation mode too
    
    Taken from evince commit: edf80d6543a90f386f34c37d35998cd286736263
    From: Carlos Garcia Campos <carlosgc@gnome.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=641772

 shell/ev-window.c | 27 +++++++++++++++++++++++----
 1 file changed, 23 insertions(+), 4 deletions(-)

commit 8389b5ec0106f63fbe04c42bd9f120f67ec3d078
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 01:45:16 2014 +0100

    presentation: Allow to change rotation in presentation mode
    
    Taken from evince commit: ef9c2b1a189ddbdbd7cdb10dad6c3c6db4cb0ccd
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 libview/ev-view-presentation.c | 91 +++++++++++++++++++++++++++++++++---------
 libview/ev-view-presentation.h |  3 ++
 2 files changed, 76 insertions(+), 18 deletions(-)

commit df6d74cc8fbdc2ec0b88ad459da02817cf4e9482
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 01:38:21 2014 +0100

    presentation: move to next/previous page with media keys in presentation mode too
    
    Taken from evince commit: 53eea4249bc0255faa1bf51cb4fb455db4cc69f1
    From: Carlos Garcia Campos <carlosgc@gnome.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=625560

 shell/ev-window.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit ebef7a5b36db6d6b5e8b56eaea4926f745d48246
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 01:36:38 2014 +0100

    presentation: Make next/previous methods public
    
    Taken from evince commit: f0361693221cdd168386509b6ffe97c72d21777a
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 libview/ev-view-presentation.c | 6 ++----
 libview/ev-view-presentation.h | 2 ++
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 4130805895a7969e543203777c77c0cf4d040e5f
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 01:35:29 2014 +0100

    Gtk3: presentation: Make sure background window is black by default in presentation mode
    
    Taken from evince commit: cb45bdc33321121e2e0ec14e0c74530623180858
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 libview/ev-view-presentation.c | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

commit 574c93458607dc2a4331b819a8761893c3f2d1fb
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 01:31:42 2014 +0100

    Remember the current page when document is reloaded in presentation mode
    
    Taken from evince commit: 64f2cca8898d08f2b8c549d98a9c5869f7035e3f
    From: Carlos Garcia Campos <carlosgc@gnome.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=637594

 shell/ev-window.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 36f3ee27bcfcae71eb52f96dce27971e7b5a2107
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 01:28:09 2014 +0100

    Check all extensions when saving an image to avoid adding the extension twice
    
    Taken from evince commit: 62844084382c2c4fcf8baf960ce84d99b7b9093d
    From: Carlos Garcia Campos <carlosgc@gnome.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=637461

 shell/ev-window.c | 39 ++++++++++++++++++++++++++-------------
 1 file changed, 26 insertions(+), 13 deletions(-)

commit cfb8266907bd3e41c8375934ec1440f020dd52d5
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 01:25:42 2014 +0100

    Using scroll_to_path instead of set_cursor in sidebar
    
    To prevent the sidebar to get the focus when selected thumbnail changes.
    
    Taken from evince commit: cb55d59b7122e8d06f75c5318910b1b8113d3aac
    From: danigm <danigm@wadobo.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=639408

 shell/ev-sidebar-thumbnails.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1557d3b66a33eb1d4ac84c9a3b9f707874aad883
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 01:23:29 2014 +0100

    libview: Make sure a11y is initialized before checking whether it's enabled
    
    Taken from evince commit: 629c01120f1b2fb0ffdea5e95d2346bab5fb98ee
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 libview/ev-view.c | 28 +++++++++++++++++++++-------
 1 file changed, 21 insertions(+), 7 deletions(-)

commit b7a74f8f6f05a6c944385af7d641c909e258231e
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 01:21:50 2014 +0100

    Call gdk_notify_startup_complete when acting as remote
    
    The new logic with multiple processes removed the call, causing a hung
    startup notification when opening a document for the second time.
    
    Taken from evince commit: 6935cbce7dce37600abe92eec6344ffde0cc6bae
    From: David Benjamin <davidben@mit.edu>

 shell/ev-application.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 3d2385996e32b5a60c8d572e455e171a60d388fa
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 01:20:23 2014 +0100

    Fix problem with some pk fonts
    
    Taken from evince commit: 0a6e8aabcc46d47b5d84e5414cd0e07d57ef171b
    From: José Aliste <jaliste@src.gnome.org>

 backend/dvi/mdvi-lib/pk.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 031a264df3a9790b34ea40b3efe7f1191ebaf648
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 01:18:27 2014 +0100

    pdf: Bump poppler requirements to 0.16.0
    
    And remove all unneeded #ifdefs
    
    Based on evince commit: e214c8e963fc4224c5ee54b8b9f0d23cb07019d7
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 backend/pdf/ev-poppler.cc | 112 ++++------------------------------------------
 configure.ac              |   9 +---
 2 files changed, 10 insertions(+), 111 deletions(-)

commit 2c08466a0dbce10eaebb8c4a565497122cb33e5c
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 00:59:32 2014 +0100

    Fixed minor bug, it returned NULL when expecting gboolean
    
    Taken from evince commit: d9458f7a82b916efcc7bebf576388ef9bf2e8e45
    From: danigm <danigm@wadobo.com>

 backend/pdf/ev-poppler.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a828cb1a5c0835d08a17c86f64d571436f93f980
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 00:58:36 2014 +0100

    backends: Fix several security issues in the dvi-backend.
    
    See CVE-2010-2640, CVE-2010-2641, CVE-2010-2642 and  CVE-2010-2643.
    
    Taken from evince commit: d4139205b010ed06310d14284e63114e88ec6de2
    From: José Aliste <jaliste@src.gnome.org>

 backend/dvi/mdvi-lib/afmparse.c |  2 +-
 backend/dvi/mdvi-lib/dviread.c  |  4 ++++
 backend/dvi/mdvi-lib/pk.c       | 11 ++++++++++-
 backend/dvi/mdvi-lib/tfmfile.c  |  3 ++-
 backend/dvi/mdvi-lib/vf.c       |  6 ++++++
 5 files changed, 23 insertions(+), 3 deletions(-)

commit b2d02d6471176fdb0e42dbe05ffaee90a933a239
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 00:41:18 2014 +0100

    bookmarks: Add a popup menu to open, rename and remove bookmarks
    
    Taken from evince commit: 5d35a222a469aad367c2680c1c0511d6025c17b9
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 shell/ev-sidebar-bookmarks.c | 205 ++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 185 insertions(+), 20 deletions(-)

commit d0b8ac17f14837911bc14bebbab07a6c87c9ec80
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 00:39:02 2014 +0100

    Gtk3: Use gtk_widget_render_icon_pixbuf()

 cut-n-paste/gimpcellrenderertoggle/gimpcellrenderertoggle.c | 1 +
 cut-n-paste/toolbar-editor/egg-editable-toolbar.c           | 1 +
 cut-n-paste/toolbar-editor/egg-toolbar-editor.c             | 1 +
 libview/ev-annotation-window.c                              | 1 +
 4 files changed, 4 insertions(+)

commit 60235791595552d071262caba4a054620ddb65d2
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 00:34:32 2014 +0100

    Gtk3: Don't use gdk_cursor_unref()

 cut-n-paste/toolbar-editor/egg-editable-toolbar.c | 4 ++++
 cut-n-paste/toolbar-editor/egg-toolbar-editor.c   | 4 ++++
 libview/ev-annotation-window.c                    | 4 ++++
 libview/ev-view-presentation.c                    | 4 ++++
 libview/ev-view.c                                 | 4 ++++
 5 files changed, 20 insertions(+)

commit 9d8cec277b8f59b877eb0a7ac8417dac833b7777
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 00:27:29 2014 +0100

    Gtk3: gimpcellrenderertoggle: Port to GtkStyleContext
    
    Taken from evince commit: cd0d12ac77f030caf9b073f60c51539d9b8394ef
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 .../gimpcellrenderertoggle.c                       | 58 ++++++++++++++++++++--
 1 file changed, 54 insertions(+), 4 deletions(-)

commit c5ef437e5384cadc83087f3452aeda10938992a5
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 00:15:16 2014 +0100

    Gtk3: Convert another gtk_paint_ call
    
    Taken from evince commit: 1383dfb59b35d2d4576691ad3d9778de344c8e15
    From: Matthias Clasen <mclasen@redhat.com>

 cut-n-paste/gimpcellrenderertoggle/gimpcellrenderertoggle.c | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit 7abbbdbf7ccef858d5bdb18880c64eb2fca7e2c2
Author: infirit <infirit@gmail.com>
Date:   Wed Dec 10 00:12:56 2014 +0100

    Gtk3: [gimpcellrenderertoggle] Paint a shadow when the mouse is over the cell renderer
    
    Taken from evince commit: 0a2d3c2d9dd1158dfb8cacd72abb498acd0e6fef
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 .../gimpcellrenderertoggle.c                       | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

commit 0cda5a72c129bdb835c91a03c08562a11b056868
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 23:57:00 2014 +0100

    Gtk3: shell: Port EvWindow to GtkStyleContext
    
    Taken from evince commit: 4c3f22a332076fbf6ddc7f2a42bccce9ac673f63
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 shell/ev-window.c | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 2ec79c385a21ef37d16895c7a622da303a76bf13
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 23:55:07 2014 +0100

    Gtk3: eggfindbar: remove unused style properties
    
    Taken from evince commit: fe90f499e34d3c001e1b2e50e23d0ef12e824c6f
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 shell/eggfindbar.c | 4 ++++
 1 file changed, 4 insertions(+)

commit a7b9ecdd923ede7aa92f60241fb25b009a4ec895
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 23:51:10 2014 +0100

    Gtk3: libdocument: Port To GtkStyleContext
    
    Taken from evince commit: 478dd74e4201b44b5c921fd0bb69b0c4e43bcd8a
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 libdocument/ev-document-misc.c | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit 593ef3a82ff1f74cfa527dfe4a96448408978f70
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 23:48:39 2014 +0100

    Gtk3: libview: Port EvViewPresentation to GtkStyleContext
    
    Taken from evince commit: afa18f6b0d2d1851d5b89aba42b2ab263c00710b
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 libview/ev-view-presentation.c | 40 +++++++++++++++++++++++++++++++---------
 1 file changed, 31 insertions(+), 9 deletions(-)

commit 75c1d391dea7978f76ff401e8a8da3a79c117009
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 23:42:21 2014 +0100

    Gtk3: libview: Port EvAnnotationWindow to GtkStyleContext
    
    Taken from evince commit: 0e3c1a6bbc18562c515bd10e2ca9d5bf32b9780f
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 libview/ev-annotation-window.c | 30 ++++++++++++++++++++++++++++--
 1 file changed, 28 insertions(+), 2 deletions(-)

commit 92eef21160dad5e3eaa7356fb6b9fe1cec86b1a9
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 23:39:23 2014 +0100

    Gtk3: libview: Port EvView and EvPixbufCache to GtkStyleContext
    
    Taken from evince commit: 7d5e358fb59172812ea0a4bf8ee6502405abc58e
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 libview/ev-pixbuf-cache.c | 41 +++++++++++++++++++++++++++++++++++++++++
 libview/ev-view.c         | 46 +++++++++++++++++++++++++++++++++++++++-------
 2 files changed, 80 insertions(+), 7 deletions(-)

commit 26a531547b02c4631859397f7f52ae2e5349f896
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 23:26:16 2014 +0100

    Gtk3: libview: Port EvLoadingWindow to GtkStyleContext
    
    Taken from evince commit: 082ba0dbfeed04fb5cb5bb2e5d81c77c831e8c7a
    From: Matthias Clasen <mclasen@redhat.com>

 libview/ev-loading-window.c | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

commit b9389aada734dfc328c6db2a7bfd4f7e2c0c90a5
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 23:17:21 2014 +0100

    libview: Stop the GtkSpinner when the loading window is hidden
    
    Taken from evince commit: 220956ee03fa37fb55079aff63675db26cd908f9
    From: Cristian KLEIN <cristiklein+gnome@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=637390

 libview/ev-loading-window.c | 22 +++++++++++++++++-----
 1 file changed, 17 insertions(+), 5 deletions(-)

commit 1bd8321a918cc416e6b8c81b7b72fb729e1b5369
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 22:57:51 2014 +0100

    shell: Use tooltips to show bookmarks page labels in sidebar
    
    Taken from evince commit: 140a3b93dfe0df6c3ce7f3b93d09bd43458fd205
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 shell/ev-sidebar-bookmarks.c | 49 +++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 48 insertions(+), 1 deletion(-)

commit 8f70652c07743394f591d0340f468cd1d46785f6
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 22:56:49 2014 +0100

    shell: Add a new sidebar page for bookmarks
    
    It allows to add, remove and rename internal bookmarks
    
    Taken from evince commit: 180cf6fef2318791abb3583f4c3f3bc176a204d8
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 po/POTFILES.in               |   1 +
 shell/Makefile.am            |   2 +
 shell/ev-sidebar-bookmarks.c | 406 +++++++++++++++++++++++++++++++++++++++++++
 shell/ev-sidebar-bookmarks.h |  60 +++++++
 shell/ev-window.c            |  28 +++
 5 files changed, 497 insertions(+)

commit b48d2fec7ea33c23363eec02dfd350c4f5602982
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 22:51:45 2014 +0100

    shell: Add bookmarks menu to add and show internal bookmarks
    
    Taken from evince commit: f7eb83a4ad43b1b30af202eb8f33f3057c2a51c5
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 data/atril-ui.xml          |   6 ++
 shell/Makefile.am          |   2 +
 shell/ev-bookmark-action.c | 105 +++++++++++++++++++++++
 shell/ev-bookmark-action.h |  45 ++++++++++
 shell/ev-window.c          | 203 +++++++++++++++++++++++++++++++++++++--------
 5 files changed, 328 insertions(+), 33 deletions(-)

commit 88ade34349d37acc1fedf4433a1ffd9010e5cf7d
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 22:48:38 2014 +0100

    shell: Add EvBookmarks to handle internal document bookmarks
    
    Bookmarks are stored in the document metadata using GVariant
    
    Taken from evince commit: 7f0f254c6655bc301102eaaebabc1d98dade9912
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 shell/Makefile.am    |   2 +
 shell/ev-bookmarks.c | 285 +++++++++++++++++++++++++++++++++++++++++++++++++++
 shell/ev-bookmarks.h |  57 +++++++++++
 shell/ev-metadata.h  |   1 +
 4 files changed, 345 insertions(+)

commit 05c34fac905e8e10fb94e61373f2c33396651880
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 16:07:00 2014 +0100

    pdf: Support .pdf.xz files
    
    Taken from evince commit: d68a55580d2e63c0587b11580dfde219d5ef56fb
    From: Christian Persch <chpe@gnome.org>

 backend/pdf/pdfdocument.atril-backend.in | 3 +--
 configure.ac                             | 2 +-
 2 files changed, 2 insertions(+), 3 deletions(-)

commit 30a41d9c9cb55687675d00b98835a5b54c120b43
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 16:02:36 2014 +0100

    libdocument: Add xz compression support
    
    Taken from evince commit: 38cfc027fc96ac19452c3138614e2c8deff63633
    From: Christian Persch <chpe@gnome.org>

 libdocument/ev-document-factory.c |  2 ++
 libdocument/ev-file-helpers.c     | 14 ++++++++++----
 libdocument/ev-file-helpers.h     |  3 ++-
 3 files changed, 14 insertions(+), 5 deletions(-)

commit 0412a5fb05ca8726129a5f6f4d2ef599e804e444
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 15:50:09 2014 +0100

    libview: make sure gtk_print_operation_cancel() is called from draw-page callback
    
    Fixes crash when printing operation is cancelled.
    
    Taken from evince commit: a09aa79195825d5d9c80c36362203c7c36a5e914
    From: Carlos Garcia Campos <carlosgc@gnome.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=635619

 libview/ev-print-operation.c | 40 +++++++++++++++++++++++++++++++++-------
 1 file changed, 33 insertions(+), 7 deletions(-)

commit 0f7517f8ba18c8952d052e6d23a3822b3d9f4ec6
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 15:48:51 2014 +0100

    libview: return early when print job was cancelled during page rendering
    
    Taken from evince commit: ae4835dbed02ae928d96fb6360f7d5c62416044b
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 libview/ev-jobs.c | 3 +++
 1 file changed, 3 insertions(+)

commit ee9488f9111aa174d6dd3e17c38ad1c76876dd2f
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 15:48:07 2014 +0100

    libview: make sure cancellable object is always cancelled in ev_job_cancel()
    
    It's safe to call it multiple times, and we still don't emit our
    cancelled signal for finished jobs.
    
    Taken from evince commit: 87084fb2aabc726343f6515c09ac6d2bba42afb1
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 libview/ev-jobs.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 5abb88d4376fdb478455a6acb9a8d322d51da5ee
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 15:47:04 2014 +0100

    libview: add a method to get the job currently running in the worker thread
    
    When a job is cancelled while it's running, the cancelled signal might be
    emitted before the job finishes, and since the finished signal is not
    emitted for cancelled jobs, it's not possible to know when the job has
    finished. With this method we can see whether the job is still running
    and wait until it finishes.
    
    Taken from evince commit: 23e76eac47c60ab885edcdb6a337ee7587afa7e8
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 libview/ev-job-scheduler.c | 13 ++++++++++++-
 libview/ev-job-scheduler.h |  9 +++++----
 2 files changed, 17 insertions(+), 5 deletions(-)

commit e9f1cf80bff9c730ccb6d76008ae6c5d0d0c8bcf
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 15:46:06 2014 +0100

    libview: Silence warning for unused functions

 libview/ev-view.c | 2 ++
 1 file changed, 2 insertions(+)

commit bf0fdfa485cef54841309a467063e9fadaeb9d38
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 15:23:05 2014 +0100

    libdocument: Add more sanity checks to ev-document-misc
    
    Taken from evince commit: cae38b012050870eef820330a5902f94f262ffb5
    From: José Aliste <jaliste@src.gnome.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=572061

 libdocument/ev-document-misc.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 510b42f68f3172ff24d4efc605a0527e0cd29e76
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 15:14:25 2014 +0100

    [shell] Send the URI of the input file instead of the filename in SyncSource.
    
    Taken from evince commit: 8b5db2c8c7120a7b4606729fea86247df0d8c462
    From: José Aliste <jaliste@src.gnome.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=632317

 shell/ev-window.c | 27 ++++++++++++++++++++++++++-
 1 file changed, 26 insertions(+), 1 deletion(-)

commit ba7af404335a71a45dc0f39b20e496f32f7eb81d
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 15:11:31 2014 +0100

    libview: Make sure we have a valid page range before getting/setting selection list
    
    Taken from evince commit: a3b87cb28e46958b37e384a47604032ea0889807
    From: Carlos Garcia Campos <carlosgc@gnome.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=630999

 libview/ev-pixbuf-cache.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 559014c4a9ee740055c9cf838347acdaf69ed570
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 15:08:34 2014 +0100

    add timestamp to SyncSource DBus signal
    
    Taken from evince commit: a57c4df4be3d2a2acb3d2b8a205cf7b9b49a816d
    From: José Aliste <jaliste@src.gnome.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=632313

 shell/ev-window.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit eaa32a34c6a0cc117e77e955a5c04d892d48c527
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 15:06:06 2014 +0100

    Gtk3: Use gtk_paned_new() instead gtk_[h|v]paned_new()

 shell/ev-window.c | 4 ++++
 1 file changed, 4 insertions(+)

commit c79c111d958341c4b0d59085af9feb1da72c912d
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 14:55:58 2014 +0100

    dvi: Don't use cairo_image_surface_create_for_data()
    
    We can use cairo_image_surface_create() and let cairo/pixman handle the
    memory.
    
    Taken from evince commit: cb697193fec59edfcefe503c390592851a79dd6b
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 backend/dvi/cairo-device.c | 20 ++++++--------------
 1 file changed, 6 insertions(+), 14 deletions(-)

commit 7242bf0151af4efb698f6551fcd27b1896d0bbfe
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 14:53:45 2014 +0100

    dvi: Fix drawing glyphs with transparency
    
    Taken from evince commit: 0891eb8e130103c2abe4b48b7f2b5fa42d0fdaa0
    From: Carlos Rendon <crendon@gmail.com>

 backend/dvi/cairo-device.c     | 24 ++++++++++++------------
 backend/dvi/mdvi-lib/dviread.c | 32 +-------------------------------
 2 files changed, 13 insertions(+), 43 deletions(-)

commit 6bfdf82a2a4397ad4e0f6cb3d534b58138793a3c
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 14:51:37 2014 +0100

    dvi: Add image_done method to DviDevice to notify that the image is finished
    
    This way we can mark the surface dirty when all pixels have been
    modified.
    
    Taken from evince commit: c565f15e696db4b4cf983cdddf1e1ab273d547dc
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 backend/dvi/cairo-device.c    | 7 +++++++
 backend/dvi/mdvi-lib/bitmap.c | 2 ++
 backend/dvi/mdvi-lib/mdvi.h   | 2 ++
 3 files changed, 11 insertions(+)

commit 14d93b09c70997cca0ca9ba50ea584baea6ef477
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 14:40:33 2014 +0100

    libview: The updated GtkComboBox api is in Gtk+2.24

 libview/ev-view.c | 15 ---------------
 1 file changed, 15 deletions(-)

commit 5864915295487d0a040d08dacf2f9fed0fce7537
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 12:57:26 2014 +0100

    Fill links page labels for the index in the links thread
    
    Getting the page of a named destination requires to take the doc lock,
    so it might block the main thread.
    
    Taken from evince commit: b6f2f6c391fa83cb9532e98f561057f022522147
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 libview/ev-jobs.c        | 36 +++++++++++++++++++++++++++++++++++-
 shell/ev-sidebar-links.c | 34 ----------------------------------
 2 files changed, 35 insertions(+), 35 deletions(-)

commit 5a5e16ca34aeb8a8ecbb9223413c0340b09de224
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 12:45:18 2014 +0100

    [libdocument] Use find_link_page() instead of find_link_dest() in get_dest_page()
    
    Since we only need the page, not the whole destination
    
    Taken from evince commit: bb10c2aa8216b1a336e58a5177229a86c4e586ae
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 libdocument/ev-document-links.c | 10 ++--------
 1 file changed, 2 insertions(+), 8 deletions(-)

commit 21b6463cd687edfbf40bbb6df1cca239d7a6b925
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 12:44:15 2014 +0100

    [djvu] Implement document_links_find_link_page()
    
    Taken from evince commit: 4f13859ce0aa0918a5c6a0a24686d97ffd7d2ee2
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 backend/djvu/djvu-document.c |  1 +
 backend/djvu/djvu-links.c    | 34 ++++++++++++++++++++++++++++------
 backend/djvu/djvu-links.h    |  2 ++
 3 files changed, 31 insertions(+), 6 deletions(-)

commit 07ac65d00384adeec314e677a66a5bb2dcb90cd0
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 12:43:23 2014 +0100

    [pdf] Implement document_links_find_link_page()
    
    Taken from evince commit: 42fdab936eef083c81a9e6798ffea2c4bfab3842
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 backend/pdf/ev-poppler.cc | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit 9ddd72c4f3e5e545a109d619c4e7faf2e90eca9f
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 12:37:08 2014 +0100

    [libdocument] Remove unused method ev_link_get_page()
    
    It has been replaced by ev_document_links_get_link_page() that supports
    named destinations.
    
    Taken from evince commit: 347a6044d6e76f1ccca5827d800d7705750efdef
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 libdocument/ev-link.c | 21 ---------------------
 libdocument/ev-link.h |  1 -
 2 files changed, 22 deletions(-)

commit a0640f1aaed023144137f0c8ad7f04eb5c9605a0
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 12:35:42 2014 +0100

    [pdf] Do not resolve named destinations in the backend
    
    Taken from evince commit: c4923eca28c74fad47acdd1ebaafff206107f721
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 backend/pdf/ev-poppler.cc | 31 +------------------------------
 1 file changed, 1 insertion(+), 30 deletions(-)

commit 2c4ce19338e74f69e3f36f890afdeb9d86a7f87d
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 12:34:38 2014 +0100

    [shell] Use new methods to get page and page label from a link
    
    Instead of ev_link_get_page() that doesn't work for named destinations.
    
    Based on evince commits:
    eb1c4c8ab5f0a179a3e5836f4540a70859cba106
    a5ebb853858e5e2121a35a369d52fc8dd86c92ae
    
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 libdocument/ev-document-links.c | 38 ++++++++++++++++++++++++++++++++++++++
 libdocument/ev-document-links.h |  4 ++++
 shell/ev-sidebar-links.c        | 41 ++++++++++++++++++++++-------------------
 3 files changed, 64 insertions(+), 19 deletions(-)

commit b7918f40bd6a2c6b63bca6d4e095194160c08a5b
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 12:26:05 2014 +0100

    [shell] Add timestamp parameter to SyncView.
    
    SyncView is called after user interaction, so it needs timestamp parameter
    to avoid stealing focus.
    
    Taken from evince commit: a2b36d8928c30f93f74869b294e72d2484422646
    From: José Aliste <jaliste@src.gnome.org>

 shell/ev-window.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit db7225b9a188e2df6d7e0729897ca8952a8b9fb3
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 12:23:34 2014 +0100

    [libdocument] Check for NULL in synctex_backward_search.
    
    Taken from evince commit: 26c3b7e6b2fb3ee2d01ec249f7026a37bcfc2f9c
    From: José Aliste <jaliste@src.gnome.org>
    Gnome bug: 630845

 libdocument/ev-document.c | 17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)

commit 40a47584d8c96b6fe31d1948048ee411cd8b9431
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 12:15:24 2014 +0100

    GDK_KEY_* keys are Gtk+2 as well.

 libview/ev-view-presentation.c | 65 ++++++++++++++++++++----------------------
 libview/ev-view.c              | 29 +++++++++----------
 shell/eggfindbar.c             | 17 +++++------
 shell/ev-sidebar.c             | 11 +++----
 4 files changed, 55 insertions(+), 67 deletions(-)

commit d205c55d5e18977aa5fe2f522c38ec6746a6aaaf
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 12:05:51 2014 +0100

    [totem-scrsaver] Cut down on ifdef hell
    
    We have GDK_DISPLAY_XDISPLAY in Gtk+2 as well.

 cut-n-paste/totem-screensaver/totem-scrsaver.c | 66 --------------------------
 1 file changed, 66 deletions(-)

commit 1a0f225a72ecc4b93b7681a9bf7e4aa7f06c04fc
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 12:00:14 2014 +0100

    [pdf] Update to poppler api changes
    
    Linearized PopplerDocument property is now boolean rather than string.
    
    Based on evince commit: f77e6cf4fd7fef49ac91d8c62b6a9a993529adb8
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 backend/pdf/ev-poppler.cc | 11 +++++++++++
 configure.ac              |  1 +
 2 files changed, 12 insertions(+)

commit 46b86ecb197547fee555b8a46aa97c61dc676cee
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 11:55:42 2014 +0100

    [libview] Don't show an empty tooltip for links that don't have tooltip text
    
    Based on evince commit: f6acfef181e3593caf5f0ded4a7ac440ef0d79ff
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 libview/ev-view.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 83ca334c004a0464322b7bba3f7aa4c83e63945d
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 11:54:19 2014 +0100

    [shell] Update layers sidebar page when layers have changed
    
    Based on evince commit: b151de0dab3a7c3355f8206b8f95548d11714e9e
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 shell/ev-sidebar-layers.c | 43 +++++++++++++++++++++++++++++++++++++++++++
 shell/ev-sidebar-layers.h |  5 +++--
 shell/ev-window.c         | 10 ++++++++++
 3 files changed, 56 insertions(+), 2 deletions(-)

commit a81dc81efad42fb0c8752bd7d33a0c3f0e81c3bd
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 11:53:06 2014 +0100

    [libview] Handle layers state actions
    
    Show/Hide layers according to the action and emit a signal to notify
    that layers have changed.
    
    Based on evince commit: 7e3392ba15113588d1f141a624df852007e75774
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 libview/ev-view-private.h |  1 +
 libview/ev-view.c         | 42 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

commit ee955d1c853cab401b29e8c43f1be7165bc27425
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 11:51:02 2014 +0100

    [pdf] Add support for OCG State actions
    
    Based on evince commit: e39bde3f3b8ce3c111c27f7aa6b384c7a5f98672
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 backend/pdf/ev-poppler.cc | 43 +++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 41 insertions(+), 2 deletions(-)

commit 125dc8050524cecad32af8db8f4dfdea80ca65af
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 11:49:58 2014 +0100

    [libdocument] Add new action to change layers state
    
    Based on evince commit: 1181d9437b5046c5429c6a5b5ab5af6d683a6d79
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 libdocument/ev-link-action.c | 102 ++++++++++++++++++++++++++++++++++++++++++-
 libdocument/ev-link-action.h |   9 +++-
 2 files changed, 109 insertions(+), 2 deletions(-)

commit 1feffa2b7fba6bab62fe044777dad6e3278e848b
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 11:47:09 2014 +0100

    Do not cache layers in the backends
    
    se g_object_set_data instead, to attach the backend object to the
    evince layer.
    
    Based on evince commit: 08993c59369086fa8916236f580438d656ccb8f7
    From: Carlos Garcia Campos <carlosgc@gnome.org>

 backend/pdf/ev-poppler.cc | 36 +++++++++++++++++-------------------
 libdocument/ev-layer.c    | 17 +++--------------
 libdocument/ev-layer.h    |  4 +---
 3 files changed, 21 insertions(+), 36 deletions(-)

commit e155e2912b35146d5c9abba4a4f96530eee97dec
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 9 11:09:31 2014 +0100

    libview] Remove unused bin_window variable.

 libview/ev-view.c | 6 ------
 1 file changed, 6 deletions(-)

commit 4c3a7e168575c4c8a0e235fe9da428759546ba2f
Author: infirit <infirit@gmail.com>
Date:   Mon Dec 8 22:58:09 2014 +0100

    Save zoom factor in default settings when sizing mode is free, close #87
    
    Taken from evince commit: 78cc0d30890045101ccf107eb30a21aeff94deb0
    From: Carlos Garcia Campos <carlosgc@gnome.org>
    Gnome bug: http://bugzilla.gnome.org/show_bug.cgi?id=653383

 data/org.mate.Atril.gschema.xml.in |  3 +++
 shell/ev-window.c                  | 35 +++++++++++++++++++++++++++--------
 2 files changed, 30 insertions(+), 8 deletions(-)

commit 730924bea728462bc7e3abbe988b4823451c9358
Author: infirit <infirit@gmail.com>
Date:   Mon Dec 8 22:33:58 2014 +0100

    Add support for external links to EvViewPresentation, close #111
    Taken from evince commit: 4f8bc8db98020835d2c4d39c902a296b784cf030
    From: Carlos Garcia Campos <carlosgc@gnome.org>
    Gnome bug: http://bugzilla.gnome.org/show_bug.cgi?id=628711

 libview/ev-view-presentation.c | 44 ++++++++++++++++++++++++++++++++++--------
 shell/ev-window.c              | 15 ++++++++++----
 2 files changed, 47 insertions(+), 12 deletions(-)

commit ee69f4fc0c077a676c1f975d67615887996981d5
Author: Monsta <monsta@inbox.ru>
Date:   Mon Nov 24 16:59:14 2014 +0300

    don't leak memory

 backend/epub/epub-document.c | 225 ++++++++++++++++++++++++-------------------
 1 file changed, 125 insertions(+), 100 deletions(-)

commit 3c712b1b86425d051f4e51b8fc457e9f8b2b7384
Author: monsta <monsta@inbox.ru>
Date:   Tue Nov 25 21:34:56 2014 +0300

    removed some code that had no effect

 backend/epub/epub-document.c | 1 -
 1 file changed, 1 deletion(-)

commit fe2766c7a51edf69efd48b683eff2baac44c8bc8
Author: monsta <monsta@inbox.ru>
Date:   Mon Nov 24 16:16:14 2014 +0300

    va_start should be paired with va_end

 cut-n-paste/smclient/eggsmclient-xsmp.c | 1 +
 1 file changed, 1 insertion(+)

commit 327620edb07c573f7d96719288603058baaf27aa
Author: Monsta <monsta@inbox.ru>
Date:   Tue Oct 28 17:06:56 2014 +0300

    zero-init all signals arrays

 cut-n-paste/smclient/eggsmclient.c           | 2 +-
 cut-n-paste/zoom-control/ephy-zoom-control.c | 2 +-
 libview/ev-annotation-window.c               | 2 +-
 libview/ev-view.c                            | 2 +-
 shell/ev-file-monitor.c                      | 2 +-
 shell/ev-media-player-keys.c                 | 2 +-
 shell/ev-navigation-action-widget.c          | 2 +-
 shell/ev-open-recent-action.c                | 2 +-
 shell/ev-sidebar-annotations.c               | 2 +-
 shell/ev-sidebar-attachments.c               | 2 +-
 shell/ev-sidebar-layers.c                    | 2 +-
 shell/ev-sidebar-links.c                     | 2 +-
 12 files changed, 12 insertions(+), 12 deletions(-)

commit bf5e5fcff80a294fd4d6e051d777ba7f9ecb76a4
Author: Monsta <monsta@inbox.ru>
Date:   Thu Nov 27 11:20:07 2014 +0300

    epub backend: more anti-NULL protection for epub_document_set_index_pages

 backend/epub/epub-document.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 08c66fcd1df1e24b846c7114eec96a8e31c95c93
Author: Monsta <monsta@inbox.ru>
Date:   Mon Dec 8 18:14:15 2014 +0300

    ev-jobs: fix indentation a bit

 libview/ev-jobs.c | 54 ++++++++++++++++++++++++------------------------------
 1 file changed, 24 insertions(+), 30 deletions(-)

commit e0d962e2e680e78fc910cb63c4b8efd287e9c09f
Author: monsta <monsta@inbox.ru>
Date:   Mon Dec 8 17:08:00 2014 +0300

    ev-jobs: don't forget to unlock the trylock'ed mutex

 libview/ev-jobs.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit c03e5c07e3f7dd1cec9c1b860565322953d878f4
Author: monsta <monsta@inbox.ru>
Date:   Sun Dec 7 21:19:38 2014 +0300

    sidebar-thumbnails: connect to job finished signal before scheduling the job
    
    taken from https://git.gnome.org/browse/evince/commit/?id=6b0630f8c2abd992d65075152dce5fefd9b51f45

 shell/ev-sidebar-thumbnails.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit c6fcd956edad3ed5600ad4629e020e4971de0f16
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Fri Nov 28 23:28:15 2014 +0530

    ePub: Can open documents which do not have toc
    
    I always thought all ePub documents had either a traditional ncx or an epub3 nav. Now as it turns out,
    sometimes neither of these are present. Fixed.

 backend/epub/epub-document.c | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

commit da566d2163e49e2e017f6aece2c9689b0a1834a7
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Thu Nov 27 10:23:14 2014 +0530

    ePub backend: unescape uri strings from toc
    
    Toc may include links with strings escaped for URI format. We needed to un-escape them.

 backend/epub/epub-document.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 1b877bf76a013ce007ff18a4528e168d575a1b88
Author: monsta <monsta@inbox.ru>
Date:   Thu Dec 4 09:10:28 2014 +0300

    removed obsolete configure option
    
    Closes https://github.com/mate-desktop/atril/pull/112

 Makefile.am | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 332291e77fa9e73b89bcf397e26526445b733598
Author: monsta <monsta@inbox.ru>
Date:   Wed Nov 26 17:40:51 2014 +0300

    Fix introspection build
    
    taken from this commit:
    https://git.gnome.org/browse/evince/commit?id=1915baa92e72242450b6042603ad0e20de072c17

 libview/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 8755b8e97a41bf704adbd145b7e0d4afa1d80d09
Author: monsta <monsta@inbox.ru>
Date:   Tue Nov 25 08:05:28 2014 +0300

    properly return a value from non-void function

 backend/epub/epub-document.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 647d2147086c132e3fe9fe5698348922189535ae
Author: Monsta <monsta@inbox.ru>
Date:   Sun Nov 9 14:36:40 2014 +0300

    don't leak memory
    
    Closes https://github.com/mate-desktop/atril/pull/99

 backend/comics/comics-document.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 056d0ebdf2e29682472fdd1fda6ceae25a171f2f
Author: infirit <infirit@gmail.com>
Date:   Mon Nov 10 12:47:44 2014 +0100

    appdata: Add necessary markers for translation

 data/atril.appdata.xml.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 98946ccc5ca7f7574b7b1a0191e9abe28d2e3cd7
Author: infirit <infirit@gmail.com>
Date:   Sun Nov 9 22:58:14 2014 +0100

    properties: add new ini file to EXTRA_DIST

 properties/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 77bbd2b161f22e3c4880bdcb5bf0b4d3e1fc4d3a
Author: infirit <infirit@gmail.com>
Date:   Sun Nov 9 22:57:55 2014 +0100

    appdata: Add autotool bits for appdata

 data/Makefile.am          | 16 ++++++++++++++--
 data/atril.appdata.xml    | 44 --------------------------------------------
 data/atril.appdata.xml.in | 44 ++++++++++++++++++++++++++++++++++++++++++++
 po/POTFILES.in            |  1 +
 4 files changed, 59 insertions(+), 46 deletions(-)

commit 202cef3f43f1e74ff63adc33915327037553bc47
Author: alxpl <alxpl@users.noreply.github.com>
Date:   Sun Nov 9 14:19:52 2014 +0200

    Create atril.appdata.xml
    
    An appdata file for inclusion in the upcoming software centers as per the new freedesktop.org specs.
    
    It should be placed in /usr/share/appdata/ similar to the way .desktop files are placed in /usr/share/applications/, e.g. if you have a "$(datadir)/applications" definition in your makefiles, you need to add a "$(datadir)/appdata" as well.
    
    Please, skim through the file in case I made a mistake and please, include it in the 1.8 branch as well.
    
    Thanks!

 data/atril.appdata.xml | 44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

commit 9953733d6022e5f5ed1d4c609d9b42acce565d05
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Nov 3 16:42:28 2014 +0100

    Add about info to caja extension ini file

 configure.ac                                             | 1 +
 properties/libatril-properties-page.caja-extension.in    | 4 ----
 properties/libatril-properties-page.caja-extension.in.in | 8 ++++++++
 3 files changed, 9 insertions(+), 4 deletions(-)

commit 451e2f2dda7ef0104e16950403925a8d4817ef80
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Oct 29 10:22:51 2014 +0100

    Make strings in ini file translatable

 properties/libatril-properties-page.caja-extension.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fa94adb867503ac16b777370ad32994cc4e3aac1
Author: infirit <infirit@gmail.com>
Date:   Tue Oct 28 20:28:27 2014 +0100

    Update POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit d1088f7a2d011c38eeab287dc56433111a834755
Author: Alexander van der Meij <alexandervdm@gliese.me>
Date:   Tue Oct 28 20:09:06 2014 +0100

    add ini file for caja extension

 properties/Makefile.am                                | 5 +++++
 properties/libatril-properties-page.caja-extension.in | 4 ++++
 2 files changed, 9 insertions(+)

commit 00b1d84fc528fe903175c82145770960dfdc715e
Author: infirit <infirit@gmail.com>
Date:   Mon Oct 27 22:03:36 2014 +0100

    Autotools: Make epub really optional

 configure.ac        | 24 +++++++++++++-----------
 libview/Makefile.am |  4 ++--
 2 files changed, 15 insertions(+), 13 deletions(-)

commit e0edfa865ec5a615ecd4d92e267f4c6cb73f03e3
Author: infirit <infirit@gmail.com>
Date:   Mon Oct 27 22:02:00 2014 +0100

    Fix minizip Makefile

 backend/epub/minizip/Makefile.am | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 0ca75dc81e4c88a72a0673118ede2b0c83f5ecf0
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Oct 24 12:25:41 2014 +0200

    Fix epub mimetypes in configure.ac

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b15172124b24fe4a5cfbe80ef1bf524b7fb95ea6
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Oct 24 11:24:23 2014 +0200

    epub: Fix make dist

 backend/epub/MathJax/Makefile.am                                      | 2 ++
 backend/epub/MathJax/config/Makefile.am                               | 2 ++
 backend/epub/MathJax/config/local/Makefile.am                         | 2 ++
 backend/epub/MathJax/extensions/Makefile.am                           | 2 ++
 backend/epub/MathJax/extensions/MathML/Makefile.am                    | 2 ++
 backend/epub/MathJax/extensions/TeX/Makefile.am                       | 2 ++
 backend/epub/MathJax/images/Makefile.am                               | 2 ++
 backend/epub/MathJax/jax/element/mml/Makefile.am                      | 2 ++
 backend/epub/MathJax/jax/element/mml/optable/Makefile.am              | 2 ++
 backend/epub/MathJax/jax/input/AsciiMath/Makefile.am                  | 2 ++
 backend/epub/MathJax/jax/input/MathML/Makefile.am                     | 2 ++
 backend/epub/MathJax/jax/input/MathML/entities/Makefile.am            | 2 ++
 backend/epub/MathJax/jax/input/TeX/Makefile.am                        | 2 ++
 backend/epub/MathJax/jax/output/SVG/Makefile.am                       | 2 ++
 backend/epub/MathJax/jax/output/SVG/autoload/Makefile.am              | 2 ++
 backend/epub/MathJax/jax/output/SVG/fonts/TeX/AMS/Regular/Makefile.am | 2 ++
 .../MathJax/jax/output/SVG/fonts/TeX/Caligraphic/Bold/Makefile.am     | 2 ++
 .../MathJax/jax/output/SVG/fonts/TeX/Caligraphic/Regular/Makefile.am  | 2 ++
 .../epub/MathJax/jax/output/SVG/fonts/TeX/Fraktur/Bold/Makefile.am    | 2 ++
 .../epub/MathJax/jax/output/SVG/fonts/TeX/Fraktur/Regular/Makefile.am | 2 ++
 backend/epub/MathJax/jax/output/SVG/fonts/TeX/Main/Bold/Makefile.am   | 2 ++
 backend/epub/MathJax/jax/output/SVG/fonts/TeX/Main/Italic/Makefile.am | 2 ++
 .../epub/MathJax/jax/output/SVG/fonts/TeX/Main/Regular/Makefile.am    | 2 ++
 backend/epub/MathJax/jax/output/SVG/fonts/TeX/Makefile.am             | 2 ++
 .../epub/MathJax/jax/output/SVG/fonts/TeX/Math/BoldItalic/Makefile.am | 2 ++
 backend/epub/MathJax/jax/output/SVG/fonts/TeX/Math/Italic/Makefile.am | 2 ++
 .../epub/MathJax/jax/output/SVG/fonts/TeX/SansSerif/Bold/Makefile.am  | 2 ++
 .../MathJax/jax/output/SVG/fonts/TeX/SansSerif/Italic/Makefile.am     | 2 ++
 .../MathJax/jax/output/SVG/fonts/TeX/SansSerif/Regular/Makefile.am    | 2 ++
 .../epub/MathJax/jax/output/SVG/fonts/TeX/Script/Regular/Makefile.am  | 2 ++
 .../epub/MathJax/jax/output/SVG/fonts/TeX/Size1/Regular/Makefile.am   | 2 ++
 .../epub/MathJax/jax/output/SVG/fonts/TeX/Size2/Regular/Makefile.am   | 2 ++
 .../epub/MathJax/jax/output/SVG/fonts/TeX/Size3/Regular/Makefile.am   | 2 ++
 .../epub/MathJax/jax/output/SVG/fonts/TeX/Size4/Regular/Makefile.am   | 2 ++
 .../MathJax/jax/output/SVG/fonts/TeX/Typewriter/Regular/Makefile.am   | 2 ++
 backend/epub/minizip/Makefile.am                                      | 4 ++++
 po/POTFILES.in                                                        | 2 ++
 37 files changed, 76 insertions(+)

commit a55a7573d0843b82145fb1df3d8b6f77b1f4ca5c
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Thu Oct 23 15:13:25 2014 +0200

    Sync translations with transifex

 po/am.po    |  20 +++++------
 po/de.po    |  10 +++---
 po/en_AU.po |   6 ++--
 po/et.po    |  33 +++++++++---------
 po/fr.po    |   9 ++---
 po/hr.po    | 111 ++++++++++++++++++++++++++++++------------------------------
 po/ja.po    |  18 ++++++----
 po/pt.po    |  42 +++++++++++------------
 po/pt_BR.po |  17 +++++-----
 po/sk.po    |   8 ++---
 po/tr.po    |  10 +++---
 11 files changed, 147 insertions(+), 137 deletions(-)

commit 3e1b69eb26db024ec29967a71ebf3b9c2b354d1d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Oct 2 20:54:51 2014 +0200

    Update NEWS

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit cee6caa16804a4c4b539518b37d81c1470ca9270
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Oct 13 16:20:51 2014 +0200

    Uses g_app_info_launch_uris instead of g_app_info_launch to spawn other sessions
    
    Closes https://github.com/mate-desktop/atril/issues/86
    
    Solution comes from evince code

 shell/ev-application.c | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit b3e9be8eaef65934ca7025e22232138377a27541
Author: infirit <infirit@gmail.com>
Date:   Sun Oct 5 21:42:43 2014 +0200

    Also load the accel file from the new location

 shell/ev-application.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c1b26fdf13b7a616debfad5cbfc86c3f5d7ab95c
Author: infirit <infirit@gmail.com>
Date:   Sun Oct 5 21:41:58 2014 +0200

     Drop more glib compat code for accels file

 shell/ev-application.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit 31051d81334e2b237f5e949a2f198285537bbccb
Author: infirit <infirit@gmail.com>
Date:   Sun Oct 5 21:28:27 2014 +0200

    Move accel file to the proper place.

 shell/ev-application.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6ba4ead2fd35a9eba91c48df17cfad542a963b49
Author: infirit <infirit@gmail.com>
Date:   Sun Oct 5 21:27:43 2014 +0200

    Drop glib compat code for accels file

 shell/ev-application.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit 86fc1e8cf98696a52079dd79235288098a7ff7ec
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Oct 3 12:01:23 2014 +0200

    pdf: Return FALSE instead of NULL in gboolean function
    
    Closes https://github.com/mate-desktop/atril/issues/30

 backend/pdf/ev-poppler.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 70f7aca1b8f77d00acacddccc10054496df9abb4
Author: infirit <infirit@gmail.com>
Date:   Thu Sep 25 13:53:31 2014 +0200

    Make ev_view_set_scroll_adjustments static void

 libview/ev-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d1cb160b8625c774e6f1e2d1cbbcab7811b75c3a
Merge: fe2b5a8 3ee926b
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Sep 25 13:34:47 2014 +0200

    Merge pull request #85 from blackhole89/master
    
    Fix crash when clicking empty canvas while loading.

commit fe2b5a8d20ed88827051f70bd8a15c753f84ec3f
Author: Alexander <sanek23994@gmail.com>
Date:   Thu Sep 25 13:32:54 2014 +0200

    Fix FTBFS of atril when build with the clang compiler
    
    Closes https://github.com/mate-desktop/atril/issues/82

 libview/ev-view.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 51644b243c9093bd48f1e4fccf14ec53301db3ac
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Sep 23 15:05:07 2014 +0200

    libview: Fix comment

 libview/ev-web-view.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fe7fc36059422d144cb0a729ae212c26317b7156
Author: infirit <infirit@gmail.com>
Date:   Tue Sep 23 14:57:06 2014 +0200

    epub: Make sure config.h is always included

 libview/ev-web-view.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 905118742cf92e4fd4cab341220dbacef264990e
Author: infirit <infirit@gmail.com>
Date:   Sat May 17 06:47:07 2014 +0200

    Bump GLIB version

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 94dcb761b95ee54ef1f1512d59721932d75ffb7f
Author: infirit <infirit@gmail.com>
Date:   Sat May 17 05:15:56 2014 +0200

    Fix glib deprecations
    
    Based on evince commit by Carlos Garcia Campos <carlosgc@gnome.org>
    Url: https://git.gnome.org/browse/evince/commit/?id=bf90f90e0af99bbfdd20e6d21fd228c05cffae51
    Url: https://git.gnome.org/browse/evince/commit/?id=76151be92239ed5f491cb26c87a2328b670e9f64

 backend/dvi/dvi-document.c      | 22 ++++++++++------------
 libdocument/ev-document.c       | 34 ++++++++--------------------------
 libdocument/ev-mapping-list.c   |  2 +-
 libview/ev-job-scheduler.c      | 34 ++++++++++++++++------------------
 previewer/ev-previewer.c        |  6 ------
 shell/ev-daemon.c               |  2 --
 shell/main.c                    |  6 ------
 thumbnailer/atril-thumbnailer.c | 12 ++++--------
 8 files changed, 39 insertions(+), 79 deletions(-)

commit 53bb92a83092a70170f85d75491c5b0b881455bc
Author: infirit <infirit@gmail.com>
Date:   Sat May 17 04:22:13 2014 +0200

    GTK_DIALOG_MODAL is also available in gtk+2

 shell/ev-convert-metadata.c | 4 ----
 1 file changed, 4 deletions(-)

commit f8aec907364307470991b0b0d1b7b883c7397c57
Author: infirit <infirit@gmail.com>
Date:   Sat May 17 04:21:03 2014 +0200

    GTK_IS_COMBO_BOX is deprecated, use gtk_combo_box_get_has_entry

 libview/ev-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d51892aff7ea9fd49a29e6bc24333753083e798a
Author: infirit <infirit@gmail.com>
Date:   Sat May 17 04:20:10 2014 +0200

    Drop support for gtk+ < 2.24

 cut-n-paste/smclient/eggdesktopfile.c             |  8 --------
 cut-n-paste/smclient/eggsmclient-xsmp.c           |  4 ----
 cut-n-paste/toolbar-editor/egg-editable-toolbar.c | 21 ---------------------
 shell/ev-annotation-properties-dialog.c           |  3 ---
 shell/ev-password-view.c                          |  3 ---
 shell/ev-properties-dialog.c                      |  3 ---
 shell/ev-window.c                                 |  3 ---
 7 files changed, 45 deletions(-)

commit 5a584acf7d6034f3e3854377ab883df76b25e9fd
Author: infirit <infirit@gmail.com>
Date:   Tue Sep 23 13:26:30 2014 +0200

    epub: Silence warnings in ev-jobs.c

 libview/ev-jobs.c | 2 ++
 1 file changed, 2 insertions(+)

commit a022a290b92a27975d5d3a526003fcdb9db1212f
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Mon Sep 22 22:40:52 2014 +0530

    Can build with epub disabled
    
    Added the required preprocessor directives to make building without epub support possible.

 libview/ev-jobs.c     |  10 +++--
 libview/ev-web-view.c |   5 ++-
 libview/ev-web-view.h |   3 ++
 shell/ev-window.c     | 117 +++++++++++++++++++++++++++++++++++++++-----------
 4 files changed, 104 insertions(+), 31 deletions(-)

commit 5ac452a8a78841bf88dee6e7b0a9ea421299f669
Merge: 1bdae54 67bb00b
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Sep 21 17:11:13 2014 +0200

    Merge pull request #84 from rootAvish/epub
    
    Epub support in Atril

commit 67bb00b6c5105dc840b968db513a1e26bac7b2e0
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Thu Aug 21 23:50:29 2014 +0530

    Resolved the finalising issue
    
    Resolved the issue with epub document where the documents were not getting finalised. My bad, sorry, I fix that with this commit.
    
    Also it seems I had set the wrong permissions on ev-view.[c,h]. Also fixed that.

 libview/ev-jobs.c | 25 +++++++++++++------------
 1 file changed, 13 insertions(+), 12 deletions(-)

commit 3ee926bf4b923b8ec3373cc1eca2f9f3fd028aeb
Author: Matvey Soloviev <msoloviev@cs.cornell.edu>
Date:   Thu Aug 21 04:33:12 2014 -0400

    Fix crash when clicking empty canvas while loading.

 libview/ev-pixbuf-cache.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 17377df48abdf10b6a064d6afdc1a4c95441ae20
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Tue Aug 19 00:16:41 2014 +0530

    Mathjax Support
    
    The Mathjax files will be installed to $(backenddir)/epub/MathJax
    This was as small as the install got.

 backend/epub/Makefile.am                           |   2 +-
 backend/epub/MathJax/Makefile.am                   |   8 +++
 backend/epub/MathJax/MathJax.js                    |  19 +++++
 backend/epub/MathJax/config/Accessible-full.js     |  76 ++++++++++++++++++++
 backend/epub/MathJax/config/Accessible.js          |  70 ++++++++++++++++++
 backend/epub/MathJax/config/Makefile.am            |   8 +++
 backend/epub/MathJax/config/Safe.js                |  19 +++++
 .../epub/MathJax/config/TeX-AMS-MML_SVG-full.js    |  56 +++++++++++++++
 backend/epub/MathJax/config/TeX-AMS-MML_SVG.js     |  52 ++++++++++++++
 backend/epub/MathJax/config/local/Makefile.am      |   5 ++
 backend/epub/MathJax/config/local/local.js         |  40 +++++++++++
 backend/epub/MathJax/extensions/FontWarnings.js    |  19 +++++
 backend/epub/MathJax/extensions/HelpDialog.js      |  19 +++++
 backend/epub/MathJax/extensions/Makefile.am        |   7 ++
 backend/epub/MathJax/extensions/MatchWebFonts.js   |  19 +++++
 backend/epub/MathJax/extensions/MathEvents.js      |  19 +++++
 backend/epub/MathJax/extensions/MathML/Makefile.am |   5 ++
 .../MathJax/extensions/MathML/content-mathml.js    |  19 +++++
 backend/epub/MathJax/extensions/MathMenu.js        |  19 +++++
 backend/epub/MathJax/extensions/MathZoom.js        |  19 +++++
 backend/epub/MathJax/extensions/Safe.js            |  19 +++++
 backend/epub/MathJax/extensions/TeX/AMScd.js       |  19 +++++
 backend/epub/MathJax/extensions/TeX/AMSmath.js     |  19 +++++
 backend/epub/MathJax/extensions/TeX/AMSsymbols.js  |  19 +++++
 backend/epub/MathJax/extensions/TeX/HTML.js        |  19 +++++
 backend/epub/MathJax/extensions/TeX/Makefile.am    |   5 ++
 backend/epub/MathJax/extensions/TeX/action.js      |  19 +++++
 backend/epub/MathJax/extensions/TeX/autobold.js    |  19 +++++
 .../epub/MathJax/extensions/TeX/autoload-all.js    |  19 +++++
 backend/epub/MathJax/extensions/TeX/bbox.js        |  19 +++++
 backend/epub/MathJax/extensions/TeX/begingroup.js  |  19 +++++
 backend/epub/MathJax/extensions/TeX/boldsymbol.js  |  19 +++++
 backend/epub/MathJax/extensions/TeX/cancel.js      |  19 +++++
 backend/epub/MathJax/extensions/TeX/color.js       |  19 +++++
 backend/epub/MathJax/extensions/TeX/enclose.js     |  19 +++++
 backend/epub/MathJax/extensions/TeX/extpfeil.js    |  19 +++++
 backend/epub/MathJax/extensions/TeX/mathchoice.js  |  19 +++++
 backend/epub/MathJax/extensions/TeX/mhchem.js      |  19 +++++
 backend/epub/MathJax/extensions/TeX/newcommand.js  |  19 +++++
 backend/epub/MathJax/extensions/TeX/noErrors.js    |  19 +++++
 backend/epub/MathJax/extensions/TeX/noUndefined.js |  19 +++++
 backend/epub/MathJax/extensions/TeX/unicode.js     |  19 +++++
 backend/epub/MathJax/extensions/TeX/verb.js        |  19 +++++
 backend/epub/MathJax/extensions/asciimath2jax.js   |  19 +++++
 backend/epub/MathJax/extensions/jsMath2jax.js      |  19 +++++
 backend/epub/MathJax/extensions/mml2jax.js         |  19 +++++
 backend/epub/MathJax/extensions/tex2jax.js         |  19 +++++
 backend/epub/MathJax/extensions/toMathML.js        |  19 +++++
 backend/epub/MathJax/images/CloseX-31.png          | Bin 0 -> 1267 bytes
 backend/epub/MathJax/images/Makefile.am            |   5 ++
 backend/epub/MathJax/images/MenuArrow-15.png       | Bin 0 -> 469 bytes
 backend/epub/MathJax/jax/Makefile.am               |   6 ++
 backend/epub/MathJax/jax/element/Makefile.am       |   5 ++
 backend/epub/MathJax/jax/element/mml/Makefile.am   |   6 ++
 backend/epub/MathJax/jax/element/mml/jax.js        |  19 +++++
 .../epub/MathJax/jax/element/mml/optable/Arrows.js |  19 +++++
 .../MathJax/jax/element/mml/optable/BasicLatin.js  |  19 +++++
 .../jax/element/mml/optable/CombDiacritMarks.js    |  19 +++++
 .../jax/element/mml/optable/CombDiactForSymbols.js |  19 +++++
 .../MathJax/jax/element/mml/optable/Dingbats.js    |  19 +++++
 .../jax/element/mml/optable/GeneralPunctuation.js  |  19 +++++
 .../jax/element/mml/optable/GeometricShapes.js     |  19 +++++
 .../jax/element/mml/optable/GreekAndCoptic.js      |  19 +++++
 .../jax/element/mml/optable/Latin1Supplement.js    |  19 +++++
 .../jax/element/mml/optable/LetterlikeSymbols.js   |  19 +++++
 .../MathJax/jax/element/mml/optable/Makefile.am    |   5 ++
 .../jax/element/mml/optable/MathOperators.js       |  19 +++++
 .../jax/element/mml/optable/MiscMathSymbolsA.js    |  19 +++++
 .../jax/element/mml/optable/MiscMathSymbolsB.js    |  19 +++++
 .../element/mml/optable/MiscSymbolsAndArrows.js    |  19 +++++
 .../jax/element/mml/optable/MiscTechnical.js       |  19 +++++
 .../jax/element/mml/optable/SpacingModLetters.js   |  19 +++++
 .../jax/element/mml/optable/SuppMathOperators.js   |  19 +++++
 .../jax/element/mml/optable/SupplementalArrowsA.js |  19 +++++
 .../jax/element/mml/optable/SupplementalArrowsB.js |  19 +++++
 .../epub/MathJax/jax/input/AsciiMath/Makefile.am   |   6 ++
 backend/epub/MathJax/jax/input/AsciiMath/config.js |  19 +++++
 backend/epub/MathJax/jax/input/AsciiMath/jax.js    |  19 +++++
 backend/epub/MathJax/jax/input/Makefile.am         |   6 ++
 backend/epub/MathJax/jax/input/MathML/Makefile.am  |   8 +++
 backend/epub/MathJax/jax/input/MathML/config.js    |  19 +++++
 .../MathJax/jax/input/MathML/entities/Makefile.am  |  33 +++++++++
 .../epub/MathJax/jax/input/MathML/entities/a.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/b.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/c.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/d.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/e.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/f.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/fr.js   |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/g.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/h.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/i.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/j.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/k.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/l.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/m.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/n.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/o.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/opf.js  |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/p.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/q.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/r.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/s.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/scr.js  |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/t.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/u.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/v.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/w.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/x.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/y.js    |  19 +++++
 .../epub/MathJax/jax/input/MathML/entities/z.js    |  19 +++++
 backend/epub/MathJax/jax/input/MathML/jax.js       |  19 +++++
 backend/epub/MathJax/jax/input/TeX/Makefile.am     |   6 ++
 backend/epub/MathJax/jax/input/TeX/config.js       |  19 +++++
 backend/epub/MathJax/jax/input/TeX/jax.js          |  19 +++++
 backend/epub/MathJax/jax/output/Makefile.am        |   6 ++
 backend/epub/MathJax/jax/output/SVG/Makefile.am    |   7 ++
 .../MathJax/jax/output/SVG/autoload/Makefile.am    |  12 ++++
 .../jax/output/SVG/autoload/annotation-xml.js      |  19 +++++
 .../MathJax/jax/output/SVG/autoload/maction.js     |  19 +++++
 .../MathJax/jax/output/SVG/autoload/menclose.js    |  19 +++++
 .../epub/MathJax/jax/output/SVG/autoload/mglyph.js |  19 +++++
 .../jax/output/SVG/autoload/mmultiscripts.js       |  19 +++++
 backend/epub/MathJax/jax/output/SVG/autoload/ms.js |  19 +++++
 .../epub/MathJax/jax/output/SVG/autoload/mtable.js |  19 +++++
 .../MathJax/jax/output/SVG/autoload/multiline.js   |  19 +++++
 backend/epub/MathJax/jax/output/SVG/config.js      |  19 +++++
 .../epub/MathJax/jax/output/SVG/fonts/Makefile.am  |   6 ++
 .../jax/output/SVG/fonts/TeX/AMS/Makefile.am       |   6 ++
 .../jax/output/SVG/fonts/TeX/AMS/Regular/Arrows.js |  19 +++++
 .../output/SVG/fonts/TeX/AMS/Regular/BoxDrawing.js |  19 +++++
 .../SVG/fonts/TeX/AMS/Regular/CombDiacritMarks.js  |  19 +++++
 .../output/SVG/fonts/TeX/AMS/Regular/Dingbats.js   |  19 +++++
 .../SVG/fonts/TeX/AMS/Regular/EnclosedAlphanum.js  |  19 +++++
 .../fonts/TeX/AMS/Regular/GeneralPunctuation.js    |  19 +++++
 .../SVG/fonts/TeX/AMS/Regular/GeometricShapes.js   |  19 +++++
 .../SVG/fonts/TeX/AMS/Regular/GreekAndCoptic.js    |  19 +++++
 .../SVG/fonts/TeX/AMS/Regular/Latin1Supplement.js  |  19 +++++
 .../SVG/fonts/TeX/AMS/Regular/LatinExtendedA.js    |  19 +++++
 .../SVG/fonts/TeX/AMS/Regular/LetterlikeSymbols.js |  19 +++++
 .../jax/output/SVG/fonts/TeX/AMS/Regular/Main.js   |  19 +++++
 .../output/SVG/fonts/TeX/AMS/Regular/Makefile.am   |  24 +++++++
 .../SVG/fonts/TeX/AMS/Regular/MathOperators.js     |  19 +++++
 .../SVG/fonts/TeX/AMS/Regular/MiscMathSymbolsB.js  |  19 +++++
 .../SVG/fonts/TeX/AMS/Regular/MiscSymbols.js       |  19 +++++
 .../SVG/fonts/TeX/AMS/Regular/MiscTechnical.js     |  19 +++++
 .../jax/output/SVG/fonts/TeX/AMS/Regular/PUA.js    |  19 +++++
 .../SVG/fonts/TeX/AMS/Regular/SpacingModLetters.js |  19 +++++
 .../SVG/fonts/TeX/AMS/Regular/SuppMathOperators.js |  19 +++++
 .../output/SVG/fonts/TeX/Caligraphic/Bold/Main.js  |  19 +++++
 .../SVG/fonts/TeX/Caligraphic/Bold/Makefile.am     |   6 ++
 .../output/SVG/fonts/TeX/Caligraphic/Makefile.am   |   6 ++
 .../SVG/fonts/TeX/Caligraphic/Regular/Main.js      |  19 +++++
 .../SVG/fonts/TeX/Caligraphic/Regular/Makefile.am  |   5 ++
 .../SVG/fonts/TeX/Fraktur/Bold/BasicLatin.js       |  19 +++++
 .../jax/output/SVG/fonts/TeX/Fraktur/Bold/Main.js  |  19 +++++
 .../output/SVG/fonts/TeX/Fraktur/Bold/Makefile.am  |   5 ++
 .../jax/output/SVG/fonts/TeX/Fraktur/Bold/Other.js |  19 +++++
 .../jax/output/SVG/fonts/TeX/Fraktur/Bold/PUA.js   |  19 +++++
 .../jax/output/SVG/fonts/TeX/Fraktur/Makefile.am   |   6 ++
 .../SVG/fonts/TeX/Fraktur/Regular/BasicLatin.js    |  19 +++++
 .../output/SVG/fonts/TeX/Fraktur/Regular/Main.js   |  19 +++++
 .../SVG/fonts/TeX/Fraktur/Regular/Makefile.am      |   5 ++
 .../output/SVG/fonts/TeX/Fraktur/Regular/Other.js  |  19 +++++
 .../output/SVG/fonts/TeX/Fraktur/Regular/PUA.js    |  19 +++++
 .../jax/output/SVG/fonts/TeX/Main/Bold/Arrows.js   |  19 +++++
 .../output/SVG/fonts/TeX/Main/Bold/BasicLatin.js   |  19 +++++
 .../SVG/fonts/TeX/Main/Bold/CombDiacritMarks.js    |  19 +++++
 .../SVG/fonts/TeX/Main/Bold/CombDiactForSymbols.js |  19 +++++
 .../SVG/fonts/TeX/Main/Bold/GeneralPunctuation.js  |  19 +++++
 .../SVG/fonts/TeX/Main/Bold/GeometricShapes.js     |  19 +++++
 .../SVG/fonts/TeX/Main/Bold/GreekAndCoptic.js      |  19 +++++
 .../SVG/fonts/TeX/Main/Bold/Latin1Supplement.js    |  19 +++++
 .../SVG/fonts/TeX/Main/Bold/LatinExtendedA.js      |  19 +++++
 .../SVG/fonts/TeX/Main/Bold/LatinExtendedB.js      |  19 +++++
 .../SVG/fonts/TeX/Main/Bold/LetterlikeSymbols.js   |  19 +++++
 .../jax/output/SVG/fonts/TeX/Main/Bold/Main.js     |  19 +++++
 .../jax/output/SVG/fonts/TeX/Main/Bold/Makefile.am |  24 +++++++
 .../SVG/fonts/TeX/Main/Bold/MathOperators.js       |  19 +++++
 .../SVG/fonts/TeX/Main/Bold/MiscMathSymbolsA.js    |  19 +++++
 .../output/SVG/fonts/TeX/Main/Bold/MiscSymbols.js  |  19 +++++
 .../SVG/fonts/TeX/Main/Bold/MiscTechnical.js       |  19 +++++
 .../SVG/fonts/TeX/Main/Bold/SpacingModLetters.js   |  19 +++++
 .../SVG/fonts/TeX/Main/Bold/SuppMathOperators.js   |  19 +++++
 .../SVG/fonts/TeX/Main/Bold/SupplementalArrowsA.js |  19 +++++
 .../output/SVG/fonts/TeX/Main/Italic/BasicLatin.js |  19 +++++
 .../SVG/fonts/TeX/Main/Italic/CombDiacritMarks.js  |  19 +++++
 .../fonts/TeX/Main/Italic/GeneralPunctuation.js    |  19 +++++
 .../SVG/fonts/TeX/Main/Italic/GreekAndCoptic.js    |  19 +++++
 .../SVG/fonts/TeX/Main/Italic/LatinExtendedA.js    |  19 +++++
 .../SVG/fonts/TeX/Main/Italic/LatinExtendedB.js    |  19 +++++
 .../SVG/fonts/TeX/Main/Italic/LetterlikeSymbols.js |  19 +++++
 .../jax/output/SVG/fonts/TeX/Main/Italic/Main.js   |  19 +++++
 .../output/SVG/fonts/TeX/Main/Italic/Makefile.am   |  13 ++++
 .../SVG/fonts/TeX/Main/Italic/MathOperators.js     |  19 +++++
 .../jax/output/SVG/fonts/TeX/Main/Makefile.am      |   6 ++
 .../SVG/fonts/TeX/Main/Regular/BasicLatin.js       |  19 +++++
 .../SVG/fonts/TeX/Main/Regular/CombDiacritMarks.js |  19 +++++
 .../SVG/fonts/TeX/Main/Regular/GeometricShapes.js  |  19 +++++
 .../SVG/fonts/TeX/Main/Regular/GreekAndCoptic.js   |  19 +++++
 .../SVG/fonts/TeX/Main/Regular/LatinExtendedA.js   |  19 +++++
 .../SVG/fonts/TeX/Main/Regular/LatinExtendedB.js   |  19 +++++
 .../fonts/TeX/Main/Regular/LetterlikeSymbols.js    |  19 +++++
 .../jax/output/SVG/fonts/TeX/Main/Regular/Main.js  |  19 +++++
 .../output/SVG/fonts/TeX/Main/Regular/Makefile.am  |  17 +++++
 .../SVG/fonts/TeX/Main/Regular/MathOperators.js    |  19 +++++
 .../SVG/fonts/TeX/Main/Regular/MiscSymbols.js      |  19 +++++
 .../fonts/TeX/Main/Regular/SpacingModLetters.js    |  19 +++++
 .../fonts/TeX/Main/Regular/SuppMathOperators.js    |  19 +++++
 .../MathJax/jax/output/SVG/fonts/TeX/Makefile.am   |   7 ++
 .../output/SVG/fonts/TeX/Math/BoldItalic/Main.js   |  19 +++++
 .../SVG/fonts/TeX/Math/BoldItalic/Makefile.am      |   5 ++
 .../jax/output/SVG/fonts/TeX/Math/Italic/Main.js   |  19 +++++
 .../output/SVG/fonts/TeX/Math/Italic/Makefile.am   |   5 ++
 .../jax/output/SVG/fonts/TeX/Math/Makefile.am      |   5 ++
 .../SVG/fonts/TeX/SansSerif/Bold/BasicLatin.js     |  19 +++++
 .../fonts/TeX/SansSerif/Bold/CombDiacritMarks.js   |  19 +++++
 .../output/SVG/fonts/TeX/SansSerif/Bold/Main.js    |  19 +++++
 .../SVG/fonts/TeX/SansSerif/Bold/Makefile.am       |   5 ++
 .../output/SVG/fonts/TeX/SansSerif/Bold/Other.js   |  19 +++++
 .../SVG/fonts/TeX/SansSerif/Italic/BasicLatin.js   |  19 +++++
 .../fonts/TeX/SansSerif/Italic/CombDiacritMarks.js |  19 +++++
 .../output/SVG/fonts/TeX/SansSerif/Italic/Main.js  |  19 +++++
 .../SVG/fonts/TeX/SansSerif/Italic/Makefile.am     |   5 ++
 .../output/SVG/fonts/TeX/SansSerif/Italic/Other.js |  19 +++++
 .../jax/output/SVG/fonts/TeX/SansSerif/Makefile.am |   5 ++
 .../SVG/fonts/TeX/SansSerif/Regular/BasicLatin.js  |  19 +++++
 .../TeX/SansSerif/Regular/CombDiacritMarks.js      |  19 +++++
 .../output/SVG/fonts/TeX/SansSerif/Regular/Main.js |  19 +++++
 .../SVG/fonts/TeX/SansSerif/Regular/Makefile.am    |   5 ++
 .../SVG/fonts/TeX/SansSerif/Regular/Other.js       |  19 +++++
 .../jax/output/SVG/fonts/TeX/Script/Makefile.am    |   5 ++
 .../SVG/fonts/TeX/Script/Regular/BasicLatin.js     |  19 +++++
 .../output/SVG/fonts/TeX/Script/Regular/Main.js    |  19 +++++
 .../SVG/fonts/TeX/Script/Regular/Makefile.am       |   5 ++
 .../jax/output/SVG/fonts/TeX/Size1/Makefile.am     |   6 ++
 .../jax/output/SVG/fonts/TeX/Size1/Regular/Main.js |  19 +++++
 .../output/SVG/fonts/TeX/Size1/Regular/Makefile.am |   5 ++
 .../jax/output/SVG/fonts/TeX/Size2/Makefile.am     |   5 ++
 .../jax/output/SVG/fonts/TeX/Size2/Regular/Main.js |  19 +++++
 .../output/SVG/fonts/TeX/Size2/Regular/Makefile.am |   5 ++
 .../jax/output/SVG/fonts/TeX/Size3/Makefile.am     |   5 ++
 .../jax/output/SVG/fonts/TeX/Size3/Regular/Main.js |  19 +++++
 .../output/SVG/fonts/TeX/Size3/Regular/Makefile.am |   5 ++
 .../jax/output/SVG/fonts/TeX/Size4/Makefile.am     |   5 ++
 .../jax/output/SVG/fonts/TeX/Size4/Regular/Main.js |  19 +++++
 .../output/SVG/fonts/TeX/Size4/Regular/Makefile.am |   5 ++
 .../output/SVG/fonts/TeX/Typewriter/Makefile.am    |   5 ++
 .../SVG/fonts/TeX/Typewriter/Regular/BasicLatin.js |  19 +++++
 .../TeX/Typewriter/Regular/CombDiacritMarks.js     |  19 +++++
 .../SVG/fonts/TeX/Typewriter/Regular/Main.js       |  19 +++++
 .../SVG/fonts/TeX/Typewriter/Regular/Makefile.am   |   5 ++
 .../SVG/fonts/TeX/Typewriter/Regular/Other.js      |  19 +++++
 .../jax/output/SVG/fonts/TeX/fontdata-extra.js     |  19 +++++
 .../MathJax/jax/output/SVG/fonts/TeX/fontdata.js   |  19 +++++
 backend/epub/MathJax/jax/output/SVG/jax.js         |  19 +++++
 backend/epub/epub-document.c                       |  79 ++++++++++++++++++++-
 configure.ac                                       |  52 ++++++++++++++
 libdocument/ev-backends-manager.c                  |  13 ++++
 libdocument/ev-backends-manager.h                  |   2 +-
 260 files changed, 4544 insertions(+), 3 deletions(-)

commit 3c122f6d867acecca4e7143d1d0707d7f188a64a
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Sun Aug 17 17:57:36 2014 +0530

    Added epub3 navsheets
    
    I came across a document that didn't have an old style toc, and thus the all accomodating navsheet support.
    
    Also fixed some mistakes here and there.

 backend/epub/epub-document.c | 195 ++++++++++++++++++++++++++++++++++++++-----
 libview/ev-jobs.c            |   2 +-
 libview/ev-web-view.c        |   2 +-
 3 files changed, 176 insertions(+), 23 deletions(-)

commit 3a3ff91d5572e068b000caa2a10d9c4f3d918f2c
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Thu Aug 14 23:06:17 2014 +0530

    Tweaked the inverted colors,shell Makefile
    
    Tweaked the way we handle inverted colors so that documents with no "day" class tag fr their primary stylesheets can revert back to these stylesheets when prompted, the inverted colors run into problems on document reload, this needs to be fixed.
    
    Other than that I removed the webkit flags and libs from shell/Makefile.am , they were there because at a very early stage of the project I had decided to use a webkit_web_view directly, then I ended up extending and using it in libview.

 backend/epub/epub-document.c | 23 +++++++++++++++++++----
 shell/Makefile.am            |  4 +---
 2 files changed, 20 insertions(+), 7 deletions(-)

commit 700637ca1dd675ce18f2e9e56387dab86020a623
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Thu Aug 14 07:41:35 2014 +0530

    Inverted colors(night) viewing mode for ePub
    
    Added the capability to view and epub document with inverted colors, yet to test for documents where we write the stylesheet, although the code is there.

 backend/epub/epub-document.c  | 135 ++++++++++++++++++++++++++++++++++++++++++
 libdocument/ev-document.c     |  14 +++++
 libdocument/ev-document.h     |   5 ++
 libview/ev-document-model.c   |  16 +----
 libview/ev-web-view.c         |  47 +++++++--------
 shell/ev-sidebar-thumbnails.c |   2 +-
 6 files changed, 179 insertions(+), 40 deletions(-)

commit 89bf352b3d2725b11328e7641cef5c3cc2a8ea39
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Tue Aug 12 20:55:35 2014 +0530

    Fixed Makefile to include webkit outside epub
    
    I noticed I had forgotten to move the webkit check outside the epub plugin, did so now, accordingly modified the module names.

 backend/epub/Makefile.am           |  4 ++--
 configure.ac                       | 34 ++++++++++++++++------------------
 help/reference/libview/Makefile.am |  4 +++-
 help/reference/shell/Makefile.am   |  2 --
 4 files changed, 21 insertions(+), 23 deletions(-)

commit 717fe22563cbeac45afd878be3a09bb3537addfc
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Tue Aug 12 06:56:32 2014 +0530

    Modified ioapi.h for missing macro

 backend/epub/minizip/ioapi.h | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 020b11e5f204453614c7c45287d9b39c376d1e4a
Merge: 1548bcb 1bdae54
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Mon Aug 11 06:45:41 2014 +0530

    Merge remote-tracking branch 'upstream/master' into epub

commit 1548bcb4629a6a41641a0188003215b3098aa5fc
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Sun Aug 10 01:05:45 2014 +0530

    Page Label handling, other fixes
    
    Added the function to handle links from the toolbar, also added functions to disconnect all ev-view handlers once it has been replaced by ev-web-view, and vice-versa(to drop all handler associated to ev-web-view).
    
    Also the unref call to job_thumb was causing thumbnail jobs to crash with GTK2, so had to revert that, now we're back to the document folder not getting deleted from disk.

 libview/ev-jobs.c     |  1 -
 libview/ev-view.c     | 38 ++++++++++++++++++++++++++++++++++++++
 libview/ev-view.h     |  2 ++
 libview/ev-web-view.c | 32 +++++++++++++++++++++++++++++++-
 libview/ev-web-view.h | 12 +++++++-----
 shell/ev-window.c     | 13 ++++++++++---
 6 files changed, 88 insertions(+), 10 deletions(-)

commit 3a013d3b19c5a81372560e735cf6f9f5c3ebdd37
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Sat Aug 9 20:48:25 2014 +0530

    GTK3, Webkit2 support for epub
    
    I added the code to make it possible to build Atril with GTK3 and webkit2. Everything runs fine with both GTK3 and GTK2. The find module for epub was also tested and changed. Now I shall first attempt to fix some Glib errors, and the problem of the temporary directory not getting deleted, that arose when I stabilized the thumbnails.

 backend/epub/epub-document.c |   5 +-
 libview/ev-jobs.c            |  53 ++++++++++
 libview/ev-web-view.c        | 235 ++++++++++++++++++++++++++++++++++++++-----
 shell/ev-window.c            |  35 ++++---
 4 files changed, 289 insertions(+), 39 deletions(-)

commit ff0a79e545356046c7145bff0630a7cd50ad977c
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Thu Aug 7 17:43:55 2014 +0530

    Ability to search through epub documents
    
    You can now search through the entire epub document. In the next commit I'm adding support for webkit2 with gtk3.

 libview/ev-web-view.c | 54 +++++++++++++++++++++++++++------------------------
 libview/ev-web-view.h |  4 ++--
 shell/ev-window.c     |  8 +++++---
 3 files changed, 36 insertions(+), 30 deletions(-)

commit 65dd892279c70b31509a5e478ae6f9aa44d9cd21
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Wed Aug 6 17:41:34 2014 +0530

    Window title thumbnail job fixed(ePub)
    
    In the design change in the previous commit, I forgot to make the thumbnail job used to set the window title a main loop job, I fix that in this commit.
    
    Epub thumbnail jobs running as threads, WILL cause a program error occassionally, because we need to use the offscreen webview.

 shell/ev-window.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 683022d92b63bea1544e8d19bc57d47ef84f5fff
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Wed Aug 6 17:22:34 2014 +0530

    Redesigned the thumbnail code for ePub
    
    No more crashes when searching with the sidebar open, will probably add a pixbuf cache as well to speed it up even further.
    
    The process which I earlier thought was not possible without separate jobs, work just fine as a single job, if I change the run mode of the thumbnail job, and incorporate a trylock() in case of epub.

 libview/ev-jobs.c             | 187 +++++++++++++-----------------------------
 libview/ev-jobs.h             |  23 +-----
 shell/ev-sidebar-thumbnails.c |   5 +-
 3 files changed, 61 insertions(+), 154 deletions(-)

commit 56880392a6678ccec12bbec016939597acd49b07
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Wed Aug 6 15:34:02 2014 +0530

    Searching in epub documents
    
    I added the capability to search through documents. The search is quite buggy, and we'll be taking care of each bug one at a time.

 backend/epub/epub-document.c   |  92 +++++++++-----
 libdocument/ev-document-find.c |   2 +-
 libdocument/ev-document-find.h |   4 +-
 libview/ev-jobs.c              |   8 +-
 libview/ev-web-view.c          | 273 ++++++++++++++++++++++++++++-------------
 libview/ev-web-view.h          |  10 +-
 shell/ev-window.c              |  14 +--
 7 files changed, 271 insertions(+), 132 deletions(-)

commit 5f3f572777cfcb64a92a4671fb2aff5faa5cefa4
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Sun Aug 3 12:23:21 2014 +0530

    Table of contents(index) for epub
    
    The documents can finally be read alongside a TOC, I tested it with a variety of documents before this commit, so I presume it should work with all. Also fixed the part where I had screwed up PDF annotations owing to a wrong call. In the next commit, fully functional searching would be up, using HTML parser of libxml in combination with webkit.
    
    Also some other minor changes.

 backend/epub/epub-document.c | 472 +++++++++++++++++++++++++++++++++----------
 libdocument/ev-document.h    |   1 -
 libdocument/ev-link-dest.c   |  10 +
 libdocument/ev-link-dest.h   |   2 +
 libview/ev-web-view.c        |  55 ++++-
 shell/ev-window.c            |  16 +-
 6 files changed, 432 insertions(+), 124 deletions(-)

commit 60b002aab6c2ee610377d46208ee16dda1e94fc3
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Tue Jul 29 19:57:02 2014 +0530

    Searching single pages in epub
    
    ..and other fixing other bugs that were present once the webview was added, like the escape key command etc. Will look to refactor the thumbnails into ev-web-view.c.
    
    In the next commit I'll extend this search over the entire document.Also will incorporate document index(table of contents).

 backend/epub/epub-document.c   | 138 +++++++++++++++++++++++++----------------
 backend/epub/epub-document.h   |   1 +
 libdocument/ev-document-find.c |   9 +++
 libdocument/ev-document-find.h |   9 +++
 libview/ev-document-model.c    |  11 +---
 libview/ev-jobs.c              |  40 +++++++++---
 libview/ev-jobs.h              |   1 +
 libview/ev-web-view.c          | 117 +++++++++++++++++++++++++++++++++-
 libview/ev-web-view.h          |  27 +++++---
 shell/ev-window.c              |  86 +++++++++++++++++--------
 10 files changed, 330 insertions(+), 109 deletions(-)

commit 57a3618d9254364157a12df39caebbf9247d5aca
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Sat Jul 26 12:26:32 2014 +0530

    Reading epub documents possible
    
    Alebit with a bit of bugs as far as navigation etc. are possible, we can read an epub document in Atril.
    The document will be displayed with thumbnails, and all keyboard shortcuts work.
    Menu options, the ones that I have currently added do work.
    
    I Will now move on to features such as inverted colors, document index, etc, most of which should be simple to add.
    
    Also made changes so that the presentation view does not fire up while displaying an epub document.
    
    Also added the feature to copy text to clipboard using the Atril menu.

 libview/ev-web-view.c | 26 +++++++++++++++++++-------
 libview/ev-web-view.h |  9 +++++----
 shell/ev-window.c     | 22 ++++++++++++++++------
 3 files changed, 40 insertions(+), 17 deletions(-)

commit d4ea4f2056a2863c7a37ad83e73bb63301de5022
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Fri Jul 25 18:32:19 2014 +0530

    Fixing dispose functions, display in webview
    
    Fixed the backend epub_document_finalize function which was caused caja to crash when you opened the document properties dialog.
    
    Fixed the ev_window_dispose and the webview's dispose and finalise functions, now the window closes without any glib-critical errors.
    
    Also now it is possible to read epub documents, once you have changed pages at least once, I still have to figure out where I call load_uri at document load.

 backend/epub/epub-document.c |  5 ++++-
 libview/ev-web-view.c        | 35 ++++++++++++++++++-----------------
 shell/ev-window.c            |  8 +++++---
 3 files changed, 27 insertions(+), 21 deletions(-)

commit df1fce63dca7bd7ac85c720a357adba0f1b7108a
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Wed Jul 23 22:19:20 2014 +0530

    Added Zoom control, Window thubnail
    
    Added zoom-in and zoom out capabilities, also re-enabled window thumbnail which I had disabled previously when the thumbnails were not implemented.
    
    Still trying to get the document to display, need to make the right changes, also trying to stop the window from entering presentation view, but that does happen and needs to be fixed.

 libview/ev-web-view.c | 12 ++++++++++++
 libview/ev-web-view.h |  4 ++++
 shell/ev-window.c     | 44 +++++++++++++++++++++++++++++++++-----------
 3 files changed, 49 insertions(+), 11 deletions(-)

commit b219a4a96ed7f38bf3de46bff790b139955bd927
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Wed Jul 23 00:18:47 2014 +0530

    Cleaned some code, added select-all functionality
    
    Select all functionality to select all content from the webview.
    Cleaned ev-jobs.c, it had a lot of unused code.

 libview/ev-jobs.c     | 21 ++++-----------------
 libview/ev-web-view.c |  6 ++++++
 libview/ev-web-view.h |  1 +
 shell/ev-window.c     | 13 +++++++++++--
 4 files changed, 22 insertions(+), 19 deletions(-)

commit 529473758fee66ac2fb0f2c89e4298789d183d5b
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Mon Jul 21 23:49:08 2014 +0530

    Thumbnails working for all epub documents.
    
    Passes the test with a 71 page epub, I don't think it would have much problems were we to scale it further.

 libview/ev-jobs.c | 39 ++++++++++++++++-----------------------
 libview/ev-jobs.h |  5 +++--
 2 files changed, 19 insertions(+), 25 deletions(-)

commit b1bed03353e98b968e3f371446b02837f9e3baf7
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Mon Jul 21 19:22:22 2014 +0530

    Program no longer segfaults, but does not give thumbnails
    
    The loading icons for all thumbnails are displayed, but the program does not segfault. Also realized that the absurd resizing of the window was due to the ephy-zoom action on the webview window. Will fix that in the next commit. Will also think of some workaround for screenshots.
    
    For now committed this code so that this can act as a clean slate if I screw up somewhere.

 libview/ev-jobs.c             | 40 ++++++++++++++++++++--------------------
 shell/ev-sidebar-thumbnails.c |  3 ---
 shell/ev-window.c             |  6 ++++--
 3 files changed, 24 insertions(+), 25 deletions(-)

commit c8b63e55987f0ee6d4067a7309ef2fac8119b0cc
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Sun Jul 20 23:57:08 2014 +0530

    Moving everything related to webkit to main thread jobs
    
    Including creation of windows, webviews etc., still get a crash. The one page epub works fine with the thumbnails though.
    
    Also fixing some calls which cause gtk-critical errors when I try to close the window.

 libview/ev-jobs.c | 56 ++++++++++++++++++++++++++++++++++---------------------
 libview/ev-jobs.h |  2 +-
 shell/ev-window.c | 26 +++++++++-----------------
 3 files changed, 45 insertions(+), 39 deletions(-)

commit 4a3ac19d1365cb87a31eecea4759484673fad667
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Sun Jul 20 16:08:07 2014 +0530

    Active properties dialog, other actions
    
    Properties dialog for epub documents, will some basic properties.
    
    Also set toolbar and menu sensitivity for the actions available in epub, will add more(find) once I write the module. Also inverted colors needs to be done with CSS or the like.

 backend/epub/epub-document.c | 18 +++++++++++++++---
 libview/ev-jobs.c            |  2 +-
 libview/ev-web-view.c        |  6 ++++++
 libview/ev-web-view.h        |  3 +++
 shell/ev-window.c            | 25 +++++++++++++++++--------
 5 files changed, 42 insertions(+), 12 deletions(-)

commit e0535b0e61cc56ec62d32518c03a42836f5256e6
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Sat Jul 19 22:18:40 2014 +0530

    Moving all webkit tasks to main loop jobs

 backend/epub/epub-document.c         | 28 --------------
 libdocument/ev-document-thumbnails.c | 11 ------
 libdocument/ev-document-thumbnails.h |  3 --
 libview/ev-jobs.c                    | 74 +++++++++++++++++++++++-------------
 libview/ev-jobs.h                    |  4 +-
 5 files changed, 51 insertions(+), 69 deletions(-)

commit 46fce038996fa84784df775d0b2e941228388b66
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Sat Jul 19 10:47:43 2014 +0530

    Thumbnails for all documents
    
    Now other problems with webkit. After much fidgeting I was able to resolve the previous problems of threads. However, now there is a different webkit error.

 backend/epub/epub-document.c         | 177 +++++++++++++++++------------------
 libdocument/ev-document-thumbnails.c |  10 ++
 libdocument/ev-document-thumbnails.h |   7 +-
 libview/ev-jobs.c                    | 133 +++++++++++++++++++++++++-
 libview/ev-jobs.h                    |  30 +++++-
 libview/ev-web-view.c                |  14 ++-
 libview/ev-web-view.h                |   5 +-
 shell/ev-sidebar-thumbnails.c        |  26 +++--
 shell/ev-window.c                    |   3 -
 9 files changed, 291 insertions(+), 114 deletions(-)

commit 812a3c3d777a74b6e72fc402c17a5b861a712040
Merge: 3fb872e ec8233d
Author: avishkar gupta <avishkar_gupta@outlook.com>
Date:   Sat Jul 12 01:58:30 2014 +0530

    Merge pull request #1 from stefano-k/epub
    
    libview: Fix makefile

commit ec8233d30e8ac694381d42748cf8b08de077ec54
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jul 11 22:22:55 2014 +0200

    libview: Fix makefile

 libview/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3fb872ef3997cf8b2c0974a6603d6322f7c9939c
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Fri Jul 11 19:21:01 2014 +0530

    Fixing the extraction problem
    
    Due to the no fixed guidelines on how content in an ePub file should be arranged, in many cases,in  files with content in subdirectories could not be extracted as those cases were not covered. The new code should not leave any corner cases.

 backend/epub/epub-document.c | 53 ++++++++++++++++++++++++++++++++------------
 1 file changed, 39 insertions(+), 14 deletions(-)

commit 9ba6ad9e22e51fb865df24327280c096cbef7f47
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Fri Jul 11 11:07:23 2014 +0530

    Fixing the PDF annotations
    
    Last time I screwed up annotations in PDF, due to a small error, here's the fix.

 shell/ev-window.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 423af80ad421a8a19e1c4be0c6851dff845a0f6c
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Thu Jul 10 13:50:37 2014 +0530

    Files for EvWebView, thumbnails possible with GTK+-2.0
    
    My last commit was supposed to have ev-web-view.c and ev-web-view.h however due to some reason I missed them last time, so here they are now. i am able to achieve thumbnails for my epub however these are of absurdly large size. Still struggling to get the webview done due to thread problems that I am encountering.

 backend/epub/epub-document.c |  80 ++++++----
 libview/ev-jobs.c            |   9 +-
 libview/ev-web-view.c        | 349 +++++++++++++++++++++++++++++++++++++++++++
 libview/ev-web-view.h        |  64 ++++++++
 shell/ev-convert-metadata.c  |   4 +-
 shell/ev-window.c            |  39 +++--
 6 files changed, 500 insertions(+), 45 deletions(-)

commit df43418e209ae9c98844185f789c63769ae9b3a2
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Mon Jul 7 18:36:55 2014 +0530

    Refactored code, created a new EvWebView type
    
    Earlier my approach was to replace the atril view directly with a webview. However as it turned out it was extremely difficult to accomplish much tasks without the document-model. So I created an Extension of the WebKitWebView class, EvWebView so that now we can manipulate the webview as desired. Also having a separate file really helps in terms of clarity.
    
    Please note that there are many empty functions and TODO tags right now, I shall aim to fill these up once the display part is done, probably in this week.
    
    I also added some code on the backend to draw thumbnails when with GTK+-3.0, although I have never tested a GTK+-3.0 build.With GTK+-2.0 you won't get any build errors,  however epub backend won't work right now.
    
    That being said, this commit is mostly because there was a lot of code that was lying in the local repository, and it was best to back it up as a failsafe.
    I modified ev-window to accomodate this new data structure, and having an equivalent ev_web_view function for every ev_view function, I can achieve most functionality by filling those functions with Webkit modules.
    
    Other than that on the backend
    
    Other than that there were some minor changes to the code.
    Although I did the above, currently I am not able to instantiate the EvWebView because of some class and object type definition errors, due to which I can't display the document.

 atril-view.h                 |   1 +
 backend/epub/epub-document.c |  98 ++++++++++++++++++----
 libdocument/ev-document.c    |   7 --
 libdocument/ev-document.h    |   2 +-
 libview/Makefile.am          |   6 +-
 previewer/Makefile.am        |   6 +-
 shell/ev-window.c            | 194 ++++++++++++++++++++++++++-----------------
 7 files changed, 214 insertions(+), 100 deletions(-)

commit 6f41c201422edd6b4dbf9f9f41b5dc29530d21c6
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Thu Jul 3 20:36:55 2014 +0530

    Thumbnails for Epub Documents
    
    This commit is mainly so that any further changes can be reverted to this state. The thumbnails are of very large sizes so I need to fix that, and in general implement thumbnails. Also I am facing an X-windows error, which I can't seem to fix. I feel it may be a problem with webkit-1.0, so will try the build with gtk3 and webkit2. If so is the case, I'll have to work something out for that. Should be able to push a commit soon where the document can actually be read, soon as I figure out the perfect place for the call to load uri.
    
    Other than that more function were modified in accordance with webkit. The error I get when opening the file from the filechooser still persists, I need to fix that too.

 backend/epub/epub-document.c | 64 ++++++++++++++++++++------------------------
 libdocument/ev-document.c    | 48 ++++++++++++++++++++++-----------
 shell/ev-window.c            | 11 ++++----
 3 files changed, 67 insertions(+), 56 deletions(-)

commit e10bf9631652b8533b18a14285db89bd14b4c42e
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Tue Jul 1 20:29:05 2014 +0530

    More changes to accomodate webview
    
    - Modified configure.ac to use both webkit2 and webkit1 based on gtk version
    - Modified Automake file in help/reference/shell/Makefile.am to compile with gtk-doc
    - Modified ev-document-model to support epub-documents.
    - Modified ev-window for epub documents.
    - Modified jobs so epub pages are not rendered.
    - Modified ev-document, although I'm not sure if this is necessary.
    
    Still need to figure out where the web view load uri has to be called to actually load pages, from there the puzzle would be much simpler. Hope to get this done in the week, and pick up the pace now that only six weeks of coding remain before final evaluation.

 backend/epub/epub-document.c     | 20 +++++------
 configure.ac                     | 21 +++++++++---
 help/reference/shell/Makefile.am |  2 ++
 libdocument/ev-document.c        |  7 ++++
 libdocument/ev-document.h        |  1 +
 libview/ev-document-model.c      | 27 +++++++++++++--
 libview/ev-document-model.h      |  4 ++-
 libview/ev-jobs.c                | 18 ++++++++++
 shell/ev-window.c                | 71 ++++++++++++++++++++++++++++++----------
 9 files changed, 136 insertions(+), 35 deletions(-)

commit 1bdae54253b68f2042f1d7f43ac0f36654c9b432
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Jun 28 17:15:56 2014 +0200

    Dont require org.mate.lockdown GSettings schema
    
    Closes https://github.com/mate-desktop/atril/issues/75

 shell/ev-window.c | 26 ++++++++++++++++----------
 1 file changed, 16 insertions(+), 10 deletions(-)

commit 4e796748f1079ac71fc0496da49e3ee219b98d2e
Merge: ff8c5fc bc94b29
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jun 25 12:46:50 2014 +0200

    Merge pull request #77 from NiceandGently/master
    
     create_thumbnail_frame should return NULL when  source_pixbuf is NULL and width and height are not positive.

commit 5028995e3725c264b2487a1101c22e941b04c8fd
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Mon Jun 23 23:42:11 2014 +0530

    Functions for document info and EvPage,other changes
    
    Summary:
     I added functions in the backend to get document info.
     Added a member to evdocument to deal with web documents(ePub) on the frontend.
     Added a webview to the window, that shall replace the Atril view.
     Due to removing the view from the main Atril window, I have given rise to various GTK-critical errors in response to signals, will be sure to suppress these in the next commit.
     Worked towards overall blending in of ePub documents.

 backend/epub/epub-document.c               | 148 +++++++++++++++++++++++------
 backend/epub/epubdocument.atril-backend.in |   2 +-
 libdocument/ev-document.c                  |  28 +++++-
 libdocument/ev-document.h                  |   5 +
 shell/ev-window.c                          |  67 ++++++++-----
 5 files changed, 196 insertions(+), 54 deletions(-)

commit e817bd447789cd670fb00b6507debfe84f8cf64f
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Sat Jun 21 15:01:33 2014 +0530

    Changed dependecy to webkit-1.0,added web view to window properties
    
    Currently the backend/epub/epub-document.c file has some dummy code, such as that for thumbnails, solely to get it to build. Now that we are done with all functions
    that we would possibly need to handle the backend, I am now working now on displaying the document via a webview, starting with this commit where i add a webview to the EvWindow properties. Similar to this I need to put in custom functions for epub, as rendering is done by the layout engine. I will also need to add some epub specific callback functions to the widgets.

 backend/epub/epub-document.c | 503 ++++++++++++++++++++++++++++++++-----------
 configure.ac                 |   4 +-
 shell/Makefile.am            |   4 +-
 shell/ev-window.c            |  30 ++-
 4 files changed, 405 insertions(+), 136 deletions(-)

commit d57fa16e9e8c9091ebf826af94a0c3ad1a593596
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Thu Jun 19 14:19:48 2014 +0530

    Epub backend builds as a part of Atril compilation
    
    Fixed a tabbing error in backend/Makefile.am due to which the epub backend was not a target when building recursilvely, i am not commiting the changes to
    epub-document.c as currently it will break the build, hope to fix it and get webkit and mathjax done by the weekend.
    
    Also fixed an error in configure.ac wherin the appearance of AM_LIBTOOL_PROG before AC_CXX_PROG caused a "link:unsupported hardcode properties error" on Linux Mint.

 backend/Makefile.am          | 8 ++++----
 backend/epub/Makefile.am     | 2 ++
 backend/epub/epub-document.h | 4 ++--
 configure.ac                 | 6 +++---
 4 files changed, 11 insertions(+), 9 deletions(-)

commit 3fd3e5708b0566b1392fa5e7f37a18de137a43e0
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Sat Jun 7 05:38:54 2014 +0530

    Redefined most XML parsing functions,more helpers
    
    This commit as compared to previous ones has much more changes as:
    
    > The xml parsing functions were not generic enough to my needs and needed to be redefined as well as renamed .
    > I also set up the document tree for the document using these parsers.All that is now left is to serve these to a webview.
    > Fixed a typo in epub-document.h
    
    TODO: integrate with Atril frontend.

 backend/epub/epub-document.c | 414 ++++++++++++++++++++++++++++++++++++++-----
 backend/epub/epub-document.h |   2 +-
 2 files changed, 367 insertions(+), 49 deletions(-)

commit 415b008bff9de46176ed39daa2ffece45cdd2506
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Fri May 30 21:57:13 2014 +0530

    Created a Makefile for minizip, modified epub Makefile
    
    I created a Makefile for the minizip backend, since i am only using part of that library and modified the epub backend to work with the library.
    Also modified the configure script to suit our purpose.
    The epub backend can now be compiled using the make command in the epub  directory, although it cannot still be compiled as a part of atril.

 backend/epub/Makefile.am         | 10 +++++-----
 backend/epub/epub-document.c     |  1 +
 backend/epub/minizip/Makefile.am | 14 ++++++++++++++
 configure.ac                     |  3 ++-
 4 files changed, 22 insertions(+), 6 deletions(-)

commit 7f33c3425aae32d1dd5d2d7b912f8d4eac1cf85d
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Fri May 30 16:31:46 2014 +0530

    created a separate directory for minizip content, fixed indentation in configure.ac
    
    Moved ioapi.c unzip.c unzip.h and ioapi.h into a separate directory backend/epub/minizip
    Fixed an indentation problem in configure.ac, which was affecting the displayed result.
    Also fixed a typo in epub-document.h where i had wrongly named the function.

 backend/epub/epub-document.c |    2 +-
 backend/epub/epub-document.h |    2 +-
 backend/epub/ioapi.c         |  247 -----
 backend/epub/ioapi.h         |  208 -----
 backend/epub/minizip/ioapi.c |  247 +++++
 backend/epub/minizip/ioapi.h |  208 +++++
 backend/epub/minizip/unzip.c | 2125 ++++++++++++++++++++++++++++++++++++++++++
 backend/epub/minizip/unzip.h |  437 +++++++++
 backend/epub/unzip.c         | 2125 ------------------------------------------
 backend/epub/unzip.h         |  437 ---------
 configure.ac                 |    2 +-
 11 files changed, 3020 insertions(+), 3020 deletions(-)

commit 070a26ed403e9a0c330ee7901c5b85394317ef77
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Fri May 30 00:11:14 2014 +0530

    Added functions to extract epub archive,fixed header
    
    In this commit i added functionality to extract an epub archive to a temporary location.Again i tried to keep the design modular. This will be changed as changes come along.
    I also fixed the header to the standard atril backend header. Performed some code cleaning, naming functions as in the atril style of coding.

 backend/epub/Makefile.am     |    8 +-
 backend/epub/epub-document.c |  228 ++++-
 backend/epub/epub-document.h |   33 +-
 backend/epub/ioapi.c         |  247 +++++
 backend/epub/ioapi.h         |  208 +++++
 backend/epub/unzip.c         | 2125 ++++++++++++++++++++++++++++++++++++++++++
 backend/epub/unzip.h         |  437 +++++++++
 7 files changed, 3252 insertions(+), 34 deletions(-)

commit 0a4d3f34a8aee74019759ace24f84672a98122b4
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Sat May 24 05:38:31 2014 +0530

    XML parsing for ePub
    
    using libxml some functions were written which will be used to get keywords,attributes from files such as the ePub container.tried to keep the code generalised so as to facilitate reusability of code.

 backend/epub/Makefile.am     |   7 +--
 backend/epub/epub-document.c | 125 +++++++++++++++++++++++++++++++++++++++++++
 backend/epub/epub-document.h |  25 +++++++++
 configure.ac                 |   2 +-
 4 files changed, 155 insertions(+), 4 deletions(-)

commit 28b2c08f60f54a78596746e204f4d0092587a09a
Author: rootavish <avishkar_gupta@outlook.com>
Date:   Sun May 18 21:57:45 2014 +0530

    adding epub support : created Makefiles,modified configuration script
    
    kickoff commit to add ePub support , creating a subdirectory structure and modified makefiles and configure script to
    accomodate for ePub . As the sources are done , these will be further changed accordingly .

 backend/Makefile.am                        |  4 ++++
 backend/epub/Makefile.am                   | 30 +++++++++++++++++++++++++++++
 backend/epub/epubdocument.atril-backend.in |  4 ++++
 configure.ac                               | 31 ++++++++++++++++++++++++++++++
 4 files changed, 69 insertions(+)

commit ff8c5fca03211db8f58368ecf35c3ab63ed876fd
Author: infirit <infirit@gmail.com>
Date:   Sun May 11 21:32:27 2014 +0200

    Fix typo in Makefile.am

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 19ab7fa07f948b30e57ab7b781a6e2f3a5164645
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat May 3 20:40:37 2014 +0200

    Update NEWS

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d58a276f9187ec36acef2df827fcd7613ee0e347
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat May 3 20:39:51 2014 +0200

    Use MateAboutDialog from libmate-desktop

 configure.ac      | 3 ++-
 shell/ev-window.c | 4 +++-
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 0036c48f5484324f2bda9fc4907fec6999f761f4
Author: infirit <infirit@gmail.com>
Date:   Wed Apr 30 14:34:20 2014 +0200

    Add keywords key to .desktop files, close #78
    
    Patch by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

 data/atril.desktop.in.in | 1 +
 1 file changed, 1 insertion(+)

commit 8a0b1a55b01b6b37eb61099d5e0eba58a265dca7
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Mon Apr 28 14:08:26 2014 +0200

    Sync translations with transifex

 po/am.po |  20 +++----
 po/be.po |  43 +++++++--------
 po/de.po |   4 +-
 po/es.po |  14 ++---
 po/id.po |  15 +++---
 po/lt.po |  15 +++---
 po/mr.po | 183 ++++++++++++++++++++++++++++++++-------------------------------
 po/sv.po |  17 +++---
 8 files changed, 158 insertions(+), 153 deletions(-)

commit 7bd39a342260247875e1615b22bd1c2dc1f827a5
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Apr 28 14:08:10 2014 +0200

    Bump version to 1.9.0

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit bc94b296158e036be054c5ed061af83c893f1ea9
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon Apr 21 12:18:15 2014 +0200

    ps: Make sure page labels are valid utf-8 strings
    
    taken from https://git.gnome.org/browse/evince/commit/?id=150d0cfa2d8f64823f2782d207d717fa3ac340a0

 backend/ps/ev-spectre.c | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

commit 076f52594df5e68bf9806b4b69e915350b3c9319
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon Apr 21 12:15:04 2014 +0200

    create_thumbnail_frame should return NULL when
    source_pixbuf is NULL and width and height are not positive.
    
    fix https://bugzilla.redhat.com/show_bug.cgi?id=1082143
    taken from https://git.gnome.org/browse/evince/commit/?id=3d8180a605e8c98172e9e0e739e22b7f50ed7bad

 libdocument/ev-document-misc.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 256d520ce80c3adb6beb7156429610234bcadbe7
Merge: ec3b83d 02a7efa
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Mar 30 10:38:49 2014 +0200

    Merge pull request #76 from Glorf/master
    
    GTK3-compatibility fixes.

commit 02a7efaf7d34c2ecbe5e4a367fc72c46028e5765
Author: Glorf <michal1.bien@gmail.com>
Date:   Mon Mar 24 19:39:34 2014 +0100

    Changes to make possible compiling in GTK3 mode. Needs --disable-caja flag set!

 libview/ev-timeline.c |  4 ++--
 shell/ev-window.c     | 22 +++++++++++++++++-----
 2 files changed, 19 insertions(+), 7 deletions(-)

commit ec3b83d34ffeaf2c0d16ba013fcba64f17fab203
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Mar 19 10:17:58 2014 +0100

    djvu: Fix case sensitive search
    
    Closes https://github.com/mate-desktop/atril/issues/41
    Closes https://github.com/mate-desktop/atril/pull/74
    
    This commit is based on Aleksi Blinnikka one from #74

 backend/djvu/djvu-document.c  |  2 +-
 backend/djvu/djvu-text-page.c | 15 +++++++++++++--
 backend/djvu/djvu-text-page.h |  3 ++-
 3 files changed, 16 insertions(+), 4 deletions(-)

commit 6db1758b9cad94ab491170e722ddbca6d07a672c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Mar 1 12:53:25 2014 +0100

    Bump version to 1.8.0

 NEWS         | 4 ++--
 configure.ac | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 7e1f2052de0ebd9674b3781a04dd135c300b5c21
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Mar 1 12:53:05 2014 +0100

    Sync translations with transifex

 po/be.po    | 291 ++++++++++++++++++++++++++++++------------------------------
 po/en_GB.po |   2 +-
 po/fa.po    |  47 +++++-----
 po/ko.po    |  15 ++--
 po/pt.po    |  10 +--
 po/zh_CN.po |  12 +--
 6 files changed, 190 insertions(+), 187 deletions(-)

commit fb0bb966194f17635eb294a6e3c6db4907ce38b1
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Feb 25 13:40:44 2014 +0100

    smclient: Add missing declaration
    
    Closes https://github.com/mate-desktop/atril/issues/72

 cut-n-paste/smclient/eggsmclient.c | 4 ++++
 1 file changed, 4 insertions(+)

commit a25645171c0986c74b1e4df2146782a69ebb81b6
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Feb 24 15:40:54 2014 +0100

    Add missing include

 cut-n-paste/smclient/eggsmclient-xsmp.c | 1 +
 1 file changed, 1 insertion(+)

commit ffa571d1842644023e05bbabc61718d4644255dc
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Feb 23 18:06:08 2014 +0100

    Sync translations with transifex

 po/sk.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 359c1ad6bd116ca7b0f80a3e0a46fc4268b8cf29
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Feb 23 13:40:29 2014 +0100

    Fix double free

 shell/ev-window-title.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit ec9fb4ab1005d88a10ec17b83ce8fe8a986ec82f
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Feb 20 19:36:42 2014 +0100

    Sync translations with transifex

 po/cs.po    |  8 ++++----
 po/de.po    |  8 ++++----
 po/el.po    | 16 +++++++++-------
 po/es.po    | 15 ++++++++-------
 po/pt.po    |  8 ++++----
 po/pt_BR.po | 11 ++++++-----
 po/ru.po    |  2 +-
 po/sl.po    |  4 ++--
 po/zh_TW.po |  4 ++--
 9 files changed, 40 insertions(+), 36 deletions(-)

commit d4fe346a32dc89e657c0b2cb5755c669862a6dba
Author: infirit <infirit@gmail.com>
Date:   Tue Feb 18 20:43:39 2014 +0100

    Bump version to 1.7.90

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f0f36a85bbba55f770dc4638e01a55dc36536e22
Author: infirit <infirit@gmail.com>
Date:   Tue Feb 18 19:49:29 2014 +0100

    Add NEWS for MATE and update it.

 NEWS | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 57d0a3fc717ed5d8001531b856d9f44982ce4759
Author: infirit <infirit@gmail.com>
Date:   Tue Feb 18 19:38:41 2014 +0100

    Add check-news for automake and move old gnome NEWS

 NEWS         | 2810 ----------------------------------------------------------
 NEWS.gnome   | 2810 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |    2 +-
 3 files changed, 2811 insertions(+), 2811 deletions(-)

commit 892184c3ad66498a22e762022813b9fe27252eb7
Author: José Aliste <jaliste@src.gnome.org>
Date:   Tue Dec 14 13:16:45 2010 +0000

    shell: Show "filename (title)" in the window title.
    
    Based on a patch by Wouter Bolsterlee.
    Fixes bug #386292

 shell/ev-window-title.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit b59cfdcb451b8412895bbc741bb051929edfe76c
Merge: 6950d1b ceaa81e
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Feb 17 10:53:57 2014 +0100

    Merge pull request #67 from hekel/master
    
    Update Manual

commit 6950d1b1b9526cfc891f352464372750fab6ad0d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Feb 15 15:18:51 2014 +0100

    Sync translations with transifex

 po/ar.po    |  12 ++---
 po/bg.po    |  24 +++++-----
 po/da.po    |  12 ++---
 po/en_AU.po |   8 ++--
 po/en_GB.po |  11 +++--
 po/es.po    |  12 ++---
 po/gl.po    |  10 ++--
 po/ms.po    |   8 ++--
 po/ru.po    |  11 +++--
 po/sk.po    | 157 ++++++++++++++++++++++++++++++------------------------------
 po/tr.po    |   8 ++--
 po/zh_TW.po |  17 +++----
 12 files changed, 147 insertions(+), 143 deletions(-)

commit ceaa81ebeaab22373689483d484f365977cf179f
Author: hekel <hekel@archlinux.info>
Date:   Fri Feb 14 03:08:33 2014 -0500

    Update Manual

 data/atril.1 | 100 ++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 64 insertions(+), 36 deletions(-)

commit d5b0975a9053dc8d32a8f5b82eccc52e542b8021
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Feb 9 23:12:09 2014 +0100

    Bump version to 1.7.2

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d91178faafc2240f3b6945f52c493d3ea3c53027
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Feb 9 23:11:46 2014 +0100

    Sync translations with transifex

 po/af.po          | 450 ++++++++++++++++++++++++++--------------------------
 po/am.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/ar.po          | 454 +++++++++++++++++++++++++++--------------------------
 po/as.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/ast.po         | 452 ++++++++++++++++++++++++++--------------------------
 po/be.po          | 450 ++++++++++++++++++++++++++--------------------------
 po/bg.po          | 462 ++++++++++++++++++++++++++++--------------------------
 po/bn.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/bn_IN.po       | 452 ++++++++++++++++++++++++++--------------------------
 po/br.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/ca.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/ca@valencia.po | 452 ++++++++++++++++++++++++++--------------------------
 po/cmn.po         | 454 +++++++++++++++++++++++++++--------------------------
 po/cs.po          | 456 +++++++++++++++++++++++++++--------------------------
 po/cy.po          | 450 ++++++++++++++++++++++++++--------------------------
 po/da.po          | 454 +++++++++++++++++++++++++++--------------------------
 po/de.po          | 455 +++++++++++++++++++++++++++--------------------------
 po/dz.po          | 450 ++++++++++++++++++++++++++--------------------------
 po/el.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/en_AU.po       | 456 +++++++++++++++++++++++++++--------------------------
 po/en_CA.po       | 450 ++++++++++++++++++++++++++--------------------------
 po/en_GB.po       | 454 +++++++++++++++++++++++++++--------------------------
 po/eo.po          | 454 +++++++++++++++++++++++++++--------------------------
 po/es.po          | 454 +++++++++++++++++++++++++++--------------------------
 po/et.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/eu.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/fa.po          | 450 ++++++++++++++++++++++++++--------------------------
 po/fi.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/fr.po          | 454 +++++++++++++++++++++++++++--------------------------
 po/ga.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/gl.po          | 456 +++++++++++++++++++++++++++--------------------------
 po/gu.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/he.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/hi.po          | 450 ++++++++++++++++++++++++++--------------------------
 po/hr.po          | 460 +++++++++++++++++++++++++++--------------------------
 po/hu.po          | 456 +++++++++++++++++++++++++++--------------------------
 po/id.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/it.po          | 454 +++++++++++++++++++++++++++--------------------------
 po/ja.po          | 455 +++++++++++++++++++++++++++--------------------------
 po/ka.po          | 450 ++++++++++++++++++++++++++--------------------------
 po/kk.po          | 456 +++++++++++++++++++++++++++--------------------------
 po/kn.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/ko.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/ks.po          | 450 ++++++++++++++++++++++++++--------------------------
 po/ku.po          | 450 ++++++++++++++++++++++++++--------------------------
 po/ky.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/lt.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/lv.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/mai.po         | 450 ++++++++++++++++++++++++++--------------------------
 po/mg.po          | 450 ++++++++++++++++++++++++++--------------------------
 po/mk.po          | 450 ++++++++++++++++++++++++++--------------------------
 po/ml.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/mn.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/mr.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/ms.po          | 456 +++++++++++++++++++++++++++--------------------------
 po/nb.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/nds.po         | 452 ++++++++++++++++++++++++++--------------------------
 po/ne.po          | 450 ++++++++++++++++++++++++++--------------------------
 po/nl.po          | 457 +++++++++++++++++++++++++++--------------------------
 po/nn.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/oc.po          | 450 ++++++++++++++++++++++++++--------------------------
 po/or.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/pa.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/pl.po          | 458 +++++++++++++++++++++++++++--------------------------
 po/ps.po          | 450 ++++++++++++++++++++++++++--------------------------
 po/pt.po          | 455 +++++++++++++++++++++++++++--------------------------
 po/pt_BR.po       | 454 +++++++++++++++++++++++++++--------------------------
 po/ro.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/ru.po          | 454 +++++++++++++++++++++++++++--------------------------
 po/si.po          | 450 ++++++++++++++++++++++++++--------------------------
 po/sk.po          | 456 +++++++++++++++++++++++++++--------------------------
 po/sl.po          | 456 +++++++++++++++++++++++++++--------------------------
 po/sq.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/sr.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/sr@latin.po    | 452 ++++++++++++++++++++++++++--------------------------
 po/sv.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/ta.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/te.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/th.po          | 452 ++++++++++++++++++++++++++--------------------------
 po/tr.po          | 456 +++++++++++++++++++++++++++--------------------------
 po/uk.po          | 456 +++++++++++++++++++++++++++--------------------------
 po/vi.po          | 450 ++++++++++++++++++++++++++--------------------------
 po/wa.po          | 450 ++++++++++++++++++++++++++--------------------------
 po/zh_CN.po       | 454 +++++++++++++++++++++++++++--------------------------
 po/zh_HK.po       | 452 ++++++++++++++++++++++++++--------------------------
 po/zh_TW.po       | 452 ++++++++++++++++++++++++++--------------------------
 86 files changed, 19901 insertions(+), 19033 deletions(-)

commit 5edae4fb4fac0cf202e24e4ae51c41ca20b71cf5
Merge: 142ebf7 ba32a7a
Author: Sander Sweers <infirit@gmail.com>
Date:   Sun Feb 9 17:33:34 2014 +0100

    Merge pull request #66 from bl0ckeduser/master
    
    Fix duplicated string (#65)

commit ba32a7a29d7d28eb458b0cde7eda77ef1726ae73
Author: bl0ckeduser <bl0ckedusersoft@gmail.com>
Date:   Sun Feb 9 11:19:02 2014 -0500

    Fix duplicated string (#65)

 cut-n-paste/zoom-control/ephy-zoom.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 142ebf79903cd71789c31ddc0c56b398c8e50e4e
Merge: d282ff3 7f21f28
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Feb 9 12:06:43 2014 +0100

    Merge pull request #64 from bl0ckeduser/expandwin
    
    Implement window expand functionality (#53)

commit d282ff3e6a5d6fb3d3e73a7ccf8c2dfc600720ad
Merge: 9ba2765 d771130
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Feb 9 12:06:02 2014 +0100

    Merge pull request #63 from bl0ckeduser/master
    
    Fix for #47 (Ctrl-A in search field)

commit 7f21f2854ad69786568558db9c5d87ba17aa921c
Author: bl0ckeduser <bl0ckedusersoft@gmail.com>
Date:   Sat Feb 8 22:18:47 2014 -0500

    Implement window expand functionality (#53)

 cut-n-paste/zoom-control/ephy-zoom.c |  6 ++--
 cut-n-paste/zoom-control/ephy-zoom.h |  4 ++-
 data/atril-ui.xml                    |  1 +
 shell/ev-window.c                    | 62 ++++++++++++++++++++++++++++++++++++
 4 files changed, 70 insertions(+), 3 deletions(-)

commit d771130748b90fdeb3c05d12c8652c7ab3f7f081
Author: bl0ckeduser <bl0ckedusersoft@gmail.com>
Date:   Sat Feb 8 20:02:49 2014 -0500

    Fix for #47 (Ctrl-A in search field)

 shell/eggfindbar.c |  4 ++--
 shell/eggfindbar.h |  2 ++
 shell/ev-window.c  | 11 ++++++++++-
 3 files changed, 14 insertions(+), 3 deletions(-)

commit 9ba2765d71e217254d2a3429b043430dbc9ff5d1
Author: infirit <infirit@gmail.com>
Date:   Fri Jan 24 17:52:11 2014 +0100

    Bump version to 1.7.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f79ae5a34a725c8b5aa8266067d44a78397adc34
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jan 24 17:17:33 2014 +0100

    Fix thumbnails sidebar resizing issues with GTK3
    
    Closes #58
    https://github.com/mate-desktop/atril/issues/58
    
    https://git.gnome.org/browse/evince/commit/shell/ev-sidebar-thumbnails.c?id=a621f05b42468606c8a04446d54b637ecdd05c9b
    https://git.gnome.org/browse/evince/commit/shell/ev-sidebar-thumbnails.c?id=1e88e7fd7630c28453475e48b98941ce11b130a6

 shell/ev-sidebar-thumbnails.c | 31 ++++++++++++++++++++++++++++++-
 1 file changed, 30 insertions(+), 1 deletion(-)

commit 8fff1e948b7d1862c2783cbe2603cb103a400133
Merge: 9048aa7 42e43c3
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jan 23 11:20:27 2014 -0800

    Merge pull request #60 from oz123/fix_icons
    
    Fixed icons

commit 42e43c32aa38eccad0f1486829e5db93aedaacf1
Author: oz123 <nahumoz@gmail.com>
Date:   Thu Jan 23 20:05:58 2014 +0100

    fix missing lines

 data/icons/22x22/apps/atril.png | Bin 1493 -> 1345 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 50930a2d6c71291d32d9f0c6b550f658989c8c1b
Author: oz123 <nahumoz@gmail.com>
Date:   Thu Jan 23 19:54:59 2014 +0100

    fix border in the 22x22 icon

 data/icons/22x22/apps/atril.png | Bin 1608 -> 1493 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 23231bea84a110615397fad42a3bcf062e339695
Author: oz123 <nahumoz@gmail.com>
Date:   Thu Jan 23 19:54:48 2014 +0100

    fix border in the smallest icon

 data/icons/16x16/apps/atril.png | Bin 985 -> 907 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 9048aa7b89d9dd4d4e598167691ce48c15ae135d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jan 23 00:18:26 2014 +0100

    toolbar-editor: Fix a crash when dropping an item to the toolbar
    
    https://git.gnome.org/browse/evince/commit/?h=gnome-3-4&id=c528881454c18ab29e300c3e3f2726409806eed3

 cut-n-paste/toolbar-editor/egg-editable-toolbar.c | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit ef8d5d040a91ddb30649d349d3226d4a1e2efcf0
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jan 22 23:39:51 2014 +0100

    toolbar-editor: Fix dragging items out of the toolbar
    
    When 'window-dragging' is True, GtkToolbar starts a drag in the
    'button-press-event'. By connecting a callback to 'button-press-event'
    after setting gtk_drag_source_set that return TRUE we prevent
    GtkToolbar handler to be called.
    
    https://git.gnome.org/browse/evince/commit/?h=gnome-3-0&id=c48141968a2b374fe7a666feaf2635a82a528dac

 cut-n-paste/toolbar-editor/egg-editable-toolbar.c | 38 +++++++++++++++++++++++
 1 file changed, 38 insertions(+)

commit ead0bbb5d787dfdc15f18d0245b308d239c4679f
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jan 22 23:31:32 2014 +0100

    Use primary-toolbar style in GTK3

 shell/ev-window.c | 5 +++++
 1 file changed, 5 insertions(+)

commit a45172bcbc96d1b519a620aa07aa080c26617044
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jan 22 23:26:38 2014 +0100

    Use gtk_widget_get_preferred_size with GTK3

 shell/ev-navigation-action-widget.c | 4 ++++
 shell/ev-sidebar.c                  | 4 ++++
 shell/ev-utils.c                    | 8 ++++++++
 3 files changed, 16 insertions(+)

commit 28bc8921c748c954027007ec9dfa1e9970c0ad08
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jan 22 23:23:13 2014 +0100

    Make the toolbar editor fill its window with GTK3
    
    https://github.com/mate-desktop/atril/issues/58
    https://git.gnome.org/browse/evince/commit/shell?h=gnome-3-0&id=018fd207e39c8eea5abdd17973914e6f3936ffdd

 shell/ev-window.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 5bba3723566489763aafaad3669c77f60a23d2e0
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jan 22 21:56:14 2014 +0100

    smclient: Add missing includes
    
    Closes #57
    https://github.com/mate-desktop/atril/issues/57

 cut-n-paste/smclient/eggsmclient-xsmp.c | 1 +
 1 file changed, 1 insertion(+)

commit a3386c29ef7d0ee53e6504063a2c7385e3f111cd
Merge: 692f171 b6c5615
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jan 21 13:20:14 2014 -0800

    Merge pull request #56 from infirit/master
    
    Fixes for building with gtk3

commit b6c5615c2ac8124dadd5cc968cb0669028c18222
Author: infirit <infirit@gmail.com>
Date:   Tue Jan 21 22:15:35 2014 +0100

    Use GTK_API_VERSION for g-ir-scanner instead of hardcoded version

 libdocument/Makefile.am | 4 ++--
 libview/Makefile.am     | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 692f171232509da0704a3d7a8f752306fb0c2323
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jan 21 22:14:51 2014 +0100

    Fix gdk_set_sm_client_id deprecation

 cut-n-paste/smclient/eggsmclient-xsmp.c | 4 ++++
 1 file changed, 4 insertions(+)

commit a91f08748537eab497b0b2350a66e5d65fcb9a36
Author: infirit <infirit@gmail.com>
Date:   Tue Jan 21 21:53:02 2014 +0100

    Remove unneeded gdconfig.h include

 cut-n-paste/smclient/eggsmclient-private.h | 1 -
 1 file changed, 1 deletion(-)

commit f31a46d1eb74e0fc260fea31aa73e08d12ddece3
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jan 21 19:59:22 2014 +0100

    Update copyright in about dialog

 shell/ev-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fe6eafd44e7664b942a13cb2ac0ced50e37b7481
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jan 21 19:41:01 2014 +0100

    libview: gdk_display_get_app_launch_context is available only in GTK3
    
    Add fix for GTK2

 libview/ev-print-operation.c | 5 +++++
 shell/ev-application.c       | 5 +++++
 2 files changed, 10 insertions(+)

commit 0deaac8188e7479967ca059fb59404e1aeac0dce
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jan 21 19:40:38 2014 +0100

    previewer: Fix g_thread_init deprecation

 previewer/ev-previewer.c | 2 ++
 1 file changed, 2 insertions(+)

commit 9339d8eb7ba80c8d97b2d960e64f8f59baac70a9
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jan 21 19:06:20 2014 +0100

    Sync translations with transifex

 po/LINGUAS        |    2 +
 po/af.po          | 1318 ++++++++++++++++++++---------------
 po/am.po          |  374 +++++-----
 po/ar.po          |  374 +++++-----
 po/as.po          | 1300 +++++++++++++++++-----------------
 po/ast.po         | 1143 +++++++++++++-----------------
 po/be.po          | 1733 ++++++++++++++++++++++++++--------------------
 po/bg.po          |  523 ++++++--------
 po/bn.po          | 1156 +++++++++++++------------------
 po/bn_IN.po       |  977 +++++++++++++-------------
 po/br.po          | 1163 +++++++++++++++++--------------
 po/ca.po          |  374 +++++-----
 po/ca@valencia.po | 1539 +++++++++++++---------------------------
 po/cmn.po         | 1601 ++++++++++++++++++++++++++++++++++++++++++
 po/cs.po          |  375 +++++-----
 po/cy.po          | 1922 +++++++++++++++++++++++++++++++-------------------
 po/da.po          |  909 +++++-------------------
 po/de.po          |  580 +++++-----------
 po/dz.po          | 2002 ++++++++++++++++++++++++++---------------------------
 po/el.po          |  536 ++++++--------
 po/en_AU.po       |  374 +++++-----
 po/en_CA.po       | 1618 ++++++++++++++++++++++++++-----------------
 po/en_GB.po       | 1111 +++++------------------------
 po/eo.po          |  974 +++++++++++++-------------
 po/es.po          |  622 +++++------------
 po/et.po          |  569 ++++++++++-----
 po/eu.po          |  512 ++++++--------
 po/fa.po          | 1916 +++++++++++++++++++++++++++++++-------------------
 po/fi.po          | 1091 +++++++++++++----------------
 po/fr.po          |  559 ++++++---------
 po/ga.po          | 1083 ++++++++++++++++-------------
 po/gl.po          |  373 +++++-----
 po/gu.po          |  636 +++++++----------
 po/he.po          |  456 +++++-------
 po/hi.po          | 1367 ++++++++++++++++++++----------------
 po/hr.po          | 1602 ++++++++++++++++++++++++++++++++++++++++++
 po/hu.po          |  529 ++++++--------
 po/id.po          |  512 ++++++--------
 po/it.po          |  541 ++++++---------
 po/ja.po          |  533 ++++++--------
 po/ka.po          | 1881 +++++++++++++++++++++++++++++--------------------
 po/kk.po          |  494 ++++++-------
 po/kn.po          |  904 ++++++++++++------------
 po/ko.po          |  374 +++++-----
 po/ks.po          | 1785 ++++++++++++++++++++++++++---------------------
 po/ku.po          | 1784 +++++++++++++++++++++++++++--------------------
 po/ky.po          |  374 +++++-----
 po/lt.po          |  573 +++++----------
 po/lv.po          | 1145 +++++++++++++-----------------
 po/mai.po         | 1280 +++++++++++++++++++---------------
 po/mg.po          | 1797 ++++++++++++++++++++++++++---------------------
 po/mk.po          | 1593 ++++++++++++++++++++++++------------------
 po/ml.po          |  965 +++++++++++++-------------
 po/mn.po          |  922 ++++++++++++------------
 po/mr.po          |  716 ++++++++-----------
 po/ms.po          |  372 +++++-----
 po/nb.po          |  462 +++++--------
 po/nds.po         | 1064 +++++++++++++++-------------
 po/ne.po          | 1722 ++++++++++++++++++++++++++-------------------
 po/nl.po          |  595 ++++++----------
 po/nn.po          |  822 +++++++---------------
 po/oc.po          | 1577 ++++++++++++++++++++++++-----------------
 po/or.po          |  925 +++++++++++++------------
 po/pa.po          |  705 +++++--------------
 po/pl.po          |  519 ++++++--------
 po/ps.po          | 1596 +++++++++++++++++++++++++-----------------
 po/pt.po          | 1243 ++++++++++-----------------------
 po/pt_BR.po       |  811 ++++++----------------
 po/ro.po          |  592 ++++++----------
 po/ru.po          |  379 +++++-----
 po/si.po          | 1615 ++++++++++++++++++++++++------------------
 po/sk.po          |  375 +++++-----
 po/sl.po          |  372 +++++-----
 po/sq.po          | 1576 ++++++++++++++++++++++++-----------------
 po/sr.po          |  893 +++++-------------------
 po/sr@latin.po    |  893 +++++-------------------
 po/sv.po          |  576 ++++++---------
 po/ta.po          |  531 +++++---------
 po/te.po          |  705 +++++++------------
 po/th.po          | 1352 ++++++++++--------------------------
 po/tr.po          | 1169 +++++++++++++++++--------------
 po/uk.po          |  373 +++++-----
 po/vi.po          | 1421 ++++++++++++++++++++-----------------
 po/wa.po          | 1820 ++++++++++++++++++++++++++++++++++++------------
 po/zh_CN.po       |  600 +++++-----------
 po/zh_HK.po       |  651 +++++------------
 po/zh_TW.po       |  374 +++++-----
 87 files changed, 40754 insertions(+), 41392 deletions(-)

commit 50c11e33d0bfd292f121af9dc2e77027dc0616c8
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jan 21 17:12:35 2014 +0100

    Bump version to 1.7.0

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e4540e7be4b396c8b1bb34157c105e172ccdf0a1
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jan 21 17:11:27 2014 +0100

    shell: Add GTK3 support

 shell/eggfindbar.c                      |  3 ++
 shell/ev-annotation-properties-dialog.c | 30 ++++++++-------
 shell/ev-application.c                  | 66 ++++++++++++++++-----------------
 shell/ev-convert-metadata.c             |  4 ++
 shell/ev-password-view.c                |  2 +
 shell/ev-properties-dialog.c            |  2 +
 shell/ev-sidebar-attachments.c          | 16 ++++++++
 shell/ev-sidebar-thumbnails.c           |  2 -
 shell/ev-sidebar.c                      | 24 ++++++++++--
 shell/ev-window.c                       |  2 +
 shell/main.c                            | 22 ++++++-----
 11 files changed, 109 insertions(+), 64 deletions(-)

commit 75173c8f5ebdac9a095a466af602d6b07324029f
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jan 21 17:10:42 2014 +0100

    libview: Add GTK3 support

 libview/ev-annotation-window.c |   2 +
 libview/ev-loading-window.c    |  18 ++
 libview/ev-print-operation.c   |  33 ++--
 libview/ev-view-presentation.c |  98 ++++++++++-
 libview/ev-view-private.h      |   6 +
 libview/ev-view.c              | 362 +++++++++++++++++++++++++++++++++++++----
 6 files changed, 467 insertions(+), 52 deletions(-)

commit 5109344eba11c4da9d10970dabe8aa159c6596c3
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jan 21 17:09:23 2014 +0100

    configure: Bump minimum versions

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit e5a6eba4eba695c8d77e2ab904622bd1cdc13798
Merge: 26539f8 f0f3b39
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Jan 6 02:48:17 2014 -0800

    Merge pull request #55 from infirit/master
    
    Add  to ACLOCAL_AMFLAGS for user added flags

commit f0f3b3945b0cb10d8191e9768789bf91d5bd7320
Author: infirit <infirit@gmail.com>
Date:   Sun Jan 5 14:02:01 2014 +0100

    Add  to ACLOCAL_AMFLAGS for user added flags

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 720c6210471b2d988ab4c3bdcaaf085fd14c9656
Author: oz123 <nahumoz@gmail.com>
Date:   Wed Nov 27 10:32:07 2013 +0100

    Fixed icons
    
    The icons had the correct name, however with the
    wrong content

 data/icons/16x16/apps/atril.png | Bin 840 -> 985 bytes
 data/icons/22x22/apps/atril.png | Bin 1209 -> 1608 bytes
 data/icons/24x24/apps/atril.png | Bin 1226 -> 1620 bytes
 3 files changed, 0 insertions(+), 0 deletions(-)

commit 26539f8fe1c8bae5ef5da24e63be027a046068c1
Merge: b53d6fc 7148541
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Nov 20 03:51:16 2013 -0800

    Merge pull request #51 from infirit/master
    
    Update MATE_ICON_THEME_REQUIRED variable and use it

commit 71485414d4893d70673e839d15bc4a6a06e449e5
Author: infirit <infirit@gmail.com>
Date:   Wed Nov 20 11:47:59 2013 +0100

    Update MATE_ICON_THEME_REQUIRED variable and use it

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b53d6fc64567da3ce6d5f6621725097b22d6220c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Nov 14 14:41:50 2013 +0100

    Update README

 README | 6 ++++++
 1 file changed, 6 insertions(+)

commit c410f418468bf2243dee0f9dc4e7d6afe2c15214
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Oct 28 14:22:32 2013 +0100

    cut-n-paste: Fix GTK3 support

 .../gimpcellrenderertoggle.c                       | 43 +++++++++++-
 cut-n-paste/totem-screensaver/totem-scrsaver.c     | 78 ++++++++++++++++++++++
 2 files changed, 118 insertions(+), 3 deletions(-)

commit 77f2067c45758e676af17098ee180a6696321cef
Merge: 1f6a746 e98bac2
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Oct 20 14:31:32 2013 -0700

    Merge pull request #46 from infirit/master
    
    One filename is longer than 99 characters, use tar-ustar

commit e98bac279352b106ff499a5382599b3cfbaa5eb2
Author: infirit <infirit@gmail.com>
Date:   Sun Oct 20 21:12:11 2013 +0200

    One filename is longer than 99 characters, use tar-ustar

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1f6a746cc6d6ddb30e66bd2017269f56bcfed831
Merge: 8bc2418 764d5de
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Oct 17 15:42:14 2013 -0700

    Merge pull request #43 from NiceandGently/master
    
    rename to atril

commit 764d5de8530a2884e249b3277428d8466358dd05
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Oct 17 23:49:36 2013 +0200

    rename to atril

 README     | 2 +-
 autogen.sh | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 8bc24183da70ec1f57f7671066842e97314a0bf2
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Oct 17 21:39:13 2013 +0200

    Package name is atril

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 832050631e24923e094d9036791fac820740da1b
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Oct 13 20:43:19 2013 +0200

    Sync translations with transifex

 po/am.po    |  134 ++---
 po/ar.po    |  624 ++++++++-------------
 po/ca.po    | 1480 ++++++++++++++++----------------------------------
 po/cs.po    |  826 ++++++++++++++++------------
 po/gl.po    |  534 ++++++++----------
 po/ko.po    |  341 +++++-------
 po/ky.po    |   97 ++--
 po/ms.po    | 1545 ++++++++++++++++++++++++++--------------------------
 po/sk.po    | 1747 +++++++++++++++++++++++++++++++++++------------------------
 po/sl.po    |  668 ++++++++++-------------
 po/uk.po    |  844 ++++++++++++++++-------------
 po/zh_TW.po |  641 +++++++---------------
 12 files changed, 4395 insertions(+), 5086 deletions(-)

commit 3c4c6984707c72ecf8b8aed32b09a6740820499d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Oct 13 20:39:35 2013 +0200

    Enable case sensitive search button
    
    It was available in the previous evince code, but not shown and not working.
    
    This commit fixes the button, but case sensitive search need to be fixed in
    the varios backends.
    
    See #41
    https://github.com/mate-desktop/mate-document-viewer/issues/41

 shell/eggfindbar.c | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit a9f22e7728dd730cf7ca82dd1c7421194262ccfb
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Oct 11 22:39:29 2013 +0200

    Check if handler_id is connected before disconnect
    
    Closes #40
    https://github.com/mate-desktop/mate-document-viewer/issues/40

 libmisc/ev-page-action-widget.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 0b09a2e549f95217402f25318ea1cd25b3d91f8d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Sep 26 14:36:34 2013 +0200

    Remove unused distro folder

 distro/archlinux/PKGBUILD                     | 55 ---------------------------
 distro/archlinux/mate-document-viewer.install | 30 ---------------
 2 files changed, 85 deletions(-)

commit 64c72e1aba8fc32b8ecfda563e83f5a41a7d27c4
Merge: 05dcc33 a8b9cc1
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Sep 5 02:08:21 2013 -0700

    Merge pull request #32 from infirit/master
    
    Add check for zlib and add to linker

commit a8b9cc1a18765d7ebca5c963410edf0e2eff5399
Author: infirit <infirit@gmail.com>
Date:   Sat Aug 10 14:43:17 2013 +0200

    Add check for zlib and add to linker
    
    Should solve https://bugs.gentoo.org/show_bug.cgi?id=480464 and
    https://github.com/Sabayon/mate-overlay/issues/46

 configure.ac            | 14 ++++++++++++++
 libdocument/Makefile.am |  3 ++-
 2 files changed, 16 insertions(+), 1 deletion(-)

commit 05dcc3342e422a06cabe469ddde878e726c483a3
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Aug 3 18:36:17 2013 +0200

    shell: Use yelp documentation instead of static html

 shell/ev-window.c | 13 +------------
 1 file changed, 1 insertion(+), 12 deletions(-)

commit 101cf74f0145c0e7f6f7e0425e876709685d291f
Merge: f20f73d 23cda76
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Aug 3 09:33:08 2013 -0700

    Merge pull request #31 from infirit/yelptools
    
    Use yelp-tools instead of mate-doc-utils

commit 23cda761783a9c9cf0732ab00c1151431537c225
Author: infirit <infirit@gmail.com>
Date:   Fri Aug 2 20:38:42 2013 +0200

    Fix typo in configure.ac

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ad1296ba4298f970ecfad5a7286d4ca7ab4031af
Author: infirit <infirit@gmail.com>
Date:   Fri Aug 2 20:35:48 2013 +0200

    Use yelp-tools instead of mate-doc-utils

 Makefile.am          |   4 +-
 autogen.sh           |   7 +-
 configure.ac         |  25 +-
 help/C/atril.xml     | 774 ---------------------------------------------------
 help/C/index.docbook | 774 +++++++++++++++++++++++++++++++++++++++++++++++++++
 help/C/legal.xml     |   2 +-
 help/Makefile.am     |  16 +-
 help/bg/bg.po        |   8 +-
 help/ca/ca.po        |   8 +-
 help/cs/cs.po        |   8 +-
 help/de/de.po        |   8 +-
 help/el/el.po        |   8 +-
 help/en_GB/en_GB.po  |   8 +-
 help/es/es.po        |   8 +-
 help/eu/eu.po        |   8 +-
 help/fi/fi.po        |   8 +-
 help/fr/fr.po        |   8 +-
 help/it/it.po        |   8 +-
 help/ja/ja.po        |   8 +-
 help/nl/nl.po        |   8 +-
 help/oc/oc.po        |   4 +-
 help/pt_BR/pt_BR.po  |   6 +-
 help/ru/ru.po        |   8 +-
 help/sl/sl.po        |   8 +-
 help/sr/sr.po        |   8 +-
 help/sv/sv.po        |   8 +-
 help/uk/uk.po        |   8 +-
 help/vi/vi.po        |   8 +-
 help/zh_CN/zh_CN.po  |   8 +-
 shell/ev-window.c    |   2 +-
 30 files changed, 874 insertions(+), 900 deletions(-)

commit f20f73d80569c1503da53ccc16f18476d572afee
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Aug 2 01:30:41 2013 +0200

    Move Atril to Office section in menu
    
    Thanks to gapan
    Closes #29
    https://github.com/mate-desktop/mate-document-viewer/issues/29

 data/atril.desktop.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5b333c09f2de21e55c0b32eb303526cb30f7927f
Merge: 7c34472 d92405a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Aug 2 00:56:12 2013 +0200

    Merge branch 'dev-libsecret'

commit 7c344728b1186266be690616ffb7e9c65df495af
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Aug 2 00:52:05 2013 +0200

    Bump version to 1.6.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d92405a6604531f757de8b13acb43f5a49fe63c9
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jun 26 11:53:46 2013 +0200

    Use mate.Atril in SecretSchema

 shell/ev-keyring.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 700ab8de5c9498a3211688eeef93e3e2cded1900
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jun 26 11:51:04 2013 +0200

    Drop libmatekeyring and use libsecret
    
    From https://git.gnome.org/browse/evince/commit/?id=8022b6b

 configure.ac       | 12 +++++-----
 shell/ev-keyring.c | 68 +++++++++++++++++++++---------------------------------
 2 files changed, 32 insertions(+), 48 deletions(-)

commit 8d97ce39f0dc6254baa24513d57894eb1bff7493
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu May 9 14:46:07 2013 +0200

    Use mate-document-viewer as app name

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 20825b08acb0fffd365b8f2318f57343d5140fde
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu May 9 14:19:40 2013 +0200

    Fixes for make dist

 Makefile.am                                        |  37 +-
 configure.ac                                       |   4 +-
 help/Makefile.am                                   |   9 -
 .../libdocument/libatrildocument-docs.xml          | 191 +++++
 .../libdocument/libatrildocument-overrides.txt     |   0
 .../libdocument/libatrildocument-sections.txt      | 781 +++++++++++++++++++++
 help/reference/libdocument/libatrildocument.types  |  55 ++
 help/reference/libdocument/libevdocument-docs.xml  | 191 -----
 .../libdocument/libevdocument-overrides.txt        |   0
 .../libdocument/libevdocument-sections.txt         | 781 ---------------------
 help/reference/libdocument/libevdocument.types     |  55 --
 help/reference/libview/libatrilview-docs.xml       | 145 ++++
 help/reference/libview/libatrilview-overrides.txt  |   0
 help/reference/libview/libatrilview-sections.txt   | 338 +++++++++
 help/reference/libview/libatrilview.types          |  29 +
 help/reference/libview/libevview-docs.xml          | 145 ----
 help/reference/libview/libevview-overrides.txt     |   0
 help/reference/libview/libevview-sections.txt      | 338 ---------
 help/reference/libview/libevview.types             |  29 -
 po/POTFILES.in                                     |   5 -
 20 files changed, 1556 insertions(+), 1577 deletions(-)

commit 445aa5e62290e3532e881fe58dc8a1f536eb41da
Author: Perberos <perberos@gmail.com>
Date:   Fri May 3 12:14:47 2013 -0300

    better sort on filename images for comic book archives
    
    This should fix the issue with files 1.jpg ... 10.jpg

 backend/comics/comics-document.c | 38 +++++++++++++++++++++++++++++++++++++-
 1 file changed, 37 insertions(+), 1 deletion(-)

commit 2f51974845f64d15748af035287694176e66adb3
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Apr 27 21:00:05 2013 +0200

    previewer: Add manpage
    
    Closes #24 (https://github.com/mate-desktop/mate-document-viewer/issues/24)

 previewer/Makefile.am       |  3 +++
 previewer/atril-previewer.1 | 16 ++++++++++++++++
 2 files changed, 19 insertions(+)

commit 8f2849a87119c06fc997b62c6f375d0e2c5896f2
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Apr 27 20:41:17 2013 +0200

    thumbnailer: Add manpage

 thumbnailer/Makefile.am         |  5 ++++-
 thumbnailer/atril-thumbnailer.1 | 18 ++++++++++++++++++
 2 files changed, 22 insertions(+), 1 deletion(-)

commit 0ccbc83f09c65cdb252c63ee110bac7e91f4c7bd
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Apr 27 20:33:21 2013 +0200

    Remove broken impress backend

 backend/Makefile.am                              |    4 -
 backend/impress/Makefile.am                      |   57 -
 backend/impress/common.h                         |   40 -
 backend/impress/document.c                       |  140 --
 backend/impress/f_oasis.c                        |  170 --
 backend/impress/f_oo13.c                         |  181 ---
 backend/impress/iksemel.c                        | 1882 ----------------------
 backend/impress/iksemel.h                        |  402 -----
 backend/impress/imposter.h                       |   84 -
 backend/impress/impress-document.c               |  548 -------
 backend/impress/impress-document.h               |   39 -
 backend/impress/impressdocument.atril-backend.in |    4 -
 backend/impress/internal.h                       |   85 -
 backend/impress/r_back.c                         |   46 -
 backend/impress/r_draw.c                         |  120 --
 backend/impress/r_geometry.c                     |  208 ---
 backend/impress/r_gradient.c                     |  387 -----
 backend/impress/r_style.c                        |  111 --
 backend/impress/r_text.c                         |  386 -----
 backend/impress/render.c                         |   54 -
 backend/impress/zip.c                            |  349 ----
 backend/impress/zip.h                            |   18 -
 configure.ac                                     |   20 -
 po/POTFILES.in                                   |    3 -
 24 files changed, 5338 deletions(-)

commit 360c4652feef85e15c936d9da9d3c49b081cd502
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Jun 26 11:00:30 2011 +0000

    thumbnailer: limit thumbnailing time to 15 seconds by default
    
    The limit can be disabled with no-limit command line option.
    
    Fixes bug #651655.

 thumbnailer/atril-thumbnailer.c | 44 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

commit 818c7bfe6a4a177a42bc29ae1f96dd19330b379c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Apr 1 13:38:45 2013 +0200

    Fix documentation build

 help/reference/shell/atril-docs.xml | 1 -
 1 file changed, 1 deletion(-)

commit 69d0baa76c68f95212eb876cae691c623eacd966
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Apr 1 11:47:05 2013 +0200

    Bump version to 1.6.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ccf728159d29b70de7a89a12a4bac9c83998f708
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Apr 1 11:46:40 2013 +0200

    Sync translations with transifex

 po/LINGUAS  |    3 +
 po/am.po    | 1660 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/en_AU.po | 1660 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ky.po    | 1658 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ru.po    |  389 +++++++-------
 5 files changed, 5169 insertions(+), 201 deletions(-)

commit 0327df0661d8633740288dd5aa928417bd025398
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Apr 1 11:45:28 2013 +0200

    Add transifex configuration file

 .tx/config | 7 +++++++
 1 file changed, 7 insertions(+)

commit 45fa26d6e1e968ac4e5058aefd66e0bc24c13472
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Apr 1 11:44:32 2013 +0200

    Add empty ChangeLog to allow build from git

 ChangeLog | 2 ++
 1 file changed, 2 insertions(+)

commit 7d703bce0c02ed09db73e9e7abac02bcdf72d60c
Merge: d16dd1d b5cb730
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Mar 21 11:11:08 2013 -0700

    Merge pull request #21 from NiceandGently/master
    
    update make files for autoconf 1.13

commit b5cb7302e57e2c96763b164125989c140a6a8391
Author: raveit <chat-to-me@raveit.de>
Date:   Thu Mar 21 18:24:25 2013 +0100

    Update make files for autoconf 1.13

 backend/comics/Makefile.am       | 2 +-
 backend/djvu/Makefile.am         | 2 +-
 backend/dvi/Makefile.am          | 2 +-
 backend/dvi/mdvi-lib/Makefile.am | 2 +-
 backend/impress/Makefile.am      | 2 +-
 backend/pdf/Makefile.am          | 2 +-
 backend/pixbuf/Makefile.am       | 2 +-
 backend/ps/Makefile.am           | 2 +-
 backend/tiff/Makefile.am         | 2 +-
 backend/xps/Makefile.am          | 2 +-
 properties/Makefile.am           | 2 +-
 shell/Makefile.am                | 2 +-
 12 files changed, 12 insertions(+), 12 deletions(-)

commit d16dd1d606955a80753d571385487ff73f8dc771
Merge: f52e49b 5d0ca53
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Mar 17 07:05:07 2013 -0700

    Merge pull request #20 from NiceandGently/master
    
    fix desktop file

commit 5d0ca5308229ffb05a3c75506ab44f50ede85073
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Mar 17 14:55:01 2013 +0100

    Update atril.desktop.in.in

 data/atril.desktop.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f2ef1756b6ca22c1923eee627396e02de3b27f28
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Mar 17 14:52:11 2013 +0100

    Update atril.desktop.in.in

 data/atril.desktop.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0d29876c1837c5dd8770848b8a99cf012e637e6f
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Mar 17 14:30:06 2013 +0100

    Update atril.desktop.in.in
    
    choose a unique name
    remove category MATE

 data/atril.desktop.in.in | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit f52e49b32ebf2bed8b984c5511735880a9030aae
Author: Marcel Dijkstra <marcel.dykstra@gmail.com>
Date:   Thu Jan 17 19:51:56 2013 +0000

    AC_CONFIG_HEADERS to please automake 1.13

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit ae657537cc1d144facb65cecfb3fe3d060fef3ec
Merge: 4a00ce5 59ad20e
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Nov 22 08:28:24 2012 -0800

    Merge pull request #16 from bhull2010/master
    
    Fix evince -> atril in configure

commit 59ad20ebfca7d4c74febc3d59e78f899cefbc814
Author: Brent Hull <bhull2010@live.com>
Date:   Thu Nov 22 11:13:43 2012 -0500

    Fix leftover evince -> atril in configure

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4a00ce5444b2f7dea35625e1396550a90b030288
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Nov 14 17:49:58 2012 +0100

    migrate lockdown stuff to gsettings

 configure.ac      | 34 ++---------------------------
 shell/ev-window.c | 65 ++++++++++++++++++-------------------------------------
 2 files changed, 23 insertions(+), 76 deletions(-)

commit 86c19c7171c6e0d94d411a94d5272149830eb880
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Nov 14 16:50:57 2012 +0100

    thumbnailer: remove mateconf schemas

 thumbnailer/Makefile.am                         |  53 --------
 thumbnailer/atril-thumbnailer-comics.schemas.in | 106 ----------------
 thumbnailer/atril-thumbnailer-djvu.schemas.in   |  30 -----
 thumbnailer/atril-thumbnailer-dvi.schemas.in    |  83 -------------
 thumbnailer/atril-thumbnailer-ps.schemas.in     | 154 ------------------------
 thumbnailer/atril-thumbnailer-xps.schemas.in    |  30 -----
 thumbnailer/atril-thumbnailer.schemas.in        |  80 ------------
 7 files changed, 536 deletions(-)

commit a3e366350fcae5c103fb55e5452ae73f33e5c1cc
Merge: 959919c f46a8aa
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Nov 3 06:36:29 2012 -0700

    Merge pull request #14 from NiceandGently/master
    
    change atril api version to 1.5.0

commit f46a8aa4fff6f1b17f06cafbe797f85c8972b6cd
Author: raveit <chat-to-me@raveit.de>
Date:   Sat Nov 3 14:04:11 2012 +0100

    update ev api version to 1.5.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 959919c7e0e6f44165ea854ef8b8f43794ef1640
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Tue Oct 9 11:14:35 2012 -0400

    Fixed incorrect fsf addresses. Closes #12.

 shell/ev-annotation-properties-dialog.c | 2 +-
 shell/ev-annotation-properties-dialog.h | 2 +-
 shell/ev-sidebar-annotations.c          | 2 +-
 shell/ev-sidebar-annotations.h          | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 4af423c4e4fc090ca0e4b82135a5b83b54dfb01e
Merge: 6d53504 0d2bdb0
Author: Perberos <perberos@gmail.com>
Date:   Thu Sep 20 07:23:33 2012 -0700

    Merge pull request #10 from oz123/markdown-docu
    
    Markdown docu

commit 0d2bdb04daef31a71db82186081fe4aa6439429a
Author: oz123 <nahumoz@gmail.com>
Date:   Tue Sep 18 22:26:18 2012 +0200

    replace call to g:help with path to html docu

 shell/ev-window.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 1143e9a2f499d311c9bf1a1d8b1a7358b10ac276
Merge: 5e11560 65518d8
Author: oz123 <nahumoz@gmail.com>
Date:   Tue Sep 18 21:40:28 2012 +0200

    Merge branch 'markdown-docu' of https://github.com/oz123/mate-document-viewer into markdown-docu

commit 5e11560f021d3737e3aacad7d17228c8954a3732
Author: oz123 <nahumoz@gmail.com>
Date:   Tue Sep 18 21:37:54 2012 +0200

    update screenshot

 help/C/figures/atril_start_window.png | Bin 17271 -> 16722 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 65518d8e5f56027921f70fcfcf48c91f5a956cfe
Author: oz123 <nahumoz@gmail.com>
Date:   Tue Sep 18 21:12:42 2012 +0200

    - add html file
    - add markdown
    - modify Makefile.am to specify install path of the html file

 help/C/atril.html | 493 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 help/C/atril.md   | 388 ++++++++++++++++++++++++++++++++++++++++++
 help/C/readme.txt |   4 +
 help/Makefile.am  |   9 +
 4 files changed, 894 insertions(+)

commit 731ac050864297aa3898add8734f103bdec81e5e
Author: oz123 <nahumoz@gmail.com>
Date:   Tue Sep 18 15:58:31 2012 +0200

    install atril.html to the right place

 help/Makefile.am | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 7c267ead0f5dd8fa572f3f7429fdcfc31093379c
Author: oz123 <nahumoz@gmail.com>
Date:   Tue Sep 18 14:08:27 2012 +0200

    - convert xml to markdown
    - convert the markdown to html
    - add css from geany's own documentation

 help/C/atril.html | 493 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 help/C/atril.md   | 388 ++++++++++++++++++++++++++++++++++++++++++
 help/C/readme.txt |   4 +
 3 files changed, 885 insertions(+)

commit 6d53504e6a55dc755b425ca26ef374c04973f9f6
Merge: 0cee638 763861d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Sep 4 06:48:36 2012 -0700

    Merge pull request #9 from NiceandGently/master
    
    add thumbnailer file

commit 763861dfa48f1d8a742e6517d8c90c45d01bce5d
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Tue Sep 4 16:27:41 2012 +0300

    fix thumbnailer make file

 thumbnailer/Makefile.am | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit b2a345f79c5adcc43efa37c980a6654f7e0135b4
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Sep 4 15:13:28 2012 +0200

    add thumbnailer file

 thumbnailer/Makefile.am          | 16 ++++++++++++++--
 thumbnailer/atril.thumbnailer.in |  6 ++++++
 2 files changed, 20 insertions(+), 2 deletions(-)

commit 0cee6386acad57fdafb374fb389bc80fcf7e8546
Author: Perberos <perberos@gmail.com>
Date:   Mon Sep 3 20:12:09 2012 -0300

    adding thumbnail support for xps backend

 backend/xps/xps-document.c                   | 56 ++++++++++++++++++++++++++++
 backend/xps/xps-document.h                   |  2 +-
 thumbnailer/Makefile.am                      |  5 +++
 thumbnailer/atril-thumbnailer-xps.schemas.in | 30 +++++++++++++++
 4 files changed, 92 insertions(+), 1 deletion(-)

commit 4a8dcdbda9863e1bfdab874487696152599aaea5
Author: Perberos <perberos@gmail.com>
Date:   Mon Sep 3 14:21:08 2012 -0300

    adding icons sent by Leandro Vital

 data/atril.ico                     | Bin 24998 -> 24998 bytes
 data/icons/48x48/apps/atril.png    | Bin 3314 -> 3267 bytes
 data/icons/scalable/apps/atril.svg |  73 ++++++++++++++-----------------------
 3 files changed, 28 insertions(+), 45 deletions(-)

commit a02a4384ba1adb89edda9637a249331926c2dd3c
Author: Perberos <perberos@gmail.com>
Date:   Sun Sep 2 20:35:23 2012 -0300

    fixing path in archlinux script build and adding libgxps to depends array

 distro/archlinux/PKGBUILD | 68 ++++++++++++++++++++++++-----------------------
 1 file changed, 35 insertions(+), 33 deletions(-)

commit 5ad91699940909223c167ef40de03e9a55a5a9c3
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Sep 3 00:00:52 2012 +0200

    add xps backend
    xps backend is from evince
    ported to MATE by Leandro Vital

 backend/Makefile.am                      |   4 +
 backend/xps/Makefile.am                  |  31 ++
 backend/xps/xps-document.c               | 505 +++++++++++++++++++++++++++++++
 backend/xps/xps-document.h               |  45 +++
 backend/xps/xpsdocument.atril-backend.in |   5 +
 configure.ac                             |  31 +-
 libdocument/ev-document-links.c          |  14 +
 libdocument/ev-document-links.h          |   4 +
 8 files changed, 638 insertions(+), 1 deletion(-)

commit 25807110e3f2ba838e2105664922e39a68fc6e30
Merge: e4216b1 2ba4ecf
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Aug 20 02:14:53 2012 -0700

    Merge pull request #7 from steev/master
    
    Build fixes for glib 2.32

commit 2ba4ecfb8113e2d22c47d401eef2a231cb1c7648
Author: Steev Klimaszewski <steev@gentoo.org>
Date:   Sun Aug 19 05:22:58 2012 -0500

    Add gmodule check for libdocument
    
    With glib 2.32 gmodule libraries have to be speficied to be linked.  This is most noticable with the gold linker.
    
    Signed-off-by: Steev Klimaszewski <steev@gentoo.org>

 configure.ac            | 1 +
 libdocument/Makefile.am | 1 +
 2 files changed, 2 insertions(+)

commit efc5777e49c0c80c744c48b1334c9c16f9f264a6
Author: Steev Klimaszewski <steev@gentoo.org>
Date:   Sun Aug 19 03:58:15 2012 -0500

    Add search for hypot
    
    When linking with gold, link fails because hypot isn't found.
    
    Signed-off-by: Steev Klimaszewski <steev@gentoo.org>

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit e4216b1ba5815112de48eb6f9a4bcdafd76d30aa
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Wed Jul 11 12:54:18 2012 -0400

    Preparing for 1.4 release.

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d909437c9e0673b1e1cd1aa1fd0c6c2432e429b9
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jul 10 23:31:11 2012 +0200

    add po gnome copyrights file

 po/gnome-copyrights.txt | 1056 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1056 insertions(+)

commit 19600161b9fb00b5164ca5f0e8337b970f40ea0d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Apr 5 23:04:48 2012 +0300

    show atril in menu

 data/atril.desktop.in.in | 1 -
 1 file changed, 1 deletion(-)

commit 834cab785f7801fcefac6554c3bd9ec84c85d4a3
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Mar 15 11:29:25 2012 +0100

    release 1.2.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0dde5ca763122a3cfb88eb8590a7d21d3f8c300a
Merge: 50365d7 3500923
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Mar 15 11:28:36 2012 +0100

    Merge branch 'master' of github.com:mate-desktop/mate-document-viewer

commit 3500923a2476c4211b43156415ddd7557273fb95
Author: Perberos <perberos@gmail.com>
Date:   Wed Mar 14 17:15:17 2012 -0300

    /usr/bin/ld: note: 'IceConnectionNumber' is defined in DSO /usr/lib/libICE.so.6 so try adding it to the linker command line (https://github.com/mate-desktop/mate-document-viewer/issues/3)

 cut-n-paste/smclient/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 50365d78b14592dbcc060e56a989c4455c6987c9
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Mar 7 16:43:33 2012 +0100

    update for MATE 1.2

 MAINTAINERS  | 11 -----------
 README       |  6 ++++--
 autogen.sh   |  4 ++--
 configure.ac |  4 ++--
 4 files changed, 8 insertions(+), 17 deletions(-)

commit 7a506b7325e98150fe1b1e1ac8b1d51050f1ad71
Author: Perberos <perberos@gmail.com>
Date:   Mon Jan 30 13:30:08 2012 -0300

    g_get_user_config_dir() would be better (https://github.com/mate-desktop/mate-panel/issues/8)

 shell/ev-application.c | 18 +++++++++++++++---
 shell/ev-daemon.c      |  9 +++++----
 2 files changed, 20 insertions(+), 7 deletions(-)

commit 73be26c77e98c4f6c19b040230b83b8144d0a70b
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Mon Jan 9 22:24:16 2012 -0500

    Changed mate.gr.jp to gnome.gr.jp as requested in Issue #86

 po/ChangeLog | 432 +++++++++++++++++++++++++++++------------------------------
 po/ja.po     |   2 +-
 2 files changed, 217 insertions(+), 217 deletions(-)

commit b92e6509de88df69974e053f3ad5c1c88f0fb499
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Dec 23 22:26:00 2011 +0100

    updated version to 1.1.1, fixed about window

 configure.ac              | 2 +-
 distro/archlinux/PKGBUILD | 2 +-
 shell/ev-window.c         | 7 +++++--
 3 files changed, 7 insertions(+), 4 deletions(-)

commit 07079b52712765a5e54f55e4c5e5fa8ab1723a15
Author: Perberos <perberos@gmail.com>
Date:   Thu Dec 22 21:27:17 2011 -0200

    sometimes info->linearized is not a string

 properties/ev-properties-view.c | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

commit 8e56ff9a0cb8c2a8fc4b99d5dd3a622cedfa3234
Author: Perberos <perberos@gmail.com>
Date:   Thu Dec 22 21:25:19 2011 -0200

    crash on g_free the address 0 or 1

 libdocument/ev-document.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 6c87e85a5f09ebd63c719768312fe08572e3dbb5
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Dec 14 00:07:06 2011 +0100

    fixed mate-icon-theme dep version

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 631f286b498fa6abc69e377e20f6d80d302ba750
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Dec 13 22:51:12 2011 +0100

    updated version to 1.1.0

 AUTHORS                   | 2 ++
 configure.ac              | 8 ++++----
 distro/archlinux/PKGBUILD | 2 +-
 3 files changed, 7 insertions(+), 5 deletions(-)

commit 800fedde3f4dbec19246fd62711b2a39fdcdd6bb
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Fri Dec 2 21:06:03 2011 -0500

    Changed version to 2011.12.01

 configure.ac              | 4 ++--
 distro/archlinux/PKGBUILD | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit f6720ebfbcc631dbdd701cea4e3066ffe7bc586c
Author: Perberos <perberos@gmail.com>
Date:   Mon Nov 21 04:34:05 2011 -0300

    adding gschemas

 distro/archlinux/PKGBUILD                     | 6 +++++-
 distro/archlinux/mate-document-viewer.install | 2 ++
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 8d383177be2ca64f4b7dc2fccc3a243a4040df0d
Author: Perberos <perberos@gmail.com>
Date:   Mon Nov 21 03:50:20 2011 -0300

    update checksum on PKGBUILD

 distro/archlinux/PKGBUILD | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ce691afd9a4dce44991e80263cbd392cf513f48c
Author: Perberos <perberos@gmail.com>
Date:   Mon Nov 21 03:41:10 2011 -0300

    tag

 configure.ac                                  |    4 +-
 distro/archlinux/PKGBUILD                     |   18 +-
 distro/archlinux/mate-document-viewer.install |   20 +-
 m4/gtk-doc.m4                                 |   67 -
 m4/intltool.m4                                |  216 -
 m4/libtool.m4                                 | 7982 -------------------------
 m4/ltoptions.m4                               |  384 --
 m4/ltsugar.m4                                 |  123 -
 m4/ltversion.m4                               |   23 -
 m4/lt~obsolete.m4                             |   98 -
 m4/mate-doc-utils.m4                          |   56 -
 11 files changed, 23 insertions(+), 8968 deletions(-)

commit dbf946f89a287b5b930ce5618840e1902d04b800
Author: Perberos <perberos@gmail.com>
Date:   Wed Nov 9 21:54:09 2011 -0300

    removing hiden file

 config.h.in~ | 191 -----------------------------------------------------------
 1 file changed, 191 deletions(-)

commit 157ad4024d58f96920ff318c8bab3b397096116d
Author: Perberos <perberos@gmail.com>
Date:   Wed Nov 9 21:45:28 2011 -0300

    updating hash

 distro/archlinux/PKGBUILD | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 60f611c12b3df8cbcb4aa60c78807715b32b13a8
Author: Perberos <perberos@gmail.com>
Date:   Wed Nov 9 20:48:03 2011 -0300

    updating hash

 Makefile.am               |  6 +++---
 distro/archlinux/PKGBUILD | 44 +++++++++++++++++++++++++-------------------
 2 files changed, 28 insertions(+), 22 deletions(-)

commit d8734b92b73d86bcef29d2324801b760e11b2644
Author: Perberos <perberos@gmail.com>
Date:   Wed Nov 9 20:19:23 2011 -0300

    using ~/.config/ instead of ~/.mate2/

 shell/ev-application.c | 99 ++++++++++++++++++++++++++------------------------
 shell/ev-daemon.c      |  4 +-
 2 files changed, 53 insertions(+), 50 deletions(-)

commit 980203e0f17d7622f3698f76903d93c4e641e886
Author: Perberos <perberos@gmail.com>
Date:   Wed Nov 9 20:13:08 2011 -0300

    removing autgenerated files

 Makefile.am         | 157 ++++++++++++++++++++++++++--------------------------
 intltool-extract.in |   0
 intltool-merge.in   |   0
 intltool-update.in  |   0
 4 files changed, 80 insertions(+), 77 deletions(-)

commit 306be91f6d5612c8c96b1a4d3bc54a65e6d17891
Author: Perberos <perberos@gmail.com>
Date:   Wed Nov 9 20:06:39 2011 -0300

    updating autogen.sh

 autogen.sh | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 3ee37c6f98e4e15de3890892c8a3f3dfe3720463
Author: Perberos <perberos@gmail.com>
Date:   Wed Nov 9 20:06:12 2011 -0300

    updating configure.ac

 configure.ac | 321 ++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 161 insertions(+), 160 deletions(-)

commit 38691fa2523c9ed8155bc99258fb642d2bf2df67
Author: Perberos <perberos@gmail.com>
Date:   Wed Nov 9 20:00:27 2011 -0300

    updating readme

 README | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b48b6581d335ff95253b074d32b5d06995d54ae1
Author: Perberos <perberos@gmail.com>
Date:   Wed Nov 9 19:57:36 2011 -0300

    renaming libevdocument and libevview to prevent file conflicts

 atril-document.pc.in                   |  2 +-
 atril-view.pc.in                       |  2 +-
 backend/comics/Makefile.am             |  2 +-
 backend/djvu/Makefile.am               |  2 +-
 backend/dvi/Makefile.am                |  2 +-
 backend/impress/Makefile.am            |  2 +-
 backend/pdf/Makefile.am                |  2 +-
 backend/pixbuf/Makefile.am             |  2 +-
 backend/ps/Makefile.am                 |  2 +-
 backend/tiff/Makefile.am               |  2 +-
 help/reference/libdocument/Makefile.am |  4 ++--
 help/reference/libview/Makefile.am     |  6 +++---
 help/reference/shell/Makefile.am       |  4 ++--
 libdocument/Makefile.am                | 16 ++++++++--------
 libmisc/Makefile.am                    |  4 ++--
 libview/Makefile.am                    | 18 +++++++++---------
 previewer/Makefile.am                  |  4 ++--
 properties/Makefile.am                 |  2 +-
 shell/Makefile.am                      |  4 ++--
 thumbnailer/Makefile.am                |  6 +++---
 20 files changed, 44 insertions(+), 44 deletions(-)

commit da7bb154d27d3b872867223a5df60df8f5fb6e7d
Author: Perberos <perberos@gmail.com>
Date:   Wed Nov 9 18:44:56 2011 -0300

    renaming evince to atril

 Makefile.am                                       |  10 +-
 NEWS                                              | 204 +++---
 README                                            |  12 +-
 TODO                                              |   2 +-
 atril-document.h                                  |  62 ++
 atril-document.pc.in                              |  12 +
 atril-view.h                                      |  34 +
 atril-view.pc.in                                  |  11 +
 autogen.sh                                        |   2 +-
 backend/backend.symbols                           |   2 +-
 backend/comics/Makefile.am                        |   8 +-
 backend/comics/comics-document.c                  |   2 +-
 backend/comics/comics-document.h                  |   2 +-
 backend/comics/comicsdocument.atril-backend.in    |   4 +
 backend/comics/comicsdocument.evince-backend.in   |   4 -
 backend/djvu/Makefile.am                          |   8 +-
 backend/djvu/djvu-document.c                      |   2 +-
 backend/djvu/djvu-document.h                      |   2 +-
 backend/djvu/djvu-links.c                         |   4 +-
 backend/djvu/djvudocument.atril-backend.in        |   4 +
 backend/djvu/djvudocument.evince-backend.in       |   4 -
 backend/dvi/Makefile.am                           |   8 +-
 backend/dvi/dvi-document.c                        |   2 +-
 backend/dvi/dvi-document.h                        |   2 +-
 backend/dvi/dvidocument.atril-backend.in          |   4 +
 backend/dvi/dvidocument.evince-backend.in         |   4 -
 backend/impress/Makefile.am                       |  10 +-
 backend/impress/impress-document.h                |   2 +-
 backend/impress/impressdocument.atril-backend.in  |   4 +
 backend/impress/impressdocument.evince-backend.in |   4 -
 backend/pdf/Makefile.am                           |   8 +-
 backend/pdf/ev-poppler.cc                         |   8 +-
 backend/pdf/ev-poppler.h                          |   2 +-
 backend/pdf/pdfdocument.atril-backend.in          |   6 +
 backend/pdf/pdfdocument.evince-backend.in         |   6 -
 backend/pixbuf/Makefile.am                        |   8 +-
 backend/pixbuf/pixbuf-document.h                  |   2 +-
 backend/pixbuf/pixbufdocument.atril-backend.in    |   4 +
 backend/pixbuf/pixbufdocument.evince-backend.in   |   4 -
 backend/ps/Makefile.am                            |   8 +-
 backend/ps/ev-spectre.c                           |   6 +-
 backend/ps/ev-spectre.h                           |   2 +-
 backend/ps/psdocument.atril-backend.in            |   5 +
 backend/ps/psdocument.evince-backend.in           |   5 -
 backend/tiff/Makefile.am                          |   8 +-
 backend/tiff/tiff-document.h                      |   2 +-
 backend/tiff/tiff2ps.c                            |   4 +-
 backend/tiff/tiffdocument.atril-backend.in        |   4 +
 backend/tiff/tiffdocument.evince-backend.in       |   4 -
 configure.ac                                      |  52 +-
 cut-n-paste/zoom-control/ephy-zoom-action.c       |   2 +-
 cut-n-paste/zoom-control/ephy-zoom-control.c      |   2 +-
 cut-n-paste/zoom-control/ephy-zoom.h              |   2 +-
 data/Makefile.am                                  |  22 +-
 data/atril-previewer-ui.xml                       |  34 +
 data/atril-toolbar.xml                            |  39 ++
 data/atril-ui.xml                                 | 138 ++++
 data/atril.1                                      |  41 ++
 data/atril.convert                                |   2 +
 data/atril.desktop.in.in                          |  17 +
 data/atril.ico                                    | Bin 0 -> 24998 bytes
 data/evince-previewer-ui.xml                      |  34 -
 data/evince-toolbar.xml                           |  39 --
 data/evince-ui.xml                                | 138 ----
 data/evince.1                                     |  41 --
 data/evince.convert                               |   2 -
 data/evince.desktop.in.in                         |  17 -
 data/evince.ico                                   | Bin 24998 -> 0 bytes
 data/icons/16x16/apps/Makefile.am                 |   2 +-
 data/icons/16x16/apps/atril.png                   | Bin 0 -> 840 bytes
 data/icons/16x16/apps/evince.png                  | Bin 840 -> 0 bytes
 data/icons/22x22/apps/Makefile.am                 |   2 +-
 data/icons/22x22/apps/atril.png                   | Bin 0 -> 1209 bytes
 data/icons/22x22/apps/evince.png                  | Bin 1209 -> 0 bytes
 data/icons/24x24/apps/Makefile.am                 |   2 +-
 data/icons/24x24/apps/atril.png                   | Bin 0 -> 1226 bytes
 data/icons/24x24/apps/evince.png                  | Bin 1226 -> 0 bytes
 data/icons/48x48/apps/Makefile.am                 |   2 +-
 data/icons/48x48/apps/atril.png                   | Bin 0 -> 3314 bytes
 data/icons/48x48/apps/evince.png                  | Bin 3314 -> 0 bytes
 data/icons/scalable/apps/Makefile.am              |   2 +-
 data/icons/scalable/apps/atril.svg                | 500 ++++++++++++++
 data/icons/scalable/apps/evince.svg               | 500 --------------
 data/org.mate.Atril.gschema.xml.in                |  51 ++
 data/org.mate.Evince.gschema.xml.in               |  51 --
 data/org.mate.atril.Daemon.service.in             |   3 +
 data/org.mate.evince.Daemon.service.in            |   3 -
 evince-document.h                                 |  62 --
 evince-document.pc.in                             |  12 -
 evince-view.h                                     |  34 -
 evince-view.pc.in                                 |  11 -
 help/C/atril.xml                                  | 774 ++++++++++++++++++++++
 help/C/evince.xml                                 | 774 ----------------------
 help/C/figures/atril_start_window.png             | Bin 0 -> 17271 bytes
 help/C/figures/evince_start_window.png            | Bin 17271 -> 0 bytes
 help/ChangeLog                                    |  50 +-
 help/Makefile.am                                  |   4 +-
 help/atril.omf.in                                 |  11 +
 help/bg/bg.po                                     | 430 ++++++------
 help/bg/figures/atril_start_window.png            | Bin 0 -> 22691 bytes
 help/bg/figures/evince_start_window.png           | Bin 22691 -> 0 bytes
 help/ca/ca.po                                     | 584 ++++++++--------
 help/ca/figures/atril_start_window.png            | Bin 0 -> 15084 bytes
 help/ca/figures/evince_start_window.png           | Bin 15084 -> 0 bytes
 help/cs/cs.po                                     | 590 ++++++++---------
 help/cs/figures/atril_start_window.png            | Bin 0 -> 16696 bytes
 help/cs/figures/evince_start_window.png           | Bin 16696 -> 0 bytes
 help/de/de.po                                     | 588 ++++++++--------
 help/de/figures/atril_start_window.png            | Bin 0 -> 12327 bytes
 help/de/figures/evince_start_window.png           | Bin 12327 -> 0 bytes
 help/el/el.po                                     | 652 +++++++++---------
 help/el/figures/atril_start_window.png            | Bin 0 -> 21766 bytes
 help/el/figures/evince_start_window.png           | Bin 21766 -> 0 bytes
 help/en_GB/en_GB.po                               | 594 ++++++++---------
 help/es/es.po                                     | 592 ++++++++---------
 help/es/figures/atril_start_window.png            | Bin 0 -> 16965 bytes
